2017-04-24 Riccardo Mottola <rm@gnu.org>

        * Source/tiff.m
	* Source/NSBitmapImageRep.m
	Support for writing resolution.

2017-04-22 Fred Kiefer <FredKiefer@gmx.de>

        * Version: Correct required base version that has been off for a year.

2017-04-16 Fred Kiefer <FredKiefer@gmx.de>

	* Printing/GSCUPS/GSCUPSPrinter.m: Add include to get deprecated
	function cupsGetPPD() on newer CUPS systems.

2017-04-16 Fred Kiefer <FredKiefer@gmx.de>

	* Model/IMLoading.m
	* Source/GSTextStorage.m
	* Source/GSToolbarView.m
	* Source/NSLayoutManager.m
	* Source/NSTableView.m
	Fix some clang static analyser warnings reported by
	Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>.

2017-04-06 Ivan Vucica <ivan@vucica.net>

	* Releasing 0.25.1.

2017-04-05 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSXibKeyedUnarchiver.h: Moved from Source.
	* Headers/Additions/GNUstepGUI/GSXibLoading.h,
	* Source/GSXibLoader.m,
	* Source/GSXibKeyedUnarchiver.m,
	* Source/GNUmakefile: Use and install moved header file.

2017-04-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-displayTransient): Update menu before displaying.
	* Source/NSMenuView.m (-attachSubmenuForItemAtIndex:): Use NSMenu
	display method.

2017-03-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAttributedString.m: Check for surrogate UTF16
	characters to prevent nil strings when trying to attempt fonst
	substitution.

2017-03-31 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+JPEG.m (-_initBitmapFromJPEG:errorMessage:)
	Ignore density if unit is 0

2017-03-28 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+JPEG.m (-_initBitmapFromJPEG:errorMessage:)
	Parse density data and set size accordingly.

2017-03-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+JPEG.m(-_JPEGRepresentationWithProperties:errorMessage:):
	Correct JPEG export which was using size instead of pixelsWide and pixelsHigh.

2017-03-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibKeyedUnarchiver.m:
	Merge some of the changes from the testplant branch.

2017-03-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBrowser.m: Add encoding of NSColumnsAutosaveName.
	* Headers/Additions/GNUstepGUI/GSXibLoading.h,
	* Source/GSXibLoader.m,
	* Source/GSXibKeyedUnarchiver.h,
	* Source/GSXibKeyedUnarchiver.m,
	* Source/GNUmakefile: Split of GSXibKeyedUnarchiver in separate file.
	* Source/GSXibLoading.m: Add description method for IBUserDefinedRuntimeAttribute.
	Merge some of the changes from the testplant branch.

2017-03-05 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSImage.h
	* Headers/AppKit/NSSplitView.h
	* Source/NSImage.m
	* Source/NSProgressIndicator.m
	* Source/NSTableHeaderView.m
	Merge some of the changes from the testplant branch.

2017-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSHorizontalTypesetter.m (-layoutLineNewParagraph:): Add
	extra line fragment for empty string here.

2017-02-17 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSLayoutManager.m (-usedRectForTextContainer:): Add extra
	line rect when needed.
	* Source/NSTextView.m (sizeToFit): Don't add extra line rect, as
	it is now already included.
	* Source/NSStringDrawing.m (cache_lookup): Remove hack for empty string.

2017-02-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSStringDrawing.m: Use shared drawing code.
	* Source/NSStringDrawing.m (cache_lookup): Try to handle case of
	empty string.

2017-02-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSStringDrawing.m: Clean up string drawing cache code.

2017-01-08 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-_isVisible, -_isMain): Add two helper
	methods. And make sure we update the menu items before display and
	keyEquivalent processing.

2016-12-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-update): Update only visible submenus.
	* Source/NSMenu.m: Complete switch to NSUInteger.

2016-12-18 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSLayoutManager.m: Don't try to get the advancement for
	GSAttachmentGlyph.
	* Source/NSTableView.m: Protect against rowHeigh being zero.

2016-12-17 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSToolbarView.h
	* Source/GSToolbarView.m
	Change draggedItemIndex to NSUInteger.

2016-12-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWorkspace.m: Change mlock into a private variable to
	avoid name conflict with a libc function on Linux.

2016-11-21 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSColorPanel.h: Change -alpha to CGFloat.
	* Source/NSColorPanel.m: Remove left over GModel loading code.
	Set default mode to colour wheel.
	Small cleanups mostly in comments.

2016-11-21 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColorPanel.m (-_initWithoutGModel): Correct target for
	bottom wells.
	* Source/NSColorWell.m (-performClick:): Add this method and use
	it in -mouseUp:.
	Patch by Josh Freeman <pikopixel@twilightedge.com>.

2016-10-29 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m: Set the TIFF subfield type to 0
	instead of 255.

2016-10-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+JPEG.m: Try to handle images with alpha
	or planar images correctly.

2016-10-24 04:03-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSWorkspace.m: Change to GSLaunchd(...) function to
	correct lock issue which is ocurring on some systems.  Added
	a mutex lock to create a critical section and a retry mechanism
	in case the distributed lock is not released on the first try.
	This change appears to correct the issue.  Tested by myself and
	Riccardo.

2016-10-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (NSMiniWindowView -setImage:): Try to handle
	an image value of nil. This is needed for Emacs.

2016-10-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSLayoutManager.m (-advancementForGlyphAtIndex:):
	Simplify this method and move it in the file.
	* Source/NSLayoutManager.m: Use the pre-computed advancement
	instead of calculating it every time.

2016-10-22 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSLayoutManager.m: Don't try to get the advancement for
	NSControlGlyph.

2016-10-08 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSOutlineView.h
	* Headers/AppKit/NSTableHeaderView.h
	* Headers/AppKit/NSTableView.h
	* Source/GSThemeDrawing.m
	* Source/NSOutlineView.m
	* Source/NSTableHeaderView.m
	* Source/NSTableView.m:
	Some int -> NSInteger and float -> CGFloat transitions.

2016-09-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSFontInfo.m (-fontDescriptor): Simplify creation of font
	descriptor. Use only the minimal attributes.
	* Source/NSFontDescriptor.m (-postscriptName): Generate PS name
	from font name itself.

2016-08-02 Fred Kiefer <FredKiefer@gmx.de>

        * Source/NSDocumentController.m: Add missing semicolon.
	Patch by Galen Rhodes <galenrhodes@me.com>.

2016-07-19  Riccardo Mottola <rm@gnu.org>

	* Source/NSFontDescriptor.m
	If we have no face set, don't append null

2016-07-18 11:59-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSView.m: Move to new branch.

2016-07-18 11:46-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSView.m: Revert previous changes.  Moving to a branch.

2016-07-18 Riccardo Mottola <rm@gnu.org>

	* Source/NSView.m:
	Use CGFloat as original structures do and double for scale instead of
	CGFloat -> double -> float.

2016-07-16 18:12-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSPrintInfo.m: Add a comment so it's clear what
	this method is meant for.
	* Source/NSView.m: In beginPage:label:bBox:fonts: align top level
	view with current page dimensions.

2016-07-13 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	* Headers/Additions/GNUstepGUI/config.h.in
	* configure.ac
	Check explicitely for f_owner and use f_owner and f_flag if checked.

2016-07-13 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSDocumentController.h,
        * Source/NSDocumentController.m: Add 10.7 methods.

2016-07-12 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	Prefer statvfs() over statfs(), use both on linux, disable fs name on unknown systems.

2016-07-12 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/config.h.in
	* configure.ac
	* configure
	Attempt to get NSWorkspace.m to compile again. No idea whether the
	resulting behaviour is as intended by the author of the last change.

2016-06-21 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	* configure.ac
	* configure
	Explicitely check for statfs/statvfs flags member.

2016-06-16 Ivan Vucica <ivan@vucica.net>

        * ANNOUNCE:
        * Documentation/news.texi:
        * INSTALL:
        * NEWS:
        * Version:
        Releasing 0.25.0.

2016-06-04 Fred Kiefer <FredKiefer@gmx.de>

        * Source/NSBitmapImageRepPrivate.h,
        * Source/NSBitmapImageRep.m,
        * Source/NSBitmapImageRep+PNG.m:
	Extract protocol into private header file and use it from both places.

2016-06-03  Yavor Doganov  <yavor@gnu.org>

	* Documentation/GSSpeechServer.1:
	* Documentation/say.1:
	* Documentation/GNUmakefile:
	Install tiny man pages for the GSSpeechServer and say tools.

2016-06-02 Fred Kiefer <FredKiefer@gmx.de>

        * Source/NSBitmapImageRep+PNG.m:
	Convert image before storing it.
        * Headers/Additions/GNUstepGUI/GSNibLoading.h,
        * Source/GSNibLoading.m:
	Add class NSIBUserDefinedRuntimeAttributesConnector to handle
	newer NIB files.

2016-05-31  Richard Frith-Macdonald <rfm@gnu.org>

        * Headers/Additions/GNUstepGUI/GSTheme.h:
        * Headers/AppKit/NSOpenPanel.h:
        * Headers/AppKit/NSParagraphStyle.h:
        * Headers/AppKit/NSText.h:
        * Headers/AppKit/NSTextAttachment.h:
        * Headers/AppKit/NSTextStorage.h:
	Fixed faulty character encoding (should be utf-8) and a couple of
	documentation markmup errors.

2016-05-28 Eric Heintzmann <heintzmann.eric@free.fr>

	* ChangeLog.1:
	* Documentation/ReleaseNotes.gsdoc:
	* Documentation/gopen.1:
	* Documentation/make_services.1:
	* Printing/GSCUPS/GNUmakefile.preamble:
	* Printing/GSLPR/GNUmakefile.preamble:
	* Printing/GSWIN32/GNUmakefile.preamble:
	* Source/GSGormLoader.m:
	* Source/GSNibLoader.m:
	* Source/GSXibLoader.m:
	* Source/NSAttributedString.m:
	* Source/NSBitmapImageRep+JPEG.m:
	* Source/NSBitmapImageRep.m:
	* Source/NSNib.m:
	* Source/NSOutlineView.m:
	* Source/NSTableView.m:
	* Source/NSView.m:
	* Source/nsimage-tiff.h:
	Spelling errors corrected by lintian

2016-05-20 Riccardo Mottola <rm@gnu.org>

	* Source/NSTabViewItem.m
	Optimize case for nil label and thus fix crasher on SPARCs

2016-05-13 Eric Heintzmann <heintzmann.eric@free.fr>

        * Tests/GNUmakefile:
        * Tests/gui/NSCell/basic.m:
        * Tests/gui/NSCell/objectValue.m:
        * Tests/gui/NSEvent/delta.m:
        * Tests/gui/NSImage/basic.m:
        * Tests/gui/NSPasteboard/lazy_copy.m:
        * Tests/gui/NSPopUpButton/defaultSelection.m:
        * Tests/gui/NSSavePanel/setDelegate_reload.m:
        * Tests/gui/NSSliderCell/minMax.m:
        * Tests/gui/NSView/NSView_autoresize_and_rounding.m:
        * Tests/gui/NSView/NSView_bounds_scale.m:
        * Tests/gui/NSView/NSView_convertRect.m:
        * Tests/gui/NSView/NSView_frame_bounds.m:
        * Tests/gui/NSView/NSView_frame_rotation.m:
        * Tests/gui/NSView/scrollRectToVisible.m:
        * Tests/gui/TextSystem/deallocation.m:
        * Tests/gui/TextSystem/repeatedAttachmentCellHeight.m:
	Updates to more cleanly handle attempts to execute regression tests
	when the GUI is not installed (test what we can, and report the
	problem).

2016-04-06 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	* Images/GNUMakefile
	Add Application folder (patch by Bertrand Dekoninck)

2016-03-22 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSWorkspace.h
	* Source/NSWorkspace.m
	tag is NSInteger* not int* in recent AppKit

2016-03-21 Riccardo Mottola <rm@gnu.org>

	* Source/NSImage.m
	Actually allocate a NSMutableArray, since that is the expected
	return type.

2016-03-10 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	Always traverse links explicitely and get the original path to do icon
	lookup, not just for Symliks. The symlink may be infact in the middle
	of the path, not just the last one.

2016-03-10 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	Simplify code by using stringByDeletingLastPathComponent

2016-03-10 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	Add fall-back that if a folder image is not found, the generic folder
	icon is picked up. Also add Movies special folders.

2016-03-09 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSImage.h
	* Source/externs.m
	Some new 10.5 and 10.6 named images.

2016-03-08 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m (iconForFile)
	When looking for an icon, check if it is a symbolic link and
	get the icon of its destination. Behaviour verified on Apple.

2016-02-16 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m (mountNewRemovableMedia)
	Add missing implementation, by mounting exclusively the path
	specified in GSRemovableMediaPaths.

2016-02-16 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m (mountedLocalVolumePaths)
	Use standard setmntent to open file and remember to close it with
	endmntent! Try better guess to use system defines to get mttab path.

2016-02-13 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m (unmountAndEjectDeviceAtPath:)
	Enhance unmount with eject support on certain platforms, generate
	NSWorkspaceWillUnmountNotification notification.

2016-02-12 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	Try to support volume information on Linux better as well as using
	GSRemovableMediaPaths defaults for removable information (compared
	to nothing at all).

2016-02-03 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSImage.h
	* Source/NSImage.m
	Trivial implementation of new 10.9 drawInRect: method

2016-01-17 Ivan Vucica <ivan@vucica.net>

	* Source/NSBezierPath.m (-setLineDash:):
	Cherrypicked r39277 by Marcian Lytwtyn <gna@advcsi.com>: NSZoneRealloc
	called without saving the return value.

	Aside from merging the patch, opted to undo the patch's check for
	count > _dash_count, as NSZoneRealloc() should be allowed to reduce the
	allocated block's size.

	* Source/GSThemeDrawing.m (-drawBoxInClipRect:boxType:...):
	Cherrypicked r39276 by Paul Landers <paul.landers@testplant.com>:
	Use controlShadowColor when the color for NSBoxSeparator is not set.
	Xcode is not setting colors for these types of boxes in xibs.

	* Source/NSToolbar.m (-runCustomizationPalette:):
	Cherrypicked r39256 by Paul Landers <paul.landers@testplant.com>:
	Show toolbar before customizing.

2015-11-19 Riccardo Mottola <rm@gnu.org>

	* Images/common_MultipleSelection.tiff
	* Images/common_RecyclerEmpty.tiff
	* Images/common_RecyclerFull.tiff
	* Images/GNUmakefile
	Added icons

	* Headers/AppKit/NSImage.h
	* Images/nsmapping.strings
	* Source/externs.m

	Provide NSImageNameTrashEmpty NSImageNameTrashFull
	NSImageNameMultipleDocuments images, both constants and actual icon.

2015-11-12  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSImage.m: Move theme based image lookup code to the
	([NSBundle-pathForImageResource:]) method, so application-specific
	theme images can be found in more situations.

2015-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSToolTips.m (-_timedOut:): Break long tool tips into
	multiple lines.

2015-11-02 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-constrainFrameRect:toScreen:) Handle screen
	being nil and resize only if moving is not enough.

2015-11-02  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSOutlineView.m:
	The _expandedItems array needs to be managed using tests for identical
	members rather than equal members, to handle the case where a view has
	multiple equal members (we don't want all equal items expanded, only
	the exact item.

2015-11-01  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GNUmakefile.preamble:
	* Source/GSXibLoader.m:
	Check to see if base was built with libxml2 before trying to use
	classes which depend on it.

2015-11-01  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSImage.m: Alter loading of image by name so that before we
	try t load from the app's main bundle, we try loading an image of the
	same name from the current theme's ThemeImages/bundleIdentifier
	subdirectory.  This allows a theme to provide an alternative image
	for any named image normally provided by the app, as discussed this
	morning.
	NB. I adopted Ivan's suggestion of requiring a bundle identifier even
	though we thought we could use the app name as a fallback ... since
	it seems cleaner (and we can always edit the app's property list to
	add a bundle identifier if it somehow got omitted by the developer).
	Also reformatted some code/comments to conform to coding standards
	and not exceed 80 character line limit.

2015-10-28 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSApplication.h
	* Source/NSApplication.m
	Primitive presentationOptions implementation.

2015-10-28 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSScrollView.h
	* Source/NSScrollView.m
	Stub 10.8 methods for allowsMagnification.

2015-10-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPasteboard.m (-_pbs): Fix waiting forever if gpbs
	crashes within a certain window.
	Patch by Marcian Lytwyn <gna@advcsi.com>.

2015-10-27 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSMatrix.h
	* Source/NSMatrix.m
	Change also internal methods and ivars to reflect NSInteger transition
	of rows and columns.

2015-10-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m
	(TIFFRepresentationOfImageRepsInArray:): Only return a non-null
	NSData object.

2015-10-22 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindowController.m (-_windowWillClose:): Don't unset
	the delegate and the controller of the window, this gets done in
	setWindow: a bit later.

2015-10-18 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSegmentedCell.m (-drawSegment:inFrame:withView:):
	Use centerScanRect: to position the image.

2015-10-17 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAttributedString.m (-_substituteFontFor:font:): Use
	font descriptors for faster replacement font detection.
	* Source/GSFontInfo.m
	(GSFontEnumerator-matchingFontDescriptorsFor:): Special handling
	for NSFontCharacterSetAttribute.

2015-10-16 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-trackMouse:...untilMouseUp:): Check enabled
	and use isContinuous method.
	* Source/NSSliderCell.m: Replace specific implementation of
	-trackMouse:...untilMouseUp: with super class one and move
	specific code into helper methods.

2015-10-15 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/AppKit.h
	Add NSAnimationContext to umbrella header

2015-10-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m: Correct bug in fast path for image
	premultiply/unpremultiply.

2015-10-10 Gregory Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSAnimationContext.h
	* Source/NSAnimationContext.m: Additional stub methods for
	NSAnimationContext.

2015-10-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/nsimage-tiff.h: Correct field types.
	* Source/NSImage.m (-TIFFRepresentation)
	(TIFFRepresentationUsingCompression:factor:): Pass on bitmaps only.
	* Source/NSBitmapImageRep.m: Implement methods to generate tiff
	for multiple bitmaps.
	* Source/tiff.m: Fix long standing bug in TiffHandleSeek.
	In NSTiffWrite write image tiff directory to allow for multiple
	images.

2015-10-09 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSGraphicsContext.m (-initWithContextInfo:): Move the
	default setting into back.

2015-10-02 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSTableView.h
	* Source/NSTableView.m
	Add NSTableViewSelectionHighlightStyle type and stub accessors.

2015-09-25 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSGraphicsContext.m (-initWithContextInfo:): Set some
	default values for the graphics context.

2015-09-21 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSMenu.h,
	* Source/externs.m: Add NSMenuDidBeginTrackingNotification.
	* Source/NSMenuView.m (-trackWithEvent:): send tracking notifications.

2015-09-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeDrawing.m (-drawTableViewRect:inView:): Use
	correct imp type.
	* Source/NSButtonCell.m (-setBackgroundColor:): Update the
	control view.
	* Source/NSSegmentedCell.m (-drawSegment:inFrame:withView:): Draw
	image if available.
	* Source/NSPopUpButtonCell.m (-initWithCoder:): Add work around
	for NSClassSwapper cell replacement.
	Patches based on changes by Josh Freeman <pikopixel@twilightedge.com>

2015-09-19 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSMenu.h,
	* Source/externs.m: Add NSMenuDidEndTrackingNotification.
	* Headers/AppKit/NSMatrix.h,
	* Source/NSMatrix.m: Define delegate protocol and add (empty) tool
	tip methods.
	* Source/NSApplication.m: Send begin and end sheet notifications.
        * Source/NSDocumentController.m: Replace all usages of
	shouldCreateUI with the display parameter.
	* Source/NSMenuItem.m: Decode atributes of separator item.
	* Source/NSBitmapImageRep.m (-copyWithZone): Make a mutable copy
	of the properties as well.
	* Source/NSActionCell.m (-setAttributedStringValue:): Update the
	control view.
	Patches based on changes by Josh Freeman <pikopixel@twilightedge.com>

2015-09-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m: Invalidate insertion point timer in
	dealloc.
	* Source/NSToolbarItem.m: Check for drawing rect within bounds
	before drawing toolbar item.
	Patch by Marcian Lytwyn <gna@advcsi.com>.

2015-09-10  Doug Simons <doug.simons@testplant.com> and Paul Landers <paul.landers@testplant.com>

	* Source/NSLayoutManager.m: Fix a bug that would try to adjust
	the length of the selected range to a negative number, leading
	to an exception and eventual crashes.

2015-08-28 Riccardo Mottola <rm@gnu.org>

	* Source/NSView.m
	* Headers/AppKit/NSView.h
	Add more (dummy) layer property stuff

	* Headers/AppKit/NSWindow.h
	* Source/NSWindow.m
	Constants and methods for Exposé and other features we don't have
	and perhaps never will.

2015-08-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSTextFinder.m: Fix Ignore Case option to work.
	Patch by Doug Simons <doug.simons@testplant.com>
	* Source/NSControl.m (-initWithCoder:): Don't use NSEnabled flag
	as it is wrong for NSComboBox.
	* Source/NSComboBoxCell.m (_loadButtonCell): Set enabled on button cell.

2015-08-25 Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m: Add tests for
	centerScanRect: with flipped view.
	* Source/NSView.m (-centerScanRect:): Change to get the failed
	tests to pass.
	* Source/GSThemeTools.m (-drawRoundBezel:withColor:): Make round
	bezel look a bit nicer.
	* Source/NSButtonCell.m (-drawImage:withFrame:inView:): Use
	centerScanRect: instead of similar code.
	* Source/NSCell.m: Use imageRectForBounds: and titleRectForBounds:
	in drawInteriorWithFrame:inView:.

2015-08-24 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSWindow.h
	Define NSFullScreenWindowMask.

2015-08-23 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSScrollView.h
	* Source/NSScrollView.m
	Add horiz and vert elastiticty properties and constants.

2015-08-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBundleAdditions.m,
	* Source/NSNibConnector.m: Move NSNibConnector and subclasses in
	separate file. Add isEqual: method from Gorm. Switch to new
	libobjc runtime ivar access for NSNibOutletConnector.
	* Source/GNUmakefile: Add new file NSNibConnector.m
	* Source/GSXibLoader.m: Similar change to IBOutletConnection.
	Replace GSMime base64 decode method with standard one.
	* Source/GSImageMagickImageRep.m,
	* Source/GSTheme.m: Remove unused #import.

2015-08-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSInputManager.m: Add binding processing code for escape
	key and make list of bindings easier to extend.
	* KeyBindings/DefaultKeyBindings.dict: Add default escape key
	binding to complete: method.
	Patch by Marcian Lytwyn <gna@advcsi.com>.
	* Source/NSInputManager.m: Fixed alt behaviors for return
	Patch by Paul Landers <paul.landers@testplant.com>.

2015-08-21 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMatrix.m: Remove GC ifdefs.

2015-08-16 Fred Kiefer <FredKiefer@gmx.de>

	* Resources/Korean.lproj/Localizable.strings: Add Korean translations.
	Patch by Seong-Gu Lee <sgleehd@gmail.com>

2015-08-16 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSplitView.m (-setAutosaveName:): Treat an empty
	autosaveName as nil to fix problem with some nibs.
	Patch by Doug Simons <doug.simons@testplant.com>

2015-08-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMatrix.m: Warn about wrong cell array size on
	row/column insert, as Cocoa does.
	Clean up and more NSInteger changes.
	* ColorPickers/GSStandardColorPicker.m,
	* Source/NSColorPanel.m (-_setupPickers): Prevent warning from NSMatrix.

2015-08-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButtonCell.m (-initWithCoder:):
	Fix image scaling value extract from XIB.
	* Headers/Additions/GNUstepGUI/GSXibLoading.h
	* Source/GSXibLoading.m
	* Source/GSXibLoader.m
	Add IB defined runtime attribute processing for XIB
	Patch by Marcian Lytwyn <gna@advcsi.com>.

2015-08-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m: Rewrite
	writeSelectionToPasteboard:... methods.
	Based on patch by Adam Fox <adam.fox@testplant.com>

2015-07-26 Riccardo Mottola <rm@gnu.org>

	* Headers/AppKit/NSView.h,
	* Source/NSView.m: Add alphaValue property.

2015-07-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSFont.m: Look for xib font property IBIsSystemFont.
	Patch by Paul Landers <paul.landers@testplant.com>.

2015-07-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextStorage.m: Fixed a bug with setting _editedRange for
	multiple edits when the first one is a delete (which results in
	_editedRange having a length of 0) so it gets replaced instead of
	expanded to include all edits.
	Patch by Doug Simons <doug.simons@testplant.com>

2015-06-28  Germán Arias <germanandre@gmx.es>

	* Resources/Spanish.lproj/Localizable.strings: Add translations.

2015-06-26 01:22-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add declarations for
	drawing methods for theming.
	* Source/GSThemeDrawing.m: Add drawing methods for theming
	* Source/NSBrowserCell.m: Use drawing methods
	* Source/NSCell.m: Add private method for _inEditing

2015-06-25 20:11-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add declarations for method
	* Source/GNUmakefile: Add new file GSThemeWindow.m
	* Source/GSThemeWindow.m: Add method standardWindowButton:
	forStyleMask:.
	* Source/NSWindow.m: Call theme methods to return standardWindowButton:
	forStyleMask:.

2015-06-25 14:17-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Declarations for new theme
	methods.
	* Source/GSStandardWindowDecorationView.m Changes to use new methods.
	* Source/GSThemeDrawing.m: Add methods to allow retrieving dimensions
	for window decorations in a theme specific manner.

2015-06-14 17:47-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSAnimationContext.h
	* Source/GNUmakefile
	* Source/NSAnimationContext.m: Add skeleton for NSAnimationContext.

2015-06-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSplitView.m: Be sure to adjust subviews before setting
	divider position. Otherwise, adjustSubviews will wipe out the setting.
	Patch by Doug Simons <doug.simons@testplant.com>

2015-05-29 Fred Kiefer <FredKiefer@gmx.de>

	* Resources/English.lproj/Localizable.strings
	* Resources/Esperanto.lproj/Localizable.strings
	* Resources/French.lproj/Localizable.strings
	* Resources/German.lproj/Localizable.strings
	* Resources/Italian.lproj/Localizable.strings
	* Resources/Lojban.lproj/Localizable.strings
	* Resources/Spanish.lproj/Localizable.strings
	Regenerate string files.

2015-05-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+GIF.m: Handle EGifOpen similar to other
	version specific functions.
	* Headers/Additions/GNUstepGUI/GSXibElement.h
	* Headers/Additions/GNUstepGUI/GSXibLoading.h
	* Headers/Additions/GNUstepGUI/GSXibObjectContainer.h
	* Headers/Additions/GNUstepGUI/GSXibParser.h
	Correct FSF address.

2015-05-26 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

	* Source/NSView.m
	* Source/NSTextContainer.m
	  remove unused parameters from debug outputs
	* Headers/AppKit/NSMenu.h
	* Source/NSMenu.m
	  return value for NSMenu itemAtIndex change from
	  id<NSMenuItem> to NSMenuitem* as it is done by Apple too
	  fixes warnings in NSApplication.m and NSTextView.m
	* Source/NSAnimation.m
	* Source/NSCachedImageRep.m
	* Source/NSEvent.m
	* Source/NSPrintPanel.m
	* Source/NSTextBlock.m
	* Source/NSToolbarItem.m
	* Source/GSDisplayServer.m
	* Source/GSXibLoader.m
	* Source/NSSplitView.m
	* Model/GMArchiver.m
	* TextConverters/RTF/RTFConsumer.m
	  Format string fixes and casts
	* Source/NSGradient.m
	* Source/NSWindow.m
	  abs() -> fabs()
	* Source/NSBitmapImageRep+GIF.m
	  giflib 5.1.0 also has EGifCloseFile with 2 parameters,
	  so add a define like others have to fix its usage.

2015-05-22 Fred Kiefer <FredKiefer@gmx.de>

	* ChangeLog: Correct version number in last commit.
	* Source/NSButtonCell.m (-encodeWithCoder:): Correct bug with
	image position in NSButtonFlags.

2015-05-16  Richard Frith-Macdonald <rfm@gnu.org>

        * Documentation/news.texi:
        * ANNOUNCE:
        * NEWS:
        * Version:
	New  0.24.1 bugfix release

2015-05-13 Riccardo Mottola <rm@gnu.org>

	* configure.ac
	Copied from base: only warn if compiler is different from the one
	configured in make
	* configure
	regenerated

2015-05-12 Riccardo Mottola <rm@gnu.org>

	* configure.ac
	pick up gnustep make configured CC, CPP, CXX and check they are
	consistent with how make was configured
	* configure
	regenerated

2015-05-10  Ivan Vucica <ivan@vucica.net>

	* Source/NSAlert.m (+alertWithError:): Support use of
	NSLocalizedFailureReasonKey. Prefer it as the title of the error
	alert's title in case it is present inside a NSError.
	* Source/NSDocument.m (-fileWrapperOfType:error:): Prefer error
	created by called -dataOfType:error: method; that is, do not overwrite
	it.
	* Source/NSDocument.m (-writeToURL:ofType:error:): Check that error is
	non-nil, then apply the error message only if
	-fileWrapperOfType:error: did not set its own error.

2015-04-03 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSColor.h,
	* Source/NSColor.m: Add OSX 10 named colours.
	* Source/NSColorList.m: Add keyed coding/decoding.

2015-03-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSavePanel.m: Fix problem with the title shown in
	the save panel's title bar not matching the set title when
	the panel is reused for a different purpose.
	Patch by Doug Simons <doug.simons@testplant.com>
	* Source/NSApplication.m: Adjust modal window position to relative
	window requested.
	Patch by Marcian Lytwyn <gna@advcsi.com> with small change.

2015-03-16 Fred Kiefer <FredKiefer@gmx.de>

	* Images/NSRemoveTemplate.tiff: Add file.
	* Images/GNUmakefile: Handle new file.
	* Source/GSXibLoader.m: Better error reporting for wrong
	application class.
	* Source/NSOutline.m (-drawRow:clipRect:): Don't set the value for
	the edited cell.

2015-03-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCollectionView.m (-newItemForRepresentedObject:): Don't
	autorelease the returned object as this method starts with "new".
	* Source/NSCollectionViewItem.m (-copyWithZone:): Add call to new
	method to copy over the bindings from the old view hierarchy to
	the new.

2015-03-11  Germán Arias <germanandre@gmx.es>

	* Headers/AppKit/NSCursor.h:
	* Source/NSCursor.m: Add class method +count, specifically to handle
	cursors on MS Windows.

2015-03-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImageView.m (-initWithCoder:): Set default for
	AllowsCutCopyPaste.

2015-03-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCollectionViewItem.m: Fix reference counting in
	-copyWithZone:. Remove method -view again.
	* Source/NSArrayController.m: Fix reference counting in
	-newItemForRepresentedObject. Protect -_resetItemSize from missing
	prototype view.

2015-03-08 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCollectionView.m (-tile): Prevent _numberOfColumns from
	being 0.
	* Source/NSArrayController.m: Revert last change and add proper
	handling of arrangeObjects for many cases.
	* Source/NSCollectionViewItem.m: Fix reference counting. Add
	method -view to have something to display.

2015-03-08  Germán Arias <germanandre@gmx.es>

	* Source/NSPrinter.m (-loadPPDAtPath:symbolValues:inclusionSet:):
	Skip any data that don't conform with the specification, to prevent
	application get trapped in the loop while. Correction suggested
	by Fred.

2015-03-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCollectionView.m (+initialize): Add binding for content.
	* Source/NSViewController.m (-loadView): Don't try to load the
	view if there is no name for the NIB.
	* Source/NSArrayController.m (-initWithContent:): Sets
	automaticallyRearrangesObjects to true.

2015-03-05 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCollectionView.m (-drawRect:): Work around strange
	behaviour of compiler.

2015-03-05 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImageView.m (-initWithFrame:): Set default for
	AllowsCutCopyPaste.

2015-02-24  Germán Arias <germanandre@gmx.es>

	* Source/GSAutocompleteWindow.m (+defaultWindow):
	* Source/NSComboBoxCell.m (+defaultPopUp): Fix last revert.

2015-02-23  Germán Arias <germanandre@gmx.es>

	* Source/GSToolTips.m (+initialize):
	* Source/GSAutocompleteWindow.m (+defaultWindow):
	* Source/NSComboBoxCell.m (+defaultPopUp): Revert last commits.

2015-02-23  Germán Arias <germanandre@gmx.es>

	* Source/GSToolTips.m (+initialize): Use buffered window and
	allow autodisplay. Set auto display to NO maybe was needed in the
	past, but currently is not needed anymore and interferes with the
	display of tooltips on Windows.

2015-02-23  Germán Arias <germanandre@gmx.es>

	* Source/GSAutocompleteWindow.m (+defaultWindow):
	* Source/NSComboBoxCell.m (+defaultPopUp): Use buffered windows.

2015-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-copyWithZone:): Fix copy and paste error.

2015-02-03 20:20-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Printing/GSWIN32/GSWIN32PrincipalClass.m: Remove calls to
	instantiate GSWIN32PageLayout and GSWIN32PrintPanel classes.
	* Printing/GSWIN32/GSWIN32PrintPanel.[hm]: Removed.
	* Printing/GSWIN32/GSWIN32PageLayout.[hm]: Removed.
	* Printing/GSWIN32/GNUmakefile: Remove classes from compilation.

2015-02-03 15:23-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add declarations here
	for GSPageLayout and GSPrintPanel.
	* Printing/GSCUPS/GNUmakefile: Remove uneeded classes
	* Printing/GSCUPS/GSCUPSPageLayout.h
	* Printing/GSCUPS/GSCUPSPageLayout.m: Remove since it is not
	needed. It does nothing.
	* Printing/GSCUPS/GSCUPSPrincipalClass.m: Remove uneeded classes
	* Printing/GSCUPS/GSCUPSPrintPanel.h
	* Printing/GSCUPS/GSCUPSPrintPanel.m: Remove since it is not
	needed. It does nothing.
	* Printing/GSLPR/GNUmakefile: Remove uneeded classes.
	* Printing/GSLPR/GSLPRPageLayout.h
	* Printing/GSLPR/GSLPRPageLayout.m: Remove since it is not
	needed. It does nothing.
	* Printing/GSLPR/GSLPRPrincipalClass.m: Remove uneeded classes
	* Printing/GSLPR/GSLPRPrintPanel.h
	* Printing/GSLPR/GSLPRPrintPanel.m: Remove since it is not
	needed. It does nothing.
	* Source/GSThemePrintPanels.m: Remove declaration from here
	for GSPrintPanel and GSPageLayout and move it to GSTheme.h

2015-02-02 18:37-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSPageLayout.m
	* Source/NSPrintPanel.m: Restore allocWithZone: to previous
	implementation to allow overriding of the panels from
	either the print bundle or the theme.

2015-02-02 11:59-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemePrintPanels.m: Add default subclass implementation
	so that the panels can be instantiated.
	* Source/NSPageLayout.m: Change the allocWithZone: method to
	return the class indicated by the theme.
	* Source/NSPrintPanel.m: Change the allocWithZone: method to
	return the class indicated by the theme.

2015-02-01 Gregory Casamento <greg.casamento@gmail.com>

	* Source/GSPrinting.m: Add call to GSTheme code to get the
	class for the layout and print panels. Printing bundle can
	still overide if needed.
	* Source/GSThemePrintPanels.m: Add implementation of category
	for handling print / layout panels.
	* Headers/Additions/GNUstepGUI/GSTheme.h: Add category
	for print/layout panels.
	* Printing/GSWIN32/GSWIN32PrincipalClass.m: Minor cleanup.

2015-01-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSTextStorage.m
	* Source/NSSpellChecker.m
	Two small cleanups.
	Patch by Marat Ibadinov <ibadinov@me.com>
	* Source/NSLayoutManager.m
	Changed == to >= to fix a crash when layout_char is beyond the
	length of the string.
	Patch by Paul Landers <paul.landers@testplant.com>.

2015-01-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m (-copyWithZone): Changed the call from
	-copyWithZone: to -mutableCopyWithZone:.
	* Tests/gui/NSBitmapImageRep/testcopy.m: Test for this change
	Patch by Josh Freeman <tedge>.

2015-01-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/tiff.m: Correct check for old libtiff version based on
	idea by Riccardo Mottola <rm@gnu.org>.
	Remove all usages of deprecated types.

2015-01-11  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-update): Added case to menu autoenabler to
	disable supermenus that have empty submenus, when there is no
	validator.
	Patch by Paul Landers <paul.landers@testplant.com>.

2015-01-11  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m: Fix bizarre behavior with undo/redo
	actions carrying across between different fields with the
	fieldEditor.
	Patch by Doug Simons <doug.simons@testplant.com>

2015-01-11  Fred Kiefer <FredKiefer@gmx.de>

	* Source/tiff.m: Use type tmsize_t.
	Base on patch by Marat Ibadinov <ibadinov@me.com>

2015-01-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m: Protect usages of sharedSpellChecker with
	nil tests.
	Patch by Eric Wasylishen <ewasylishen@gmail.com>

2015-01-05 Riccardo Mottola <rm@gnu.org>

	* Source/GSToolbarView.m (menuForEvent)
	Use protocol not class for NSMenuItem.

	* Source/NSBox.m
	floor() rects.

2014-12-26  German Arias <germanandre@gmx.es>

	* Source/NSWindow.m (_checkTrackingRectangles:forEvent:): Use the
	intersection rectangle with visible rect as suggested by Fred. This
	avoid send events mouse entered/exited to rectangles that aren't
	visible.

2014-12-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocumentFrameworkPrivate.h,
        * Source/NSDocumentController.m:
	Open recent menu to clear items that have been deleted whenever
	it reloads.
	Based on patch by Paul Landers <paul.landers@testplant.com>.

2014-12-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSToolTips.m: Fixed two issues with tooltips.
	(a) locationInView was being converted twice, producing invalid
	coordinates the second time, when using a provider to get the
	tooltips.
	(b) Tooltips were not working if you had two tracking rects next
	to each other in the same view, when moving from one to the other,
	depending on the order they were processed, one could get the
	enter before the other's exit, thus canceling the timer.
	Patch by Paul Landers <paul.landers@testplant.com>.

2014-12-08  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSTableView.h,
	* Source/NSTableView.m:
	Create working stubs for table view batch insertions/removals of rows
	Patch by Marcian Lytwyn <gna@advcsi.com>.

2014-12-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSParagraphStyle.m (-description): Add method.
	Based on patch by Marcian Lytwyn <gna@advcsi.com>.

2014-12-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSLayoutManager.m
	(_insertionPointRectForCharacterIndex:textContainer:): Fix initial
	cursor insertion location with paragraph alignment setting.
	This patch has no visual effect as the alignment of the typing
	attributes never gets set.
	Based on patch by Marcian Lytwyn <gna@advcsi.com>.
	* Source/NSLayoutManager.m: Fix some compiler warnings.

2014-12-07  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSXibLoading.h,
	* Source/GSXibLoader.m: Fix object ID parsing in XIB loading due
	to Apple moving to string ID represenatation.
	Patch by Marcian Lytwyn <gna@advcsi.com>.

2014-12-02  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSToolbarItem.m: Fix tool bar item tool tips.
	Patch by Marcian Lytwyn <gna@advcsi.com>.

2014-11-30  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m (-copyWithZone:) Deep copy ivar _properties.

2014-11-16  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBrowser.h,
	* Headers/AppKit/NSComboBoxCell.h: Add missing protocol declarations.

2014-11-04  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSParagraphStyle.m (+defaultParagraphStyle): Comment out
	tabs in default paragraph style as Apple doesn't seem to have them.
	* Source/GSNibLoading.m: Set the main menu already when
	instantiating the top level objects. Thi is needed for newer
	versions of NIB files.

2014-10-31  Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFConsumer.m: Add empty appendImage: method
	for RTFConsumer.

2014-10-31  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSLayoutManager.m
	(-drawBackgroundForGlyphRange:atPoint:): Make save against
	glyph_run being null. Should fix part of #43454.

2014-10-25  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSParagraphStyle.m,
	* Source/NSTextList.m: Add keyed en-/decoding.

2014-10-05  Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/rtfScanner.m: Add RTFfamilyBiDi.
	* TextConverters/RTF/rtfGrammar.y: Handle more complex font tables.
	* TextConverters/RTF/rtfGrammar.tab.h,
	* TextConverters/RTF/rtfGrammar.tab.m: Regenerated.

2014-10-05  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-lockFocusOnRepresentation:): Allow image
	caching during printing.

2014-09-28 04:00-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Printing/GNUmakefile: On windows only compile the GSWIN32
	Printing backend
	* Printing/GSWIN32/GSWIN32PrintPanel.m: Extract printer name
	from results.
	* Printing/GSWIN32/GSWIN32PrintOperation.m: Add code to
	send raw data to the printer.  Implement code to send
	file to printer.
	* Printing/GSWIN32/GSWIN32Printer.m: Add code to enumerate list of
	available printers on Windows.  Build dictionary for GSWIN32Printer
	class.

2014-09-27 21:30-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Printing/GSWIN32/GSWIN32PrinterOperation.m: Addition of function
	to output to printer directly.
	* Printing/GSWIN32/GNUmakefile: Change to correct linker issue
	winspool was not being linked in the proper place so it was
	causing unresolved references.

2014-09-16 12:19-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSPrinting.m: Reorder printing backend load order.
	Move WIN32 before GSLPR so it will be considered first on
	Windows systems.
	* Printing/GSWIN32: Add windows printing backend implementation.
	* Printing/GSWIN32/GNUmakefile
	* Printing/GSWIN32/GNUmakefile.postamble
	* Printing/GSWIN32/GNUmakefile.preamble
	* Printing/GSWIN32/GSWIN32PageLayout.h
	* Printing/GSWIN32/GSWIN32PageLayout.m
	* Printing/GSWIN32/GSWIN32PrincipalClass.h
	* Printing/GSWIN32/GSWIN32PrincipalClass.m
	* Printing/GSWIN32/GSWIN32PrintInfo.h
	* Printing/GSWIN32/GSWIN32PrintInfo.m
	* Printing/GSWIN32/GSWIN32PrintOperation.h
	* Printing/GSWIN32/GSWIN32PrintOperation.m
	* Printing/GSWIN32/GSWIN32PrintPanel.h
	* Printing/GSWIN32/GSWIN32PrintPanel.m
	* Printing/GSWIN32/GSWIN32Printer.h
	* Printing/GSWIN32/GSWIN32Printer.m: Add new files to support windows
	printing backend.
	NOTE: This is currently a work in progress.  I am currently working
	on integration with the Windows GDI Printing backend.

2014-09-01 01:30-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSCell.m: Fix issue with saving text contents of the cell.
	The code was improperly replacing the contents with the image
	depending on cell type.

2014-08-20 22:49-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSButtonCell.h
	* Source/NSButtonCell.m: Change return type of -drawTitle:withFrame:
	inView: to NSRect instead of void per Cocoa documentation.


2014-08-18 12:14-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSWindow.m: Change code in
	-[NSWindow constrainFrameRect:toScreen:] to contstrain
	the X origin coordinate as well so that the window will appear
	inside the screen if the saved coordinates are outside of the current
	screen's range.  This can occur of the .gorm file was made on a machine
	with a larger screen geometry than the machine it is currently running
	on.

2014-07-25  Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSWindow.m: Remove code in (initWithContentRect:..) which
	checks to see if style is NSWindows95InterfaceStyle.  This code
	is never executed.

2014-07-24  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSGormLoading.m (GSWindowTemplate initWithCoder:): Remove
	replace to none assigned variable.

2014-07-21  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBox.m (-calcSizesAllowingNegative): Protect against
	_cell being nil.
	* Source/NSBox.m (-initWithCoder:): Add a few default values.
	* Source/NSMenu.m (-_setGeometry): Protect against _aWindow being nil.

2014-07-04  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSWindowDecorationView.m (-changeWindowHeight:): Add
	workaround to adjust window min and max size when the height changes.

2014-06-17  Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/rtfGrammar.y,
	* TextConverters/RTF/RTFConsumerFunctions.h,
	* TextConverters/RTF/RTFConsumer.m: Rewrite parsing link fields.
	* TextConverters/RTF/rtfGrammar.tab.h,
	* TextConverters/RTF/rtfGrammar.tab.m: Regenerated.

2014-06-15  Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/rtfScanner.m,
	* TextConverters/RTF/rtfGrammar.y,
	* TextConverters/RTF/RTFConsumerFunctions.h,
	* TextConverters/RTF/RTFConsumer.m: Add support for parsing link fields.
	* TextConverters/RTF/rtfGrammar.tab.h,
	* TextConverters/RTF/rtfGrammar.tab.m: Regenerated.

2014-06-09  Fred Kiefer <FredKiefer@gmx.de>

	* Source/externs.m: Correct many string values that where
	different to Cocoa.

2014-06-03 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+GIF.m
	Rewrite Open compatibility with a more readable macro.

2014-06-03 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+GIF.m
	Add giflib 5.1 compatibility through macro.

2014-05-30 Sebastian Reitenbach <sebastia@l00-bugdedad-prods.de>
	* Headers/AppKit/NSStatusItem.h
	* Source/NSStatusItem.m
	make return value of -sendActionOn: match apple documentation

2014-05-21 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+JPEG.m
	* Source/NSBitmapImageRep.m
	Transform 0..255 compression factor to 0..1 quality to match Cocoa specs.

2014-05-04  Ivan Vucica <ivan@vucica.net>

	* Tests/GNUmakefile: Don't fail if 'gnustep-tests --clean' fails.
	* gnustep-gui-spec.in: Added fields Packager, Vendor and URL into
	the specfile.
	* GNUmakefile: Included Master/deb.make to be able to build deb
	packages for gnustep-gui.

2014-05-03  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m (-awake:inContainer:withContext:): Allow
	for subclasses of NSApplication as rootObjects.
	Based on patch by Marcian Lytwyn <gna@advcsi.com>.
	* Source/NSWindow.m (-userSpaceScaleFactor): Handle case where
	_screen is nil.
	Patch by Doug Simons (dsimons@testplant.com).
	* Source/NSWindow.m (-_screenForFrame:): Require real overlapp.
	Patch by Doug Simons (dsimons@testplant.com).
	* Source/NSTextField.m (-textDidChange:): Improve editing behavior
	when formatter returns a new string.
	Patch by Doug Simons (dsimons@testplant.com).

2014-05-03  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-setFrame:): Revert last change.
	* Source/NSWindow.m (-encodeWithCoder:, -initWithCoder:): Use
	content min/max size instead of min/max size.
	* Source/NSWindow.m (+initialize): Increase version number to 3.
	* Source/GSNibLoading.m (NSWindowTemplate -encodeWithCoder:,
	-initWithCoder:): Use NSWindowContentMinSize/NSWindowContentMaxSize
	instead of NSMinSize/NSMaxSize.

2014-04-16 17:28-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSXibElement.h
	* Headers/Additions/GNUstepGUI/GSXibObjectContainer.h
	* Source/GSXibElement.m
	* Source/GSXibParser.m: More XIB changes.  Addition of XIBObject
	class.

2014-04-03 00:55-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSXibParser.m: Add code to parse XML into a tree
	so that it can be processed into instances.

2013-04-02  Frank Le Grand <frank.legrand@testplant.com>

	* Source/NSToolbarItem.m: Fixed a bug where calling setImage:
	  on a toolbar item would draw the image even if the toolbar
	  display mode would be set to NSToolbarDisplayModeLabelOnly
	* Source/GSToolbarCustomizationPalette.m: Turn NSLog into NSDebugLLog.

2014-03-25 04:07-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSXibObjectContainer.h
	* Source/GNUmakefile
	* Source/GSXibLoading.m
	* Source/GSXibObjectContainer.m: Add object container.

2014-03-25 03:56-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSXibElement.h
	* Headers/Additions/GNUstepGUI/GSXibLoading.h
	* Headers/Additions/GNUstepGUI/GSXibObjectContainer.h
	* Headers/Additions/GNUstepGUI/GSXibParser.h
	* Source/GNUmakefile: Add new files to makefile.
	* Source/GSXibElement.m: Refactored out of GSXibLoader.m
	* Source/GSXibLoader.m: Remove some code and move into
	separate files.
	* Source/GSXibParser.m: Version 5 XIB support. Initial code.  This
	currently doesn't work, but it illustrates the direction I am
	taking with solving this.

2014-02-23  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSTextAttachment.h
	* Source/NSTextAttachment.m: Use NSUInteger and bring closer to
	the Apple implementation.
	* Source/GSHorizontalTypesetter.m (-layoutLineNewParagraph:): For
	attachments use the cell origin y flipped.

2014-02-20 18:48-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSWindow.m: (-setFrame:): Correct window resize when
	in window menus are used and size constraints on the window don't
	allow it to accommodate the menu.

2014-02-18  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-insertText:): Ignore nil argument.

2014-02-05  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindowController.m (-setWindow:): Clear the window
	delegate if set by NIB loading.

2014-01-31  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/AppKit.h: Add a few missing classes.

2014-01-31  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSAlert.h,
	* Headers/AppKit/NSWindow.h: Remove usage of GNUSTEP define.

2014-01-26  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSCell.h
	* Source/NSCell.m: Add hitTestForEvent:inRect:ofView:.

2014-01-26  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeDrawing.m (-drawTableViewRow:clipRect:inView:):
	Don't change the value of an edited cell.

2014-01-26  Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

	* Source/NSFontPanel.m
	Some int -> NSInteger and float -> CGFloat transitions

2014-01-24  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-doCommandBySelector:): Pass nil argument
	to selector.

2014-01-19  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocument.m: Add some NSError return values.

2014-01-12  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextAttachment.m: Add keyed coding.

2014-01-11  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAttributedString.m (-fixFontAttributeInRange:): Don't
	look for substitutions for control or attachment characters.

2014-01-10  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSavePanel.m (-runModal): Use only last component from filename.
	* Source/NSSavePanel.m (-filename): Return autoreleased copy of
	instance variable.

2014-01-05 Niels Grewe <niels.grewe@halbordnung.de>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h
	* Source/GSDisplayServer.m:
	Remove redundant method again.

2014-01-01 Niels Grewe <niels.grewe@halbordnung.de>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h
	* Source/GSDisplayServer.m:
	Add a method to get the window identifier used by the
	backend (instead of just the window number).

2013-12-31  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSAnimation.h
	* Headers/AppKit/NSApplication.h
	* Headers/AppKit/NSControl.h
	* Headers/AppKit/NSPopover.h
	* Headers/AppKit/NSSavePanel.h
	* Headers/AppKit/NSTableView.h
	* Headers/AppKit/NSTextView.h
	* Headers/AppKit/NSWindow.h: Use GS_PROTOCOLS_HAVE_OPTIONAL to
	protect the @optional keyword in protocol definitions.
	Based on base patch by Marcus Mueller <znek@mulle-kybernetik.com>.

2013-12-26  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m: Add description method.
	Patch by Johannes Lundberg <johannes@brilliantservice.co.jp>.

2013-12-24  Richard Frith-Macdonald <rfm@gnu.org>

	* Version: bump to 0.24.0

2013-12-23  Fred Kiefer <FredKiefer@gmx.de>

        * Update release notes to prepare for upcoming release.

2013-12-13  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Handle changed keys for XIB 4.6 format.
	Based on patch by Marcian Lytwyn <marcian.lytwyn@advcsi.com>.
	* Source/GSXibLoader.m (-parser:...): Warn about unsupported XIB 5
	format.

2013-12-13  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-numberOfRows): Return the current number
	of rows not the internal cached value.
	Replace some occurences of int with NSInteger
	and unsigned with NSUInteger.

2013-12-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSClipView.m (-setBounds:, -setBoundsSize:): Use
	-setNeedsDisplay: to redraw areas no longer covered by the
	document view.

2013-12-07  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSClipView.m (-setDocumentView:): Don't take the
	background colour from the document view.
	Patch by Jeff Teunissen <deek@d2dc.net>.

2013-12-07  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeDrawing.m (-drawScrollViewRect:inView:): Use the
	scrollview bounds instead of the scroller frame for drawing the border.
	Patch by Jeff Teunissen <deek@d2dc.net>.

2013-12-06  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+JPEG.m: Remove CYGWIN specific define as
	it is no longer needed. I leave the code for this in for a while.
	Patch by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>.

2013-12-03  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSClipView.m (-setBounds:, -setBoundsSize:): Mark the
	documentView as needing redisplay. Fixes #40776.
	Based on patch by Jeff Teunissen <deek@d2dc.net>.

2013-12-03  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeDrawing.m (-drawScrollViewRect:inView:): Use
	NSRectFill() instead of line drawing to get sharper separator
	lines.
	* Source/GSThemeDrawing.m (-drawScrollerRect:...): Don't fill with
	window background colour.
	* Source/NSScroller.m (-drawRect:): Draw only the knob slot when
	disabled.
	* Source/NSScroller.m (-mouseDown:): Don't handle mouse down event
	when disabled.

2013-12-02  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSScroller.m (-drawKnobSlot): Draw the slot even when the
	scroller is disabled.

2013-12-01  Fred Kiefer <FredKiefer@gmx.de>

	* Source/Functions.m (NSFrameRectWithWidth): Use one pixel width
	if a value of 0 is given. Fixes bug #40760
	* Source/NSScroller.m: Move disable check out of -rectForPart:.
	Fixes bug #40761.

2013-12-01  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSModelLoaderFactory.h,
	* Source/GSModelLoaderFactory.m: Add new method +supportedTypes.
	* Source/NSBundleAdditions.m: Use this new method to implement NIB
	resource detection on top of the base methods instead of doing it here.

2013-11-24  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSGradient.m: Rearrange code to avoid duplicate
	saveGraphicsState calls.

2013-11-24  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+GIF.m: Add define missing in libgif 5.0.

2013-11-24  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBrowser.m (-selectionIndexPaths): Actually do the correction.

2013-11-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBrowser.m (-selectionIndexPaths): Correct off by one
	error in last change.
	Detected by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>.

2013-11-23  Fred Kiefer <FredKiefer@gmx.de>

        * configure.ac: Detect new GifQuantizeBuffer function.
        * configure: regenerate
	* Source/NSBitmapImageRep+GIF.m: Try to handle quantize again for
	libgif 5.0.

2013-11-22  Fred Kiefer <FredKiefer@gmx.de>

        * configure.ac: Try to improve the ICU detection.
        * configure: regenerate
	* Headers/AppKit/NSTrackingArea.h
	* Source/NSTrackingArea.m: Remove compiler warnings.
	* Headers/AppKit/NSBrowser.h,
	* Source/NSBrowser.m: Add a few new Cocoa methods.

2013-11-22  German Arias <germanandre@gmx.es>

	* NSWindow.m (-sendEvent:): Set _lastPoint only for mouse entered
	events. If not, in some cases (i.e. display contextual menus), this
	sets the wrong point for the event.

2013-11-08 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+GIF.m:
	Adapt for newer libgif versions of EGifOpen and renamed GifMakeMapObject.

2013-11-05  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-highlightTableViewSelectionInClipRect:...):
	Use color named @"highlightedTableRowBackgroundColor", if present in
	the theme, to fill the selected row background.
	* Source/GSThemeDrawing.m (-drawTableViewRow:clipRect:inView:):
	When the row/column is selected, if the cell is a NSTextFieldCell,
	set the text color to @"highlightedTableRowTextColor" before drawing the
	cell (only if the theme defines that color).

2013-11-03 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

	* Source/NSSpellChecker.m
	  int -> NSInteger transition

2013-11-01  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSServicesManager.m: Call the more modern
	NSDocumentController methods to open documents.
	* Resources/English.lproj/Localizable.strings
	* Resources/Esperanto.lproj/Localizable.strings
	* Resources/French.lproj/Localizable.strings
	* Resources/German.lproj/Localizable.strings
	* Resources/Italian.lproj/Localizable.strings
	* Resources/Lojban.lproj/Localizable.strings
	* Resources/Spanish.lproj/Localizable.strings
	Regenerate string files.

2013-10-27  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSHorizontalTypesetter.m (-layoutLineNewParagraph:): Only
	adjust max_line_height to minimumLineHeight if it isn't zero.

2013-10-26  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-mouseDown:): Use container origin for
	attachment cells.

2013-10-26  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m (-heightForItem:): Use
	-menuItemCellForItemAtIndex: to protect against an index being to
	big. This happens when the menu does not send notifications and a
	non-existing item gets highlighted.
	* Source/NSMenuView.m (-menuItemCellForItemAtIndex:): Protect
	against negative index values.

2013-10-20  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+PNG.m: Better cleanup on error.
	* Source/NSBitmapImageRep.m (_set_bit_value): Correct error in bit
	operation. This should allow the code to work with 16 bit images.

2013-10-17  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/common_SliderHoriz.tiff:
	* Images/common_SliderVert.tiff: Bake in the control background
	color because the NSSliderCell now draws these without filling
	with [NSColor controlBackgroundColor] first.

2013-10-17  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSFileWrapper.h,
        * Source/NSFileWrapper.m: Add some OSX 10.6 methods.

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m:
	* Source/GSThemeTools.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Small refactor:
	most uses of -[GSTheme fillRect:withTiles:background:] use
	[NSColor clearColor], so add a version without the background:
	param.

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Add methods
	-menuSubmenuHorizontalOverlap and -menuSubmenuVerticalOverlap
	wrapping user defaults GSMenuSubmenuHorizontalOverlap and
	GSMenuSubmenuVerticalOverlap
	* Source/NSMenuView.m (-locationForSubmenu:): Offset calculations
	by -[GSTheme menuSubmenuHorizontalOverlap] and
	-[GSTheme menuSubmenuVerticalOverlap]

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemePrivate.h:
	* Source/GSTheme.m: Add GSStringFromImageFrameStyle
	* Source/GSThemeDrawing.m (-drawBorderForImageFrameStyle:...):
	Use GSStringFromImageFrameStyle to get tiles, if present

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-drawColorWellBorder:...): Draw inner
	border using part GSColorWellInnerBorder
	* Source/GSTheme.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Add GSColorWellInnerBorder
	part name

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemePrivate.h:
	* Source/GSThemeTools.m:
	* Source/GSThemeDrawing.m: Add explicit isFlipped: param to
	-[GSDrawTiles contentRectForRect:]

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Remove GSScrollViewBottomCorner
	part name, instead themes should just provide a part called NSScrollView.

	Add -scrollViewScrollersOverlapBorders method.

	* Source/GSTheme.m: Remove GSScrollViewBottomCorner part name.
	* Source/GSThemeDrawing.m: Add -scrollViewScrollersOverlapBorders.
	* Source/GSThemeDrawing.m (-drawBrowserRect:...): If
	-scrollViewScrollersOverlapBorders is enabled, fill the browser background
	with the NSScrollView tile.
	* Source/GSThemeDrawing.m (-drawScrollViewRect:...): If
	-scrollViewScrollersOverlapBorders is enabled, fill the scroll view background
	with the NSScrollView tile.
	* Source/NSScroller.m (-rectForPart:): Change the meaning of the
	GSScrollerKnobOvershoot default so the knob only overlaps the buttons
	by this much (rather than both ends of the track). Turns out this is more
	useful for themes.
	* Source/NSScrollView.m (-tile): Add support for
	-[GSTheme scrollViewScrollersOverlapBorders]
	* Source/NSBrowser.m (-tile): Add support for
	-[GSTheme scrollViewScrollersOverlapBorders] and
	-[GSTheme scrollViewUseBottomCorner]

	The overall point of these additions is to support NSScrollView and
	NSBrowser looking like: http://jesseross.com/clients/gnustep/ui/concepts/

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableView.m (-tile): Check the GSScrollViewNoInnerBorder
	user default to see whether to expand the corner view by 1pt or not.
	* Source/GSThemeDrawing.m (-drawTableHeaderRect:inView:): Remove
	special case which reduced the width of the last column header by 1pt.

	I don't see any reason for doing that and it looks better to me without
	the gap, and more uniform for themeing.

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSButtonCell.m:
	* Source/NSMenuItemCell.m: Make a shared -themeControlState in
	NSButtonCell and eliminate duplicated code.
	* Source/NSPopUpButtonCell.m: Add private declaration for
	-[NSButtonCell themeControlState]

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* ColorPickers/GSColorSliderCell.m (-drawBarInside:flipped:):
	Set alpha to 1 before drawing because the current value could be
	not 1, and PSsetrgbcolor doesn't set it.

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add -tabViewContentRectForBounds:
	method.
	* Source/GSThemeDrawing.m:
	* Source/NSTabView.m: Move the -contentRect implementation to GSTheme
	so we can delegate to GSDrawTiles, if used.

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTabViewItem.m (-drawLabel:inRect:): Center label vertically
	inside the tab.

2013-10-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTabView.m (-initWithCoder:): Make non-keyed archives
	call -selectTabViewItem: to select the current tab at unarchiving
	time (keyed archives were already doing this.)

	Comment: "N.B.: As a side effect, this discards the subview frame
	and sets it to [self contentRect].

	This is desirable because the subview frame will be different
	depending on whether the arcive is from Cocoa or GNUstep,
	and which GNUstep theme was active at save time.

	However, it does mean that the tab view contents should be
	prepared to resize slightly."

	The immediate need for this is tab views were changed to use
	flipped coordinates, so the subview frames stored in existing
	archives are now in the wrong coordinate system.

	This is essentially the same idea as NSScrollView calling -tile at the
	end of -initWithCoder: so I hope it makes sense for tab views too.

2013-10-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-tabHeightForType:): Check for nil
	before calling -size on an NSImage, for systems where this
	corrupts the stack.

2013-10-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Change stepper drawing methods to use
	images. The stepper is too small to make decomposing it in to
	border + bezel + arrow worthwhile; it's simpler to just use images.
	* Images/GNUmakefile:
	* Images/common_StepperDown.tiff:
	* Images/common_StepperDownHighlighted.tiff:
	* Images/common_StepperUp.tiff:
	* Images/common_StepperUpHighlighted.tiff: Add stepper images

2013-10-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add three new theme
	control state: GSThemeFirstResponderState,
	GSThemeHighlightedFirstResponderState,
	and GSThemeSelectedFirstResponderState. This lets themes draw
	custom first responder tiles, if the desired effect can't be
	accomplished by drawing on top of an existing button.
	* Source/GSThemeDrawing.m (-drawFocusFrame:inRect:):
	Use tiles named "NSFocusRing" if available, else draw dotted
	rect.
	* Source/GSTheme.m:
	* Source/NSButtonCell.m: Use new GSTheme*FirstResponderState
	states

2013-10-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-drawTableViewBackgroundInClipRect:...):
	Add support for drawing striped table backgrounds, using the colors
	returned by [NSColor controlAlternatingRowBackgroundColors].
	Currently not used because
	-[NSTableView usesAlternatingRowBackgroundColors] is hardcoded to
	return NO.

2013-10-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSliderCell.m (-drawKnob:): Don't fill the knob
	with a background color before drawing the cell. Seems pointless
	- GNUstep's default knob image is opaque, but filling with a solid
	color prevents transparent knob images from looking good.

2013-10-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Panels/English.lproj/GSPageLayout.gorm:
	* Panels/Spanish.lproj/GSPageLayout.gorm: Minor visual tweaks:
	Turn off "draws background" on the portrait/landscape matrix
	so it looks better with themes. Remove 0.5 point offsets on
	some views on the second and third tabs to eliminate blurring.

2013-10-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m: Add GSProgressIndicatorBezel part name
	* Source/GSThemeDrawing.m (-drawProgressIndicatorBezel:withClip:):
	Use GSProgressIndicatorBezel to draw bezel if available.

2013-10-12  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeTools.m (-initWithNinePatchImage:): Parse the
	"optiacal bounds" metadata in 9-patch images. It's stored
	in the layoutRect ivar but not used otherwise.

	See "Optical bounds layout" section of:
	http://developer.android.com/about/versions/android-4.3.html
	* Source/GSThemePrivate.h (GSDrawTiles): Add layoutRect ivar

2013-10-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColorWell.m (-drawRect:): Remove incorrect intersection
	with clipping rect that was causing artifacts when scrolling a list
	of color wells in Thematic.

2013-10-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeTools.m: Fix unflipped/flipped coordinates bug
	in the 9-patch content rect parsing code. Add some comments.
	Simplify contentRectForRect: implementation.
	* Source/GSThemeDrawing.m (-browserHeaderDrawingRectForCell:...):
	Use -contentRectForRect: to get the content rect instead of
	incorrectly reading from ivar. Fixes broken text positioning
	in browser header with Nesedah theme.

2013-10-09 German Arias <germanandre@gmx.es>

	* NSWindow.m (-sendEvent:): Fix last commit.

2013-10-09 German Arias <germanandre@gmx.es>

	* NSWindow.m (-sendEvent:): Only send events mouse entered if the
	cursor rectangles are valid.

2013-10-09 German Arias <germanandre@gmx.es>

	* NSWindow.m (-sendEvent:): Set _lastPoint after update the cursor.

2013-10-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m:
	* Source/GSTheme.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Add part names for
	themeing bottom tabs.

2013-10-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-drawBoxInClipRect:...):
	* Source/NSBox.m (-calcSizesAllowingNegative):
	Special case for box type NSBoxSeparator to draw a centered line

2013-10-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTabView.m: Fix incorrect content rect now that view
	is flipped.

2013-10-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSTheme.m (-tilesNamed:state:): Interpret .9.png files
	as NinePatch=YES. If a tile isn't listed in GSThemeTiles in the
	plist, try to find it in the ThemeTiles directory anyway. This
	lets you avoid declaring tiles in the info plist.

2013-10-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (NSBox): If drawing with theme tiles,
	use actual clipping to clip a hole in the border, so we can avoid
	filling anything with the background color.
	* Source/NSBox.m (-isOpaque:): change to NO.

2013-10-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTabView.m: Uncomment - (BOOL) isFlipped { return YES; }
	* Source/GSThemeDrawing.m: Change tab drawing to assume flipped
	coordinates

2013-10-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Rewrite tab drawing code to be more
	organized, lay out the images in a straightforward way, and
	allow themeing the fill part of the tab between the end images.
	The output is almost pixel-identical to
	the old code (only some unnoticable 1-pixel differences
	in where shadows end). It's also organized so that adding support
	for left and right tabs should be easy.
	* Headers/Additions/GNUstepGUI/GSTheme.h: Add some part names
	* Images/common_Tab*.tiff: Tweak to work with the new layout code.
	All top images are now the same size, as are all bottom images.
	* Images/GNUmakefile:
	* Images/common_TabUnSelectToSelectedJunction.tiff: Renamed to
	Images/common_TabUnSelectedToSelectedJunction.tiff
	* Source/GSThemePrivate.h:
	* Source/GSTheme.m: Add GSStringFromTabViewType utility function

2013-10-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-drawTableViewGridInClipRect:inView:):
	Clean up grid drawing code; use rect fills to avoid blurriness.

2013-10-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSThemeDrawing.m:
	* Source/NSPopUpButtonCell.m:
	Remove -[GSTheme drawBorderAndBackgroundForPopUpButtonCell:
	withFrame:inView:state:] which I added recently, and just use
	-[GSTheme drawButton:in:view:style:state]. This way,
	NSPopUpButtonCell automatically supports all of the different
	NSBezelStyles.

2013-10-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSTitleView.m: Use the GSTheme
	-setName:forElement:temporary: mechanism to bind the menu close
	button's cell to the name GSMenuCloseButton, so themes can provide
	a custom border for this button.

2013-10-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* Documentation/GuiUser/DefaultsSummary.gsdoc:
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSThemeDrawing.m:
	* Source/NSScroller.m: Add defaults GSScrollerScrollsByPage
	and GSScrollerArrowsSameEnd to allow customizing scroller
	behaviour beyond the combinations provided by NSInterfaceStyle.

2013-10-04  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColor.m:
	* Source/NSColorWell.m: Move code to draw the black and white
	triangles background for transparent colors to
	-[NSColor drawSwatchInRect:].

2013-10-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSThemeDrawing.m:
	* Source/NSBrowser.m:
	* Source/NSTableHeaderCell.m: Add custom color names
	tableHeaderTextColor and browserHeaderTextColor for
	table and browser headers.

2013-10-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuItemCell.m: If the cell is highlighted, draw
	the arrow using NSHighlightedMenuArrow (if available).

2013-10-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Use new -[GSDrawTiles themeMargins]
	to get the margins for draw tiles.
	* Source/GSThemePrivate.h:
	* Source/GSThemeTools.m: Get the 9-patch content rect support
	working from end-to-end.

2013-10-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m:
	* Source/NSBox.m: Factor out -[NSBox drawRect:] to GSTheme
	method -drawBoxInClipRect:boxType:borderType:inView:.
	Add a tiles name GSBoxBorder for themeing the box border.

2013-10-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSliderCell.m: Support themeing the circular slider
	with the image @"common_CircularSlider". Draw the dimple
	with @"common_Dimple" instead of an NSBezierPath.

2013-10-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m:
	Declare GSSliderHorizontalTrack and GSSliderVerticalTrack
	part names for themeing the background of NSSlider
	* Source/GSThemeDrawing.m:
	Add new drawSliderBorderAndBackground:frame:inCell:isHorizontal:
	method to draw the slider border and background.
	* Source/GSThemePrivate.h:
	* Source/GSThemeTools.m:
	Add a -size method on GSDrawTiles which returns the total
	original size of the tiles, so we can easily compute a rect
	that scales the tiles in only one dimension.
	* Source/NSSliderCell.m:
	Override _drawBorderAndBackgroundWithFrame: to call new
	GSTheme method. Also, tweak the knob drawing code; the knob
	is now centered and drawn at its native size. This still looks
	correct with the default slider sizes create by Gorm.

2013-10-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuView.m (heightForItem:, yOriginForItem:):
	Accept negative item indicies, which are passed in when
	opening the preferences window in TextEdit. Need to investigate
	further why that is happening.

2013-10-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m:
	* Source/NSPopUpButtonCell.m: Add a theme part GSPopUpButton
	so NSPopUpButtonCell can be drawn with a different background
	than NSMenuItemCell.

2013-10-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuView.m: Read the menu item/menu bar/separator
	height from GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSThemeDrawing.m: Add -menuBarHeight, -menuItemHeight,
	-menuSeparatorHeight. Corresponding defaults are GSMenuBarHeight,
	GSMenuItemHeight, GSMenuSeparatorHeight

2013-09-29  Eric Wasylishen <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/NSScrollView.m:
	* Source/GSThemeDrawing.m:
	* Source/GSTheme.m: Add GSScrollViewUseBottomCorner default,
	which themes can set to NO to leave a square gap in the bottom-
	left (or bottom-right) corner where the horizontal and vertical
	scrollers meet.

2013-09-29  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSBrowser.m: Fix some position calculations from the last
	commit

2013-09-29  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSBrowser.m:
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Add GSBrowserUseBezels
	user default. Themes can set it to NO to prevent NSBrowser from
	drawing any bezels, even if separatesColumns is set to YES.

2013-09-29  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSBrowser.m: Small refactoring to simplify code.
	Remove update logic from -setSeparatesColumns: and just use
	-tile. Tested by toggling "separates columns" flag in Gorm.

2013-09-29  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSBrowser.m: Change NSBR_COLUMN_SEP and NSBR_VOFFSET
	macros to static floats. Cache the values in +initialize and
	when GSThemeDidActivateNotification is sent, by calling the
	new GSTheme methods.
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Add
	-browserColumnSeparation and -browserVerticalPadding methods
	which access user defaults GSBrowserColumnSeparation and
	GSBrowserVerticalPadding. These determine the padding between
	browser columns, and the vertical padding between the bottom
	scroller, contents, and headers.

2013-09-29  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m: Better protection against representation being nil.

2013-09-29 German Arias <germanandre@gmx.es>

	* Source/GSAutocompleteWindow.m (-computePosition): Check the scrollview
	style to display the autocomplete window.

2013-09-28  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/GSTitleView.m:
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Add GSMenuTitleBackground
	theme tile for themeing the background of GSTitleView.

	NOTE: I removed some code that was in -[GSTitleView drawRect:] for
	drawing with a different style when the GSTitleView is NOT owned
	by an NSMenu, but by an NSWindow/NSPanel (_ownedByMenu == NO).
	If needed, this can be added back, but it doesn't appear to ever
	be used in gnustep-gui - GSTitleView is only created in one place,
	with NSMenu as the owner.

2013-09-28  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSCell.m (-highlight:withFrame:inView:):
	Remove call to [controlView displayRect: cellFrame];
	There was a comment saying it should be removed, and when
	combined with the -[NSButtonCell isOpaque] change, it
	was casuing scroller buttons to stay "stuck" down.
	* Source/NSBrowser.m (-isOpaque):
	* Source/NSButtonCell.m (-isOpaque):
	* Source/NSColorWell.m (-isOpaque):
	Force -isOpaque to return NO, because it's
	possible to make all of these controls semitransparent with
	theme tiles. This was visible with the Narcissus theme
	(svn://svn.gna.org/svn/etoile/trunk/Etoile/Themes/Narcissus.theme)

2013-09-28  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Add GSScrollerDefaultWidth user default
	so non-code themes can change -[GSTheme defaultScrollerWidth]

2013-09-28  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSScroller.m: Add GSScrollerKnobOvershoot default which
	allows themes to make the scroller knob overlap the scroller buttons
	by a specified amount.

2013-09-27 German Arias <germanandre@gmx.es>

	* Source/NSMenuView.m (-locationForSubmenu:): Don't change the location
	of submenu if menu is horizontal and style is NSMacintoshInterfaceStyle.

2013-09-27  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBrowserCell.m (-drawInteriorWithFrame:inView:): Don't
	draw string when editing.
	* Source/NSBrowserCell.m (-titleRectForBounds:): Implement to
	exactly match calculation in -drawInteriorWithFrame:inView:.

2013-09-27 German Arias <germanandre@gmx.es>

	* Source/NSMenuView.m (- _trackWithEvent:startingMenuView:): If menu
	is owned by a popup and theme process events, close it if user press
	a modifier key.

2013-09-26 German Arias <germanandre@gmx.es>

	* Source/GSThemeMenu.m (-displayPopUpMenu:withCellFrame:...): Revert
	last change, this don't prevent users open two or more popups at
	same time.
	* Source/NSPopUpButtonCell.m (-trackMouse:inRect:ofView:untilMouseUp:):
	Don't check here if theme process events, this avoid NSMenuView
	process correctly the events.
	* Source/NSMenuView.m (- _trackWithEvent:startingMenuView:): Ignore
	the first mouse up if is a popup and theme process events.

2013-09-24 German Arias <germanandre@gmx.es>

	* Source/GSThemeMenu.m (-displayPopUpMenu:withCellFrame:...): If the
	PopUp (pulldown) is currently displayed and the theme process events,
	allow user close it by clicking over the PopUp button.

2013-09-23 Ivan Vucica <ivan@vucica.net>

	* Source/NSImage.m: Missing -retain inside the method
	-compositeToPoint:fromRect:operation:fraction: caused a crash
	inside Opal backend.

	* Source/NSImage.m: Missing -retain inside the method
	-drawInRect:fromRect:... caused a crash inside Opal backend.

2013-09-22 16:52-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSTableView.h: Add formal protocols for
	NSTableViewDelegate and NSTableViewDataSource.

2013-09-22 15:59-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSAnimation.h: Add NSAnimationDelegate.

2013-09-18 18:17-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/AppKit.h: Add NSTrackingArea.h
	* Headers/AppKit/NSTrackingArea.h: Add interface for NSTrackingArea
	* Source/GNUmakefile: Add NSTrackingArea.[hm] to makefile.
	* Source/NSTrackingArea.m: Add implementation for NSTrackingArea

2013-09-17 Riccardo Mottola <rm@gnu.org>

	* Source/NSSplitView.m
	Silence more warnings.

2013-09-17 16:36-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSWindow.h: Add declaration to remove "attachedSheet"
	from protocol.  Add declaration to add delegate methods to NSObject.
	Some methods in NSWindow call these on self.

2013-09-17 Ivan Vucica <ivan@vucica.net>

	* Source/NSLayoutManager.m:
	advancementbuf[0] was not being filled. Most backends, including cairo,
	ignore advancements, so the bug was not immediately apparent until
	opal backend started using the advancements.

2013-09-17 16:36-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSMenu.h: Add NSMenuDelegate
	* Headers/AppKit/NSWindow.h: Add NSWindowDelegate

2013-09-17 Riccardo Mottola <rm@gnu.org>

	* Source/NSAnimation.m
	Warning fix.

2013-09-16  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBrowser.m (-setPath:): Fixed a bug where setting the
	path to "/" would not deselect the cells.
	Based on patch by Frank Le Grand <frank.legrand@testplant.com>

2013-09-13 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+GIF.m (-_initBitmapFromGIF:): Prepare for
	additional argument to function DGifOpen in newer libgif versions.

2013-08-30  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAttributedString.m (-fixFontAttributeInRange:): In the
	absence of a NSFontAttributeName attribute, use a default font to
	prevent the substitution from stopping. This fixes a bug where
 	unicode characters would not get the proper font substitution.
	Patch by: Frank Le Grand <frank.legrand@testplant.com>

2013-08-30  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h
	* Source/GSDisplayServer.m: Add new method -_printEventQueue.
	* Source/NSWindow.m (-_checkCursorRectangles:forEvent:): Replace
	hack with proper functions that handle cursor rectangles.

2013-08-27  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCursor.m (-mouseEntered:, -mouseExited:):
	Add better debug output.
	* Source/NSWindow.m (-_checkCursorRectangles:forEvent:): Add hack
	that updates cursor rectangles more correctly.

2013-08-19  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSTreeController.h,
	* Headers/AppKit/NSTreeNode.h: Add method declarations to these files.
	* Headers/AppKit/AppKit.h,
	* Source/GNUmakefile: Include new files.
	* Source/NSObjectController.m (+initialize, -selection): Get basic
	binding example working.
	* Source/NSTreeController.m: Minimal implementation.
	* Source/NSTreeNode.m: Full implementation of this class.

2013-08-17  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSStatusBar.h,
	* Source/NSStatusBar.m: Add new class implementation.
	* Headers/AppKit/AppKit.h: Add new header for NSStatusBar.h
	* Source/GNUmakefile: Add new class.
	* Headers/AppKit/NSStatusItem.h,
	* Source/NSStatusItem.m:
	Add code by Nikolaus Schaller <hns@computer.org>, reformatted and simplified.

2013-08-12  Lubos Dolezel <lubos@dolezel.info>

	* Headers/AppKit/NSSavePanel.h,
	* Source/NSSavePanel.m: beginSheetModalForWindow: and
	beginWithCompletionHander: implementations

2013-08-08 16:27-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/AppKit.h: Add new header for NSStatusItem.h
	* Headers/AppKit/NSStatusItem.h: Placeholder header.
	* Source/NSStatusItem.m: Add new class implementation.
	* Source/GNUmakefile: Add new class.

2013-07-22  Quentin Mathe  <quentin.mathe@gmail.com>

	* Source/NSImage.m (+_pathForImageNamed:, +_pathForSystemImageNamed:type:,
	+_pathForThemeImageNamed:type:, +_resourceNameForImageNamed:type:):
	Fixed missing theme images if not listed in the theme bundle Info.plist.
	Theme bundles that contain theme images named using either GNUstep or
	OPENSTEP names now work properly again (bug introduced in r36836).
	Finished to clean and reduce duplication in the image searching code
	related to -_pathForImageNamed:.
	* Images/nsmapping.strings: Updated documentation.

2013-07-18  German A. Arias <german@xelalug.org>

	* Source/NSPopUpButtonCell.m (-attachPopUpWithFrame:inView:): Revert
	last change.
	* Source/GSThemeMenu.m (-displayPopUpMenu:withCellFrame:...): Add here
	the code. This place is more appropriate.

2013-07-17  German A. Arias <german@xelalug.org>

	* Source/NSPopUpButtonCell.m (-attachPopUpWithFrame:inView:): Ensure
	the window responds when run in modal and should process events.

2013-07-15 Riccardo Mottola <rm@gnu.org>

	* Images/nsmapping.strings
	Do not remap GNUstep image itself.

2013-07-15 Riccardo Mottola <rm@gnu.org>

	* Headers/Additions/GNUstepGUI/GSTheme.h
	* Source/GSTheme.m
	Add license to the Theme properties.

2013-07-11  German A. Arias <german@xelalug.org>

	* Source/NSMenu.m (-displayTransient): Push an arrow cursor when
	display transient menus, to not use the current cursor.

2013-07-08  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h
	* Source/GSDisplayServer.m: Add new method -setIgnoreMouse:: with
	empty implementation.
	* Source/NSWindow.m (-setIgnoresMouseEvents:): Use this new method.

2013-07-08  German A. Arias <german@xelalug.org>

	* Source/NSMenuView.m (_trackWithEvent:startingMenuView:):
	Ignore the first mouse up if is a transient menu and style
	is NSWindows95InterfaceStyle.

2013-07-07  German A. Arias <german@xelalug.org>

	* Headers/AppKit/NSCursor.h:
	* Source/NSCursor.m (-init, -push, -pop): Revert last commit.

2013-07-07  German A. Arias <german@xelalug.org>

	* Headers/AppKit/NSCursor.h: Add _windowNum and _cursorRect.
	* Source/NSCursor.m (-init, -push, -pop): Store at cursor object the
	rect and the window where this is displayed. So the next time the app
	request push this cursor, it can compare if currently is displayed for
	that rect in that window. To prevent duplicate the cursor.

2013-07-07  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImageRep.m (-guiDrawInRect:...fraction:): Readd special
	handling for printing as suggested by Eric Wasylishen
	<ewasylishen@gmail.com>.

2013-07-04  Quentin Mathe  <quentin.mathe@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m:
	Added new theme image constant image names.
	* Source/NSImage.m (+imageNamed:, +_reloadCachedImages,
	+_pathForImageNamed:): Added support for providing custom theme control
	images in the same way that we support it for tiles. We now support a
	GSThemeImages section in the theme Info.plist for all the images stored
	inside a ThemeImages directory of the theme bundle.

2013-07-04  Richard Frith-Macdonald <rfm@gnu.org>

        * config.make.in: Fix error in order of link/include directories
        * configure.ac: Change variable names for match make system
        * configure: regenerate
        * Source/NSView.m: trivial comment format changes

2013-07-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m:
	* Headers/AppKit/NSGraphics.h: Add NSDrawThreePartImage

2013-07-02  German A. Arias <german@xelalug.org>

	* Source/NSCursor.m (-push): Revert last change.

2013-07-02  German A. Arias <german@xelalug.org>

	* Source/NSCursor.m (-push): If the cursor is the current cursor,
	don't set it again.
	* Source/NSWindow.m (-sendEvent:): Don't update the cursor if
	the window isn't the key window.

2013-06-22  German A. Arias <german@xelalug.org>

	* Source/NSComboBoxCell.m (-initWithContentRect:...):
	Fix memory leak in GSComboWindow.

2013-06-20  German A. Arias <german@xelalug.org>

	* Source/GNUmakefile: Remove GSAutocompleteWindow.h, isn't
	necessary add this here.
	* Source/GSAutocompleteWindow.m: Add NSScreen header.

2013-06-19  German A. Arias <german@xelalug.org>

	* Source/GSAutocompleteWindow.h:
	* Source/GSAutocompleteWindow.m: Add.
	* Source/GNUmakefile: Add new files.
	* Source/NSTextView.m (-rangeForUserCompletion, -complete:,
	-completionsForPartialWordRange:indexOfSelectedItem:,
	-insertCompletion:forPartialWordRange:movement:isFinal:):
	Implement methods for autocomplete.

2013-06-02  German A. Arias <german@xelalug.org>

	* Headers/AppKit/NSText.h: Add NSCancelTextMovement and
	NSOtherTextMovement for compatibility with Cocoa.

2013-05-27  German A. Arias <german@xelalug.org>

	* Tools/say/GNUmakefile: Fix flag.

2013-05-17  Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

	* Source/NSParagraphStyle.m bump version, and fix decoder

2013-05-14  German A. Arias <german@xelalug.org>

	* Source/NSFormCell.m: Add method -resetCursorRect:inView:.

2013-05-13  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSNibLoading.m: Remove method [NSKeyedUnarchiver
	-replaceObject:withObject:] which was moved to base.

2013-05-11  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColorPanel.m (-_magnify:): Use a local auto release
	pool in loop.

2013-05-06  German A. Arias <german@xelalug.org>

	* Source/NSSearchFieldCell.m: Add method -resetCursorRect:inView: and an
	inline method to handle correctly the mouse cursor.

2013-04-24 05:23-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSPopover.h: correct delegate method
	for popoverShouldClose:
	* Headers/AppKit/NSWindow.h: add convertRectToScreen: and
	convertRectFromScreen: methods.
	* Source/NSPopover.m: Correct delegate method for popoverShouldClose:.
	Changes to align popover window with rect it is being placed relative
	to.
	* Source/NSWindow.m: implementation of convertRectToScreen: and
	convertRectFromScreen: methods.

2013-04-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Add -replaceObject:withObject: method.

2013-04-21  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSPopover.h,
	* Source/NSPopover.m: Adjust to GNUstep coding standards.
	* Source/externs.m: Move new strings to here.

2013-04-21  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/AppKit.h: Add NSCollectionView.h and NSCollectionViewItem.h.

2013-04-21  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCollectionView.m (-_moveUpAndExpandSelection:): Correct
	the comparision. Bug reported by Gregory John Casamento
	<greg.casamento@gmail.com>
	* Headers/AppKit/NSPopover.h: Add missing import.
	* Source/GSXibLoader.m: Disable NSCustomView hack again.
	* Headers/AppKit/NSApplication.h: Replace GSAppDelegateProtocol
	with NSApplicationDelegate.
	* Source/NSApplication.m: Adjust documentation to this replacement.


2013-04-21 09:26-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/AppKit.h: Add NSPopover.h to set of files
	included.
	* Headers/AppKit/NSApplication.h: Add NSApplicationDelegate.
	Inherit from GSAppDelegateProtocol.
	* Headers/AppKit/NSPopover.h: NSPopover header.
	* Source/GNUmakefile: Added NSPopover.[hm]
	* Source/GSXibLoader.m: Translate NSCustomView to NSView when
	unarchiving.
	* Source/NSPopover.m: Skeletal implementation of NSPopover.m.

2013-04-21  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-selectedColumnIndexes, -selectedRowIndexes): Return an
	autoreleased copy of the corresponding ivar. Returning a reference to the ivar
	leads to issues (and behavior different from Cocoa) when iterating thru the
	indexsets if at a time they would be being altered.
	Patch by Frank LeGrand (flegrand@testplant.com).
	* Source/GNUmakefile: Add NSCollectionViewItem.
	* Headers/AppKit/NSCollectionView.h,
	* Headers/AppKit/NSCollectionViewItem.h,
	* Source/NSCollectionViewItem.m,
	* Source/NSCollectionView.m: Bring closer to the GNUstep coding standard.

2013-04-17 23:54-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSCollectionView.h
	* Headers/AppKit/NSCollectionViewItem.h
	* Source/GNUmakefile
	* Source/NSCollectionViewItem.m
	* Source/NSCollectionView.m: Added NSCollectionView and
	NSCollectionViewItem classes from testplant branch.  Made changes
	to original patch to conform to coding standards, NSCoding for
	non-keyed archiving and moved instances of float/integer to
	CGFloat and NSInteger/NSUInteger as appropriate.
	Patch by Doug Simons (dsimons@testplant.com) and
	Frank LeGrand (flegrand@testplant.com).

2013-04-15  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSKeyValueBinding.h,
	* Source/externs.m: Additional binding name NSContentValuesBinding.
	* Source/NSPopUpButton.m: Add KVB for NSContentValuesBinding.
	Patch by Marcian Lytwyn <marcian.lytwyn@advcsi.com>
	* Source/NSArrayController.m: Encode/decode clearsFilterPredicateOnInsertion.

2013-04-06  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/NSImage.m: Revert previous commit and write a much cleaner
	implementation that fixes the same bug.

	I removed the step in theme activation where we call
	+[NSImage _setImagePath:name:] on each image in the theme, and instead
	modified +[NSImage _pathForImageNamed:] to also search the theme images
	directory.

	When a GSTheme activates now, it only calls +[NSImage _reloadCachedImages]
	which checks all NSImage cached by name and reloads any whose path has
	changed.

2013-04-06  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/NSImage.m: Allow themes to override only a "base" image like
	common_3DArrowRight and have images that map to it (NSMenuArrow)
	automatically update.

2013-04-03  Fred Kiefer <FredKiefer@gmx.de>

	* Tools/speech/GSSpeechSynthesizer.m: Use object_getClass()
	instead of isa. Make exitIfUnneeded: a class method. Reformat code.

2013-04-03  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+GIF.m (-_bitmapIsGIF:): Prepare for
	additional argument to function DGifOpen in newer libgif versions.

2013-03-28  Richard Frith-Macdonald <rfm@gnu.org>

        Make release
        * Version 0.23.1
        * Update release notes

2013-03-20  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSToolTips.m (+initialize): Set the level of the tool tip
	window to NSPopUpMenuWindowLevel.
	Change suggested by Wolfgang Lux  <wolfgang.lux@gmail.com>

2013-03-18  Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSImage/basic.m: Add basic tests for NSImage.
	* Tests/gui/NSCell/basic.m: Extend basic tests for NSCell.
	* Source/NSImage.m: Try to correct keyed encoding/decoding. Add
	incomplete isEqual: method.

2013-03-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSViewController.m: Retain the view.
	* Source/NSOutline.m(-drawRow:clipRect:): The selected cell shows
	its first responder state.
	Patch by Frank LeGrand <frank.legrand@testplant.com>

2013-03-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSEvent.m,
	* Source/NSParagraphStyle.m: Use NSInteger instead of enumerator
	type name for decoding and encoding.
	* Header/AppKit/NSFontPanel.h,
	* Header/AppKit/NSOpenPanel.h,
	* Header/AppKit/NSDataLinkPanel.h,
	* Source/NSDataLinkPanel.m,
	* Header/AppKit/NSForm.h,
	* Source/NSForm.m,
	* Header/AppKit/NSHelpPanel.h,
	* Source/NSHelpPanel.m,
	* Source/NSColorPanel.m: Remove unused encoding/decoding methods.
	* Source/NSCustomImageRep.m,
	* Source/NSEPSImageRep.m,
	* Source/NSMovie.m,
	* Source/NSRulerMarker.m,
	* Source/NSColorList.m: Flag missing keyed encoding/decoding.

2013-03-15  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m: Use new method -_isCellSelectableColumn:row:,
	that checks the cells selectable state, in -mouseDown:.

2013-03-10  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSNibLoading.m (NSCustomView -nibInstantiateWithCoder:):
	Re-add call to -replaceObject:withObject: on decoder, but this
	time in the right place.

2013-03-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/GNUmakefile:
	* Images/nsmapping.strings:
	* Images/common_Info.svg:
	* Images/common_Info.tiff: Add NSInfo image.

2013-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSSavePanel/setDelegate_reload.m: Rewrite to remove
	use of @defs().
	Base on idea by Wolfgang Lux  <wolfgang.lux@gmail.com>

2013-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableColumn.m (-initWithCoder:): Make columns
	non-editable by default.
	* Source/NSTableView.m (-editColumn:...select:): Make editing here
	independ of the datasource.
	* Source/NSTableView.m: Split -_isCellEditableColumn:row: in two
	methods and ignore the cell isEditable state in -mouseDown:.

2013-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSTextView.h: Make NSTextViewDelegate a formal protocol.

2013-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* configure.ac: Correct change for libpng.
	Patch by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* configure: Regenerated.

2013-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBezierPath.m (-elementAtIndex:associatedPoints:): Fix
	handling of close element.
	Patch by Bluna Ratimonkey <object@gmail.com>.

2013-03-05  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSHorizontalTypesetter.m: Change floats into CGFloats to
	stop infinite loop.

2013-03-04  Fred Kiefer <FredKiefer@gmx.de>

	* configure.ac: Use CPPFLAGS instead of CFLAGS for libpng.
	Patch by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* configure: Regenerated.

2013-03-04  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBezierPath.m: Implement keyed coding and complete keyed
	decoding.
	Patch by Christopher Armstrong <carmstrong@fastmail.com.au>
	* Source/NSBezierPath.m: Rewrote -elementAtIndex:associatedPoints:
	to return a point for NSClosePathBezierPathElement. And adjust all
	callers to make use of that point. Complete non-keyed coding and
	decoding.
	* Tests/gui/NSBezierPath/basic.m: Add basic tests for NSBezierPath.

2013-03-02 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

	* Source/NSMenuItemCell.m
	* Headers/AppKit/NSMenuItemCell.h
	  float -> CGFloat transitions
	* ColorPickers/GSColorSliderCell.m
	  more float -> CGFloat transitions
	* Headers/AppKit/NSOutlineView.h
	  int -> NSInteger transitions for NSOutlineView protocol

2013-03-01  Richard Frith-Macdonald <rfm@gnu.org>

        * Version ... bump subminor number in preparation for next release.

2013-03-01  Richard Frith-Macdonald <rfm@gnu.org>

        Make release
	* Version 0.23.0
	* Update release notes

2013-02-28  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSPDFPrintOperation.m: Update -_print and -deliverResult
	to match GSEPSPrintOperation to get the class to at least partly
	working. Output is appearing up-side-down for me though.

2013-02-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-setDelegate:): Don't unregister delegate
	notifications if same delegate is set twice.
	Patch by Doug Simons <doug.simons@testplant.com>

2013-02-22  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-initWithCoder:),
	* Source/NSBitmapImageRep.m (-_convertToFormatBitsPerSample:...):
	Correct problem found by valgrind.

2013-02-22  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSToolTips.m
	* Source/NSProgressIndicator.m
	* Source/NSTextView.m: Add the timers for NSModalPanelRunLoopMode
	as well.

2013-02-22  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTabView.m (-minimumSize, -contentRect): Make the values
	here consistent with the code in GSThemeDrawing.
	* Source/GSThemeDrawing.m (-drawTabViewRect:...): Remove useless
	line of code.

2013-02-21 Riccardo Mottola <rm@gnu.org>

	* Source/NSParagraphStyle.m
	Encode and decode lineBreakMode with NSInteger and not NSLineBreakMode

2013-02-21  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+PNG.m
	(-_PNGRepresentationWithProperties:): Revert last change and don't
	use png_info_init_3() on PNG >= 1.5.

2013-02-21 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+PNG.m
	Define png_sizeof() to allow compilation on 1.6.

2013-02-19  Fred Kiefer <FredKiefer@gmx.de>

	* Tools/make_services.m (main, CheckDirectory)
	Improve the last fix by using newer method.

2013-02-19  Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSTableView.m (-_drawDropIndicator,
	-_setDropOperationAndRow:usingPositionInRow:atPoint:,
        -draggingUpdated:):
	Cleaned code a bit more.

2013-02-19  Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSTableView.m (-draggingUpdated:):
        Don't update the drop row and operation if the drop target hasn't
        changed (this prevents to overwrite a
	custom drop row and operation set by the user in
	-tableView:handleValidateDrop:proposedRow:proposedOperation:).

2013-02-19  Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSTableView.m (-draggingUpdated:): Extracted drop indicator
	drawing into a new method -_drawDropIndicator.

2013-02-19  Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSTableView.m (-draggingUpdated:):
        Modularized the first part of
	the method into several smaller methods -_dropRowFromQuarterPosition:,
	-_setDropOperationAndRow:usingPositionInRow:atPoint: and
	_scrollRowAtPointToVisible:.

2013-02-18 Riccardo Mottola <rm@gnu.org>

	* Tools/make_services.m (main)
	Check Library directory before checking and attempting to create
        Services subdir

2013-02-18  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSDragView.m
	* Source/NSTextView.m
	Fix compiler warnings reported by
	Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

2013-02-17  German A. Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: Translations.

2013-02-17  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSScrollView.h
	* Headers/AppKit/NSScroller.h
	* Headers/AppKit/NSSlider.h
	* Headers/AppKit/NSSliderCell.h
	* Headers/AppKit/NSTableColumn.h
	* Headers/AppKit/NSTableHeaderView.h
	* Headers/AppKit/NSTableView.h
	* Headers/AppKit/NSTextContainer.h
	* Headers/AppKit/NSTextTable.h
	* Source/NSScrollView.m
	* Source/NSScroller.m
	* Source/NSSlider.m
	* Source/NSSliderCell.m
	* Source/NSTableColumn.m
	* Source/NSTableHeaderView.m
	* Source/NSTableView.m
	* Source/NSTextBlock.m
	* Source/NSTextContainer.m
	* Source/NSTextTable.m
	More CGFloat, NSUInteger and NSInteger changes.

2013-02-17  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSGraphicsContext.h
	* Headers/AppKit/NSWindow.h
	* Source/NSActionCell.m
	* Source/NSBrowser.m
	* Source/NSCell.m
	* Source/NSEvent.m
	* Source/NSImageRep.m
	* Source/NSMatrix.m
	* Source/NSMenuItem.m
	* Source/NSParagraphStyle.m
	* Source/NSRulerMarker.m
	* Source/NSRulerView.m
	* Source/NSSegmentedCell.m
	* Source/NSView.m
	* Source/NSWindow.m:
	Correct coding/decoding after type changes.

2013-02-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBezierPath.m: More keyed decoding.

2013-02-17  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBrowser.h
	* Headers/AppKit/NSClipView.h
	* Headers/AppKit/NSComboBox.h
	* Headers/AppKit/NSComboBoxCell.h
	* Headers/AppKit/NSForm.h
	* Headers/AppKit/NSFormCell.h
	* Headers/AppKit/NSParagraphStyle.h
	* Source/NSAttributedString.m
	* Source/NSBrowser.m
	* Source/NSClipView.m
	* Source/NSComboBox.m
	* Source/NSComboBoxCell.m
	* Source/NSForm.m
	* Source/NSFormCell.m
	* Source/NSParagraphStyle.m
	More CGFloat, NSUInteger and NSInteger changes.

2013-02-16  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSDragging.h
	* Headers/AppKit/NSInputManager.h
	* Headers/AppKit/NSLayoutManager.h
	* Headers/AppKit/NSRulerView.h
	* Headers/AppKit/NSText.h
	* Headers/AppKit/NSTextView.h
	* Source/NSInputManager.m
	* Source/NSLayoutManager.m
	* Source/NSText.m
	* Source/NSTextView.m
	* Source/NSTextView_actions.m
	More CGFloat, NSUInteger and NSInteger changes.

2013-02-16  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSWindowDecorationView.h
	* Headers/AppKit/NSBitmapImageRep.h
	* Headers/AppKit/NSForm.h
	* Headers/AppKit/NSImage.h
	* Headers/AppKit/NSMenuItem.h
	* Headers/AppKit/NSRulerMarker.h
	* Headers/AppKit/NSRulerView.h
	* Headers/AppKit/NSSegmentedCell.h
	* Headers/AppKit/NSSegmentedControl.h
	* Headers/AppKit/NSWindow.h
	* Source/GSStandardWindowDecorationView.m
	* Source/GSWindowDecorationView.m
	* Source/NSBitmapImageRep.m
	* Source/NSForm.m
	* Source/NSImage.m
	* Source/NSMenuItem.m
	* Source/NSRulerMarker.m
	* Source/NSRulerView.m
	* Source/NSSegmentedCell.m
	* Source/NSSegmentedControl.m
	* Source/NSWindow.m
	More CGFloat, NSUInteger and NSInteger changes.

2013-02-14  Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/AppKit/NSTableView.h
	* Source/NSTableView.m
	* Source/NSOutline.m
	(-_dataCellForTableColumn:row:, -preparedCellAtColumn:row:):
	Replaced _dataCellForTableColumn:row: by -preparedCellAtColumn:row:
	new public method from Mac OS X 10.5.

2013-02-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m (GSXibKeyedUnarchiver -_preProcessXib:):
	Release the document.
	Patch by Doug Simons <doug.simons@testplant.com>
	* Source/GSXibLoader.m: Fix a problem where owner,
        firstResponder and application
 	were put in the list of top-level objects, creating a retain-cycle.
	* Source/NSViewController.m: Fix a problem where view controllers
	did not release their top-level objects as expected.
	* Source/NSWindowController.m: Fix a problem where window
	controllers did not release their top-level objects as expected.
	Changes made in occordance with
	https://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/LoadingResources/CocoaNibs/CocoaNibs.html
	Patch by Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

2013-02-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSDragView.m
	* Source/GSSlideView.m
	* Source/NSApplication.m
	Resolve clang warnings about wrong format specifiers for NSLog.
	Patch by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

2013-02-13  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Resolve memory leak for GSXibElement.

2013-02-13  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSEvent.h
	* Source/NSEvent.m
	* Source/GSDragView.m
	* Source/GSTitleView.m
	* Source/NSComboBoxCell.m
	* Source/NSInputManager.m
	* Source/NSMatrix.m
	* Source/NSMenuView.m
	* Source/NSRulerMarker.m
	* Source/NSScroller.m
	* Source/NSSlider.m
	* Source/NSSliderCell.m
	* Source/NSTableHeaderView.m
	* Source/NSTableView.m:
	Change NSEvent to CGFloat, NSUInteger and NSInteger.

2013-02-10  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSSplitView.h
	* Source/NSSplitView.m: Change to CGFloat, NSUInteger and NSInteger.
	Patch partly by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

2013-02-08  Fred Kiefer <FredKiefer@gmx.de>

	* Sound/SndfileSource.m (dataRead): Remove unused variable range.
	Patch by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

2013-02-08  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSPageLayout.h
	* Source/NSPageLayout.m: Change int to NSInteger.
	Patch by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

2013-02-08  Fred Kiefer <FredKiefer@gmx.de>

	* Resources/English.lproj/Localizable.strings
	* Resources/Esperanto.lproj/Localizable.strings
	* Resources/French.lproj/Localizable.strings
	* Resources/German.lproj/Localizable.strings
	* Resources/Italian.lproj/Localizable.strings
	* Resources/Lojban.lproj/Localizable.strings
	* Resources/Spanish.lproj/Localizable.strings
	Regenerate string files. Translations are still missing.

2013-02-07 Riccardo Mottola <rm@gnu.org>

	* Source/NSSavePanel.m (initWithoutGModel):
	Add tooltips to buttons.

2013-02-06  Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSView.m (-encodeWithCoder:): Fixed to encode the superview
	conditionally as Cocoa does (Apple discusses superview encoding as a
	use case for conditional encoding in the Archiving related
        documentation).
	View can now be archived (or copied) without having to remove the view
	from its hierarchy before archiving it.

2013-02-05  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSMethodTable.h
	* Headers/AppKit/DPSOperators.h
	* Headers/AppKit/NSCachedImageRep.h
	* Headers/AppKit/NSGraphicsContext.h
	* Headers/AppKit/NSImageRep.h
	* Headers/AppKit/PSOperators.h
	* Source/Functions.m
	* Source/NSAffineTransform.m
	* Source/NSCachedImageRep.m
	* Source/NSGraphicsContext.m: Change DPS/PS functions to CGFloat
	and NSInteger.

2013-02-05  David Chisnall <theraven@gna.org>

	* Source/NSMenu.m: When displaying the horizontal menu, set the
	title of the main menu to the name of the application, not the
	name of the process, if the info bundle contains an application
	name.
	* Source/NSSavePanel.m: Fix the NSBrowser delegate methods in
	NSSavePanel to have the correct types.

2013-02-01  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBezierPath.m: Started the implementation of keyed
	encoding and decoding.

2013-02-01  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBezierPath.h
	* Source/GSThemeTools.m
	* Source/NSBezierPath.m
	* Source/NSGraphicsContext.m
	* Source/NSLayoutManager.m: More NSInteger/NSUInteger/CGFloat cleanup

2013-01-30  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBrowser.h
	* Headers/AppKit/NSFontPanel.h
	* Headers/AppKit/NSMatrix.h
	* Headers/AppKit/NSTableView.h
	* Source/NSBrowser.m
	* Source/NSFontPanel.m
	* Source/NSMatrix.m: Small fixes to last change.

2013-01-30  David Chisnall <theraven@gna.org>

	* ColorPickers/GSNamedColorPicker.m
	* Headers/Additions/GNUstepGUI/GSDisplayServer.h
	* Headers/AppKit/NSArrayController.h
	* Headers/AppKit/NSBrowser.h
	* Headers/AppKit/NSControl.h
	* Headers/AppKit/NSMatrix.h
	* Headers/AppKit/NSTableView.h
	* Headers/AppKit/NSToolbar.h
	* Source/GSDisplayServer.m
	* Source/GSDragView.m
	* Source/GSLayoutManager.m
	* Source/GSMemoryPanel.m
	* Source/GSNibLoading.m
	* Source/GSTheme.m
	* Source/GSToolTips.m
	* Source/GSXibLoader.m
	* Source/NSActionCell.m
	* Source/NSAlert.m
	* Source/NSApplication.m
	* Source/NSBrowser.m
	* Source/NSButtonCell.m
	* Source/NSCell.m
	* Source/NSColor.m
	* Source/NSColorList.m
	* Source/NSComboBoxCell.m
	* Source/NSControl.m
	* Source/NSEvent.m
	* Source/NSFontPanel.m
	* Source/NSGraphicsContext.m
	* Source/NSHelpManager.m
	* Source/NSHelpPanel.m
	* Source/NSMatrix.m
	* Source/NSNibBindingConnector.m
	* Source/NSOutlineView.m
	* Source/NSPrintPanel.m
	* Source/NSSearchFieldCell.m
	* Source/NSTableView.m
	* Source/NSTextView.m
	* Source/NSWindow.m
	* Source/NSWorkspace.m
	* Tools/make_services.m:
        Fix all current compiler warnings on FreeBSD/x86-64.

2013-01-30  Fred Kiefer <FredKiefer@gmx.de>

	* Source/externs.m: Change predefined colour values to CGFloat.

2013-01-29  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSCell.h
	* Headers/AppKit/NSColor.h
	* Headers/AppKit/NSGraphics.h
	* Headers/AppKit/NSView.h
	* Source/Functions.m
	* Source/GSThemeDrawing.m
	* Source/GSTitleView.m
	* Source/NSApplication.m
	* Source/NSCell.m
	* Source/NSView.m: More NSInteger/NSUInteger/CGFloat cleanup

2013-01-29  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSApplication.h
	* Source/NSApplication.m: NSInteger/NSUInteger cleanup
	* Source/externs.m: Add NSAppKitVersionNumber.

2013-01-27  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSWindowDecorationView.h
	* Headers/AppKit/NSActionCell.h
	* Headers/AppKit/NSAlert.h
	* Headers/AppKit/NSGraphics.h
	* Headers/AppKit/NSPanel.h
	* Headers/AppKit/NSWindow.h
	* Source/GSStandardWindowDecorationView.m
	* Source/GSToolTips.m
	* Source/GSWindowDecorationView.m
	* Source/NSActionCell.m
	* Source/NSAlert.m
	* Source/NSDrawer.m
	* Source/NSPanel.m
	* Source/NSWindow.m: First set of NSInteger/NSUInteger cleanup
	in gui.

2013-01-27  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextContainer.m (lineFragmentRectForProposedRect:...):
	Prevent negative width/height from being returned.
	Bug found by unit test from Nikolaus Schaller <hns@computer.org>.

2013-01-25 12:58-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSPopUpButtonCell.m: Revert previous change.

2013-01-24 19:45-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSPopUpButtonCell.m: remove _popUpItemAction: from
	-insertItemWithTitle:atIndex:.

2013-01-19  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSTextContainer.h,
	* Source/NSTextContainer.m,
	* Source/GSHorizontalTypesetter.m: Correct the definition of
	NSLineMovementDirection.
	* Headers/AppKit/NSFont.h
	* Source/NSFont.m: Add a few missing 10.4 methods.
	* Header/AppKit/NSLayoutManager.h,
	* Source/NSLayoutManager.m: Add one 10.5 method.

2013-01-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* configure.ac:
	* Headers/Additions/GNUstepGUI/config.h.in: Add check whether
	giflib defines QuantizeBuffer.

	* Source/NSBitmapImageRep+GIF.m
	(_GIFRepresentationWithProperties:errorMessage:): Disable when
	QuantizeBuffer is not available.

	* configure: Regenerated.

2013-01-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* configure.ac:
	* config/pkg.m4: Explicitly include pkg.m4 to make sure that the
	PKG_CHECK_MODULES macro is defined.

	* configure: Regenerated.

2013-01-06  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSStringDrawing.m(is_size_match): Disable matches
	where one has size information, but the other hasn't.

2012-12-31  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-_rebuildCoordinates): Check if the flipped
	state of the view has changed. Call this method all the times
	instead of checking _coordinates_valid.
	This change allows views to dynamically change their flipped state.

2012-12-31  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSFont.m (-setInContext:): Remove usage of
	matrixExplicitlySet.
	Patch by Derek Fawcus <dfawcus@cisco.com>.
	* Source/NSFont.m: Remove all other usages of matrixExplicitlySet.

2012-12-30  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSLayoutManager_internal.h: Make
	-_invalidateEverything visible.
	* Source/GSLayoutManager.m (-invalidateGlyphsForCharacterRange:...):
        Call
	-_invalidateEverything when the whole character range is invalidated.
	* Source/NSStringDrawing.m:
        Remove workarounds for full layout invalidation.
	Move initialisation check into cache_lock().
	Extract size match code in function.
	Put #ifdef around all statistics code.
	Use same LARGE_SIZE value as Apple does.
	Make the methods taking options the main ones.
	* Source/GSHorizontalTypesetter.m (-fullJustifyLine::,
	-rightAlignLine::, -centerAlignLine::): Don't align when the line
	width is bigger than 1e7.

2012-12-26  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSOpenGL.h,
	* Source/NSOpenGLPixelFormat.m: NSOpenGLPixelFormat directly implements
	initWithCoder so that it may marshall the pixel attributes prior to
	initWithAttributes:. Change the getValues:... method to take an
	int argument instead of long. GLint is mapped to int on most systems.
	* Source/NSOpenGLContext.m:
        Use the format decoding to decode an OpenGL context.
	Patch by Clint Smullen <daemonae>.

	* Source/GSLayoutManager.m: Small cleanup in glyph code.

2012-12-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSFont.m (-initWithName:...): Move replacement name into
	separate method -_replacementFontName and add replacement for
	"Helvetica-" prefix.
	* Header/AppKit/NSLayoutManager.h: Add some 10.5 methods.
	* Source/NSLayoutManager.m: Simple implementations for these new methods.

2012-12-16  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSFontPanel.m (-_initWithoutGModel): Fix font panel size
	background color - this broke when theme colors were added.
	* Source/GSCharacterPanel.m: Compile in -[NSApplication
	orderFrontCharacterPalette:] and do nothing instead of throwing a
	run-time exception.
	* Source/NSTextView.m (-_stopInsertionTimer, -_startInsertionTimer):
	Extract this helper methods from
        -updateInsertionPointStateAndRestartTimer:.
	* Source/NSTextView.m (-cleanUpAfterDragOperation): Add cleanup code to
	cleanUpAfterDragOperation. Gets invoked from concludeDragOperation:.
	Fix drag and drop of file objects.
	Based on patches by Marcian Lytwyn <marcian.lytwyn@advcsi.com>

2012-12-10 Riccardo Mottola <rm@gnu.org>

	* Source/NSMenuItemCell.m (titleRectForBounds)
	Add a special case for popup buttons, akin imageRectForBounds

2012-12-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSViewController.m: Add missing #import for NSArray.

2012-11-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocument.m (-_runSavePanelForSaveOperation:): Set save
	panel accessory view before calling -prepareSavePanel: to allow
	clients to modify the accessory view. Furthermore, don't call
	-prepareSavePanel: if -runModalSavePanel:withAccessoryView: is
	overridden.

2012-11-05  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-_openFiles): Protect agains empty arguments.
	Patch by Luboš Doležel <lubos@dolezel.info>

2012-10-31  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTabView.m (-dealloc):
        Reset _selected to nil at top of dealloc.
	* Source/NSBox.m(-drawRect:, -initWithCoder:): Implement
	transparent handling for custom boxes.
	Patch by Marcian Lytwyn <marcian.lytwyn@advcsi.com>
	* Source/NSTabView.m (-selectTabViewItem:): Remove duplicated code.
	* Source/NSTabView.m (-removeTabViewItem:): Retain the item while
	removing it.

2012-10-26  German A. Arias  <german@xelalug.org>

	* Source/GSThemeMenu.m (-setMenu:forWindow:): Revert last change. After
	a different test I notice this really work. I don't know why my first
	test didn't work.

2012-10-25  German A. Arias  <german@xelalug.org>

	* Source/GSThemeMenu.m (-setMenu:forWindow:): Remove any possible old
	menu before set the new menu. Because in its previous place (before if
	statement) doesn't work.

2012-10-18 23:19-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSButtonCell.m: Correct issues when decoding a .gorm
	file with key equivalent.  Make sure that the image is properly
	set.

2012-10-17 08:15-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Changes per discussion with Fred.
	Added check to make sure the image is not overriden.

2012-10-16 17:22-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add declaration
	for method setKeyEquivalent:forButtonCell:
	* Source/GSThemeDrawing.m: Add implementation for method
	setKeyEquivalent:forButtonCell:
	* Source/NSButtonCell.m: Add call to new method.

2012-10-15 18:02-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSButtonCell.m: Implementation for change request
	bug#37233.   Button should now show the return image "common_ret"
	and "common_retH" when return/enter is the key equivalent.

2012-10-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeDrawing.m (-drawTabViewRect:...selectedItem:),
	* Source/NSTabView.m (-drawRect:): Move the select logic from
	theme into normal code.

2012-10-13  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBox.h,
	* Source/NSBox.m: Add 10.5 methods for custom drawn boxes.
	* Source/GSXibLoader.m (IBObjectContainer nibInstantiate): Check
	whether the object responds to setToolTip: before calling it.

	Merge changes from testplant branch:
	* Headers/AppKit/NSTabViewItem.h: Declare tooltip methods.
	* Source/NSTabViewItem.m: Move tooltip methods to correct category.
	* Headers/AppKit/NSTextStorage.h,
	* Source/NSTextStorage.m: Add font/setFont methods to NSTextStorage
	Patch by Marcian Lytwyn <marcian.lytwyn@advcsi.com>
        * NSWindow.m (-center):
        Center on the main screen if window is off screen.
	Patch by Doug Simons <doug.simons@testplant.com>

2012-10-12  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSComboBoxCell.m (-textDidChange:):
	Handle nil string from delegate completed string processing
	Patch by Marcian Lytwyn <marcian.lytwyn@advcsi.com>

2012-10-12  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSToolTips.m: Use separate view to draw tooltip text.
	Patch by Marcian Lytwyn <marcian.lytwyn@advcsi.com>

2012-10-12  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSInfoPanel.m (value_from_info_plist_for_key):  Use
	NSBundle method to get the info dictionary.
	Patch by: Luboš Doležel <lubos@dolezel.info>

2012-10-10  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSView.m (addTrackingRect:owner:userData:assumeInside:):
	Remove translation of tracking rectangle coordinates, which is no
	longer needed (and incorrect).

2012-10-07 02:12-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSTabView.h
	* Source/GSXibLoader.m
	* Source/NSTabView.m: Merge changes from TestPlant branch

2012-10-06  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-_checkTrackingRectangles:forEvent:):
	Tracking rectangles now use the coordinate system of their views,
	as they do under Cocoa.

	* Source/GSToolTips.h (-rebuild): Remove.
	* Source/GSToolTips.m (-rebuild): Remove.
	* Source/NSView.m (-_rebuildCoordinates): No need to recompute
	tool tip tracking rectangles.

	* Source/GSToolTips.m (GSTTProvider): Remove view rectangles from
	GSTTProvider class. They are no longer used.

2012-10-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	Improve keyboard navigation by automatically computing a key view
	loop for a window (and tab view item). This implicit key view is
	created when a window is made key and does not have an explicit
	key view loop, which is detected by checking the initial first
	responder of the window.

	* Source/NSViewPrivate.h: New header declaring auxiliary key view
	loop methods.

	* Source/NSWindow.m (-becomeKeyWindow, -recalculateKeyViewLoop):
	* Source/NSView.m (-_setUpKeyViewLooopWithNextKeyView:,
	-_recursiveSetUpKeyViewLoopWithNextKeyView:, -_viewWillMoveToWindow:,
	cmpFrame()):
	* Source/NSControl.m (-_setUpKeyViewLoopWithNextKeyView:):
	* Source/NSTabView.m (-dealloc, -selectTabViewItem:, -setNextKeyView:,
	_setUpKeyViewLoopWithNextKeyView:): Implement code to
	automatically recalculate the key view loop of a window.

 	* Headers/AppKit/NSTabView.h: Add new member to maintain the
	original next key view of a tab view.

2012-10-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSClipView.m (-setDocumentView:, -setNextKeyView:):
	Adjust key view loop when adding a new document view.

2012-10-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (titleWithRepresentedFilename,
	-_hasTitleWithRepresentedFilename, -setTitleWithRepresentedFilename,
	-orderWindow:relativeTo:, -setExcludedFromWindowsMenu:):
	* Source/NSApplication.m (-updateWindowsItem:, -setWindowsMenu:):
	Abbreviate home directory in window titles.

2012-09-21  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSCursor.m (+initialize, +pop, -push, -set): Fix memory
	management for cursors. In particular prevent the current cursor
	from being deallocated when client code releases the last
	reference to it.

2012-09-21  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-targetForAction:, _targetForAction:window:,
	_targetForAction:keyWindow:mainWindow:): Make sure actions can be
	sent to the dialog window of a modal session even if another panel
	(with worksWhenModal=YES) is key window.

2012-09-13  German A. Arias  <german@xelalug.org>

	* Source/GSToolTips.m (-_endDisplay): Set NSZeroRect as frame before
	order out the tooltip window. This prevents ugly rectangles in
	some desktops.
	* Source/GSDragView.m (-_clearupWindow): Set NSZeroRect as frame before
	order out the GSRawWindow. This prevents ugly rectangles in
	some desktops.

2012-09-13  German A. Arias  <german@xelalug.org>

	* Source/NSCursor.m (-set): Set an standard cursor image (GSArrowCursor)
	if there is no image available.

2012-09-11 00:08-EDT Gregory John Casamento <greg.casamento@gmail.com>
	Merged from the TestPlant brach.  Changes by Marcian Llytwyn

	* Headers/AppKit/NSTableView.h: Add _isValidating
	* Source/NSCell.m (+initialize): Expose title binding.
	* Source/NSOpenPanel.m (-runModal): Use _directory if it is set.
	* Source/NSTableView.m (-validateEditing): Check _isValidating to
	prevent recursive calls into validateEditing.
	* Source/NSTabView.m (-initWithCoder:): Set _selected_item to
	NSNotFound.
	* Source/NSView.m (-addSubview:): Do not throw an exception when
	adding a nil subview, just ignore it.  This matches behavior on
	Cocoa.

2012-09-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSSavePanel.m (-ok:): Restore ability to create nested
	directories, which was removed without reason during the last
	change of NSSavePanel.

2012-09-03 22:35-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSXibLoader.m: Remove test code.

2012-09-03 21:37-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSXibLoader.m: Changes by Marcian Lyttwyn to correct
	issue with when a xib contains an array instead of a dictionary in
	flattenedProperties.  Changes by myself to implement custom class
	cell support so that the cell class changes along with the
	control class when unarchiving.

2012-09-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (_screenForFrame:): Fix bug where this method
	was returning nil when the frame had zero width or height. This
	could destroy a valid screen attribute of a window.

2012-09-02  German A. Arias  <german@xelalug.org>

	* Source/GSToolTips.m (_timedOut:): Don't display the tooltip
	window (GSTTPanel) if the tooltip is nil or is an empty string.

2012-09-02 13:56-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSXibLoader.m: Correct issue with reuse of enumerator.

2012-08-31 16:33-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSXibLoader.m: Cover case where there are no changes.

2012-08-31 15:01-EDT Gregory John Casamento <greg.casamento@gmail.com>
	Original changes by Marcian Lytwyn <marcian.lytwyn@advcsi.com>
	merged from gnustep_testplant_branch.

	* Headers/AppKit/NSSavePanel.h
	* Source/NSSavePanel.m: Added implementation for directory method
	from 10.6.

2012-08-31 12:09-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSXibLoader.m: Add _preProcessXib: method to perform
	custom class substitutions when loading a XIB file.
	* Source/GSXibLoading.m: Add stub classes for IBNSLayoutConstraint
	and IBNSLayoutConstant so that these can now be loaded.

2012-08-27 11:44-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSTabViewItem.h: Add _toolTip ivar.
	* Source/NSTabViewItem.m: Add setToolTip:/toolTip methods.  These
	methods were added in 10.6.

2012-08-17  Fred Kiefer <FredKiefer@gmx.de>

	Merged changes from gnustep_testplant_branch branch.

	* Source/NSImage.m (-initWithCoder:): Adopt to coding standard.
	* Source/NSScreen.m (-description): Simplify code.
	* Source/NSWindow.m (-screen): Only recompute the screen if the
	frame isn't fully covered by the current screen.
	* Headers/AppKit/NSFontPanel.h: Import NSTextField to have the
	NSTextFieldDelegate protocol defined.
	* Headers/AppKit/NSControl.h: remove the three now duplicated
	methods from NSControlTextEditingDelegate.

2012-08-14  Marcian Lytwyn <marcian.lytwyn@advcsi.com>

	* Source/NSImage.m (-initWithCoder:): Fix bug in last commit.
	* Source/NSWindow.m (-
2012-06-28  Marcian Lytwyn <marcian.lytwyn@advcsi.com>

	* ColorPickers/GSNamedColorPicker.m
	  GSNamedColorPicker needs to conform to NSTtextFieldDelegate
	* ColorPickers/GSStandardColorPicker.h
	  GSStandardCSColorPicker needs to conform to NSTextFieldDelegate

2012-06-27  Marcian Lytwyn <marcian.lytwyn@advcsi.com>

	* Source/NSWindow.m - Fix [NSWindow screen] method according
	  to documented behavior (return screen that window show up
	  the most or nil).  Fix [NSWindow setFrameFromString] to account for
	  possible nil screen on input frame and throw window on main screen
	  in this case.  This is to fix an issue with windows not properly
	  showing up when moved to another monitor during multi-monitor
	  usage and then the extra monitor(s) are removed.
	* Source/NSScreen.m - Added -description method for more information.

2012-06-27  Marcian Lytwyn <marcian.lytwyn@advcsi.com>

	*** NSOpenSavePanelDelegate ***
	* Headers/AppKit/NSSavePanel.h - Added NSOpenSavePanelDelegate
	  protocol definition
	* Source/NSSavePanel.m - Qualify delegate method(s) with
	  id<NSOpenSavePanelDelegate>

	*** NSControlTextEditingDelegate ***
	* Headers/AppKit/NSControl.h - Added NSControlTextEditingDelegate
	  protocol definition
	* Headers/AppKit/NSTextField.h - Added NSTextFieldDelegate
	  protocol definition
	* Source/NSTextField.m - Qualify delegate method(s) with
	  id<NSTextFieldDelegate>
	* Headers/AppKit/NSFontPanel.h - NSFontPanel assigns itself as a
	  delegate to a NSTextField object and must declare that it
	  conforms to NSTextFieldDelegate protocol. Added a forward
	  declaration for NSTextFieldDelegate and added NSTextFieldDelegate
	  on class interface definition.

2012-08-10  Richard Frith-Macdonald <rfm@gnu.org>

        * Source/NSColorList.m:
        * Source/NSSavePanel.m:
        * Source/NSFileWrapper.m:
        * Source/NSDocumentController.m:
        * Tools/GSspell.m:
        Use new method for creating intermediate directories rater than
        depending on incorrect behavior of the old method.

2012-08-07  Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFProducer.m (-_addAttributesString:):
	Correctly handle NSUnderlineStyleNone. This fixes bug #37043.
	* Headers/AppKit/NSOpenGL.h,
	* Source/NSOpenGLContext.m: New 10.6 methods to get/set the CGLContextObj.

2012-08-06 Riccardo Mottola <rm@gnu.org>

	* Source/GSServicesManager.m
	Do not call openFile: if only one file is supplied, as noted in 10.3 release notes.
	(Thanks to Wolfgang for looking it up)

2012-08-06 Riccardo Mottola <rm@gnu.org>

	* Source/NSApplication.m
	* Source/GSServicesManager.m
	Implement openFiles: delegate

2012-07-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView_actions.m (-yank:): Don't call -insertText: at
	all when the kill buffer is empty.

2012-07-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-run): Also catch and eventually handle
	exceptions that are thrown in code executed by the run loop itself.

2012-07-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSHorizontalTypesetter.m (-layoutGlyphsInLayoutManager:...):
	Rethrow exception which isn't handled (and possibly can't be
	handled in any reasonable way).

2012-07-24 06:30-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSImage.m: -[NSImage initWithCoder:] an extension to
	the previous change.  If the URL doesn't load then try to load
	the image in the NSURL as a "named" image in resources so that
	the developer of the app has a way to provide this image.

2012-07-20 14:06-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSImage.m: -[NSImage initWithCoder:]
	Some XIB files have image representations encoded
	via NSURL.  When this happens it causes the XIB not to be loaded at
	all since the image rep fails to load and causes the xib loading
	process to fail.

2012-07-05  Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/AppKit/NSNibDeclarations.h: Fixed recent Clang warnings when
	compiling applications about IBOutlet and IBAction being already defined.

2012-06-29  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWorkspace.m (-_openUnknown:): New method that starts an
	operation system specific application for files or URL that could
	not be handled by GNUstep applications. Based on patch by Julian
	Mayer <julian@corecode.at>.
	* Source/NSWorkspace.m (-openFile:withApplication:andDeactivate:,
	-openTempFile:, -openURL:): Use this new method.
	* Documentation/GuiUser/DefaultsSummary.gsdoc: Document the new
	setting GSUnknownFileTool that allows to define a default application.

2012-06-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSFontDescriptor.m: Small consistency updates.

2012-06-15  German A. Arias  <german@xelalug.org>

	* Source/GSWindowDecorationView.m (-changeWindowHeight:): Revert
	last change while found the real problem.

2012-06-13  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSSplitView.m (adjustSubviews): Use centerScanRect to
	give subviews pixel-aligned frames.

2012-06-07  German A. Arias  <german@xelalug.org>

	* Source/GSToolTips.m (_timedOut:): Use the font size specified
	in user defaults.

2012-06-07  German A. Arias  <german@xelalug.org>

	* Source/GSWindowDecorationView.m (-changeWindowHeight:): Use an
	intermediate frame before call -layout. This fix bugs #36419 and
	#36586.

2012-06-05  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Tests/gui/TextSystem/deallocation.m: Add new test to verify
	proper deallocation of text network elements.

2012-06-05  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSLayoutManager.m (-dealloc): Set layout manager of every
	text container to nil to avoid dangling pointer in case the text
	container is retained elsewhere.

	* Source/NSTextStorage.m (-dealloc): Set text storage of every
	layout manager to nil to avoid dangling pointer in case the layout
	manager is retained elsewhere.

2012-06-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-performUndo): Update text storage directly
	when undoing text changes.

2012-06-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Tools/GSspell.m (-spellerForLanguage:): Force aspell to return
	suggested words with UTF-8 encoding.

2012-05-21 Marcian Lytwyn <Marcian.Lytwyn@Advcsi.com>

	* Source/GSXibLoader.m:
	Added NSMenu (XibCompatibility) category with method: _isMainMenu
	Added NSMenu (XibCompatibility) category implementation.
        Modified setting main menu in awake:inContainer:withContext:
	Fixes bug #36427
	Committed by: gcasa

2012-05-07 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSInterfaceStyle.h: Remove
	GSNativeInterfaceStyle.
	* Source/NSComboBoxCell.m (-encodeWithCoder:, -initWithCoder:):
	Add a few more keyed coding values. Fixes bug #36426.

2012-05-05 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Add some (currently unused) helper code
	for class substitution in flattenedProperties.

2012-04-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPasteboard.m (NSURL-writeToPasteboard:): Revert the
	last change.
	* Source/NSWorkspace.m (-openURL:): Declare the URL pasteboard
	type here.
	Change suggested by Wolfgang Lux  <wolfgang.lux@gmail.com>.

2012-04-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPasteboard.m (NSURL-writeToPasteboard:): Declare the type.
	Patch by Andreas Schik <andreas.schik@web.de>.

2012-04-19 Riccardo Mottola <rm@gnu.org>

	* configure
	* configure.ac
	libpng-config: get I_opts and not the whole cflags, which break debug builds

2012-04-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTabView.m (+initialize): Increase version number.
	* Source/NSTabView.m (-encodeWithCoder:, -decodeWithCoder:): Clean
	up last patch.

2012-04-10 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

	* Source/NSTabView.m
	* Headers/AppKit/NSTabView.h
	  some int/NSInteger to NSUInteger changes to better
	  match return values of methods

2012-04-06 12:26  theraven

	* libs/gui/trunk/Headers/AppKit/NSColorWell.h,
	  libs/gui/trunk/Headers/AppKit/NSPrinter.h,
	  libs/gui/trunk/Headers/AppKit/PSOperators.h: Add explicit return
	  types to a couple of methods and __attribute__((unused)) to
	  some functions with empty bodies so people don't get compiler
	  warnings from
	  importing AppKit.h

2012-04-02 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuItem.m (GSMenuSeparator -classForCoder): Add
	missing method to get separator coding correct.

2012-03-28 Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSSavePanel/setDelegate_reload.m,
	* Tests/gui/NSView/NSView_autoresize_and_rounding.m,
	* Tests/gui/NSView/NSView_bounds_scale.m,
	* Tests/gui/NSView/NSView_visibleRect.m: Mark all failing tests as
	dashed hopes to prepare for Jenkins.

2012-03-27  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSCell.m (_updateFieldEditor:): Fix what I presume is
	a typo. The "if (nil == _contents) { contents = @""; }" blocks were
	dead code because the contents variable would later
	be set to nil if _contents was nil. This was causing an exception
	when starting editing an empty text field loaded from a xib.

2012-03-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSSplitView.h:
	* Source/NSSplitView.m: Add support for
	splitView:shouldAdjustSizeOfSubview: delegate method.

2012-03-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images: Add NSAddTemplate.tiff
	* Images/GNUmakefile: Update

2012-03-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSToolTips.m (-mouseEntered:): When calling the owner's
	view:stringForToolTip:point:userData: method, make the point
	relative to the view's coordinate system (tested on OS X) instead
	of relative to the tracking rect (as before.)
	* Source/GSToolTips.m (-_timedOut:): Fix a crash caused by
	invalidating the timer and then using its userInfo object.

2012-03-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSAttributedString.m
	(-initWithData:options:documentAttributes:error:): Set
	NSCharacterEncodingDocumentAttribute in the documentAttributes dict
	when reading plain text.

2012-03-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* TextConverters/RTF/RTFConsumer.m: Set NSDocumentTypeDocumentAttribute

2012-03-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSAttributedString.m
	(-initWithData:options:documentAttributes:error:): Fixes for TextEdit.
	If no type is provided, assume plain text. If no encoding is provided,
	assume UTF-8 unless a UTF-16 BOM is detected.

2012-03-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-toolbarBorderColor): Change default to
	[NSColor darkGrayColor]
	* Source/NSToolbar.m (-initWithIdentifier:): Call
	[self setShowsBaselineSeparator: YES] by default so the toolbar has
	a bottom border.

2012-03-12 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSKeyValueBinding.h,
	* Source/externs.m: Additional binding names.
	* Source/GSBindingHelpers.h,
	* Source/NSKeyValueBinding.m: Additional helper methods.
	* Source/NSObjectController.m: Use helper methods.
	* Source/NSArrayController.m: Signal when the arranged objects change.
	* Source/NSTableColumn.m,
	* Source/NSTableView.m: First attempt at support for content binding.

2012-03-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableView.m:
	* Source/GSNibLoading.m: Move -[coder setClassName: @"_NSCornerView"
	forClass: [GSTableCornerView class]] call from
	-[NSTableView initWithCoder:] to GSNibLoading, because corner views
	can be encountered before hitting -[NSTableView initWithCoder:]

2012-03-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSClipView.m: Re-enable copy-on-scroll

2012-03-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSWindow.m: Only invoke -prepareForDragOperation: if the
	most recent -draggingEntered: or -draggingUpdated: call returned
	something other than NSDragOperationNone.
	* Source/NSOutlineView.m (-draggingUpdated:): Save the drag operation
	value returned from the data source in a static variable.
	Previously it was fetched once and then discarded, so all drags were
	being mistakenly permitted.

2012-03-08 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSObjectController.m: Complete encoding/decoding methods.
	* Headers/AppKit/NSArrayController.h,
	* Source/NSArrayController.m: Add some implementation to this
	class.

2012-03-05  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuItemCell.m (-titleRectForBounds:): Attempted fix
	for bug 35702.
	Don't use [_menuView imageAndTitleWidth] or
	_titleWidth in calculating the size to put the title in. In other
	words, -titleRectForBounds: will now return the available space
	for the title, rather than the rect that the title text is
	predicted to use up.

2012-02-29 10:31-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSTreeController.h
	* Headers/AppKit/NSTreeNode.h
	* Source/NSTreeController.m: Add tree controller skeleton.

2012-02-29 10:25-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GNUmakefile: Add GSXibLoading.m file to GNUmakefile.
	* Source/GSXibLoading.m: Add some classes which I found
	are relevant to Xib loading: IBAccessibilityAttribute,
	IBUserDefinedRuntimeAttributesPlaceholder.

2012-02-28  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintPanel.m: Add file type chooser (PDF, PostScript)
	to save panel

2012-02-27  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuItemCell.m (-titleRectForBounds:): Keep title rect
	inside cell bounds, to prevent drawing text outside of a
	NSPopUpButtonCell which has a label that is too long to fit.

2012-02-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindowController.m (-initWithWindow:): Set the owner to
	self and only call setDocument: if we have an actual window.

2012-02-24  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSImageRep.h: Add comment clarifying that -draw
	is a primitive method which subclasses should override.

2012-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-setFrameFromString:): Correct bug in
	handling of in-window menus.

2012-02-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSOpenPanel.m (-beginSheetForDirectory:...,
	-beginForDirectory:...): Replace calls to -_setupForTypes: by
	-setAllowedFileTypes:, as the former was removed from the super
	class NSSavePanel.

2012-02-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenu.m (-performActionForItemAtIndex:): Revert change
	from r34642. The action of a pop up menu item once again is chosen
	in preference to the action of the pop up button itself. This is
	how it has always worked on OS X.

	* Source/NSPopUpButtonCell.m (_popUpItemAction): Fix sender of the
	pop up button's action. It is now the pop up button itself and not
	the pop up button cell.

2012-02-18 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSGraphicsContext.h: Extend the enumerator
	NSCompositingOperation with the GNUstep specifc value
	GSCompositeHighlight.
	* Source/Functions.m (NSHighlightRect): Use GSCompositeHighlight
	instead of NSCompositeHighlight.

2012-02-16  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSGraphics.h: Add missing declaration for
	NSFrameRectWithWidthUsingOperation

2012-02-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m
	(-_convertToFormatBitsPerSample:...bitsPerPixel:): Correct
	handling of black data.

2012-02-08  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSPasteboard.m: Use an NSMapTable to store pasteboards so we
	don't have to do the nasty retain count hack to deallocate them.
	Fix encoding so that filter meta-pasteboards are sent to gpbs by
	reference rather than bycopy.  Add special proxy to avoid data objects
	being copied to/from pasteboard server when created by filters.
	* Tools/make_services.m: Fix buggy initialisation of 'verbose' setting.
	Add check/warning if filter service has non-filename send types.

2012-02-08 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPasteboard.m (+pasteboardByFilteringFile:): Correct
	typo in Richard's change.
	* Source/NSPasteboard.m (-pasteboard:provideDataForType:): Use the
	file name directly instead of reading the file contents.
	* Source/NSImageRep.m (+imageRepsWithContentsOfFile:, +imageFileTypes):
	Start working on filter service support for images.

2012-02-08  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSPasteboard.m: ([+pasteboardByFilteringFile:]) fixed to
	specify source as file names, not file contents.

2012-02-03  Adam Fedor  <fedor@gnu.org>

	* Bump version

2012-02-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSOutlineView.h:
	* Source/NSOutlineView.m: Add support for
	outlineView:dataCellForTableColumn:item: delegate method
	* Headers/AppKit/NSTableView.h:
	* Source/NSTableView.m: Add support for
	tableView:dataCellForTableColumn:row: delegate method

2012-02-03  Adam Fedor  <fedor@gnu.org>

	* Version 0.22.0
	* Update release notes

2012-02-01 Riccardo Mottola <rm@gnu.org>

	* Source/GSThemePanel:
	centerScanRect button to avoid blurring

2012-02-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeInspector.m: Add missing include.

2012-02-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m (-initWithFocusedViewRect:): Return
	nil if the image data is empty. This could lead to an exception
	alter on.
	* Source/NSImage.m (-TIFFRepresentationUsingCompression:factor:,
	-TIFFRepresentation): Deal with -initWithFocusedViewRect: returning nil.

2012-02-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-setMain:): Rearrange code to avoid duplicate
	menu for in-window menu themes.

2012-02-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeInspector.m (-update:): Don't get the frame from a
	non-existing view.

2012-01-30 Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:): Only
	draw at 50% opacity if no bezel is set for cocoa compatibility.

2012-01-30 Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/common_ToolbarClippedItemsMark.tiff: Revert to older
	version because 48x48 scaled version looks too big. Also add
	high-DPI version.

2012-01-30 Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GNUmakefile: Remove GSGhostscriptImageRep from the build
	* Source/NSImageRep.m: Remove GSGhostscriptImageRep
	* configure.ac: Disable ImageMagic by default
	* configure: Regenerate

2012-01-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-setMain:): Remove the in-window menu when
	switching to a theme without that.

2012-01-27 Fred Kiefer <FredKiefer@gmx.de>

	* Images/common_ToolbarClippedItemsMark.tiff: Revert to an older
	version, scaled up to 48x48.

2012-01-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-performActionForItemAtIndex:): Check for the
	popup button cell and its action, before checking for the item
	action. This caused a problem due to NIB decoding changes.

2012-01-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-updateRuler): Replace last change with one
	that checks whether the text view is the client view of the ruler
	and only sets the markers in that case.

2012-01-25 Doug Simons  <doug.simons@testplant.com>

	* Source/NSTextView.m (-updateRuler): Call setClientView: before
	calling setMarkers: to fix a problem when a textView's text is
	set or changed when the textView is not the first responder,
	such as at windowControllerDidLoadNib: time.

2012-01-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (+imageNamed:): Don't try to look up path
	if called with nil (just return nil).

2012-01-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSClipView.m: Disable copy-on-scroll until after release

2012-01-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSClipView.m (-constrainScrollPoint:): Revert last change
	until after the release.

2012-01-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSecureTextField.m: Add GSSimpleSecureGlyphGenerator and
	use this to generate the bullet glyphs.

2012-01-23 Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSClipView.m (-constrainScrollPoint:): Restore old code
	which correctly rounded the scroll point to an integer point in
	device-space. It seems the correct code was commented out in 2002,
	perhaps as a performance optimisation?

2012-01-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSToolbarFrameworkPrivate.h,
	* Headers/AppKit/NSMatrix.h: Remove duplicated method declarations.
	* TextConverters/RTF/RTFProducer.h: Change docDict to NSDictionary.
	* Source/GSTheme.m,
	* Source/GSWindowDecorationView.m: Add missing type cast.
	* Headers/AppKit/NSCell.h,
	* Source/NSCell.m,
	* Source/NSButtonCell.m: Change _contents to id.
	* Source/GSNibLoading.m: Add missing import.
	* Source/NSPasteboard.m: Declare release as oneway.
	* Source/GSNibLoader.m: Change class to NSKeyedUnarchiver.
	* Source/GSXibLoader.m: Use correct printf type specifier.
	* Headers/AppKit/NSBitmapImageRep.h,
	* Source/NSBitmapImageRep.m: Change _imageData to NSData.
	Fix clang compiler warnings as reported by Sebastian Reitenbach
	<sebastia@l00-bugdead-prods.de>.

2012-01-21 Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-setBounds:, -setBoundsOrigin:, -setBoundsSize:):
	Revert a portion of r32955 which I committed last april but I now
	see was a mistake, and I just discovered is breaking the  copy-on-scroll
	behaviour of NSClipView - we end up always redrawing the entire visible
	portion of the document view right now.

	In r32955 I added [self setNeedsDisplay: YES] calls to these methods
	even though these are documented explicitly as not marking the view for
	needing display. Approved by Fred for commit during the code freeze.

2012-01-20 German Arias <german@xelalug.org>

	* Source/GSInfoPanel.m (-initWithDictionary:): Fix bug #35335.

2012-01-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-setStringValue:, setObjectValue:): Always use
	ASSIGNCOPY for the contents. This fixes memory leak of last
	commit.

2012-01-19 Riccardo Mottola <rm@gnu.org>

	*Source/NSCell.m:
	Add missing autoreleases.

2012-01-19 Riccardo Mottola <rm@gnu.org>

	*Source/NSCell.m:
	Copy contents before setting it [setObjectValue]

2012-01-18 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSImageView.h,
	* Source/NSImageView.m: Protect image drag with new ivar that gets
	set via a new GNUstep extension method.

2012-01-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:):
	Draw image with 50% opacity if the cell is disabled

2012-01-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableColumn.m (-initWithIdentifier:): Make data
	cell editable by default.

2011-01-14  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m:
	* Source/NSImage.m:
	Attempt to get image support working as documented again ... restore
	code in GSTheme to set up new named images on activation and restore
	originals on deactivation (rather than doing everything in a
	notification handler at the wrong point).
	Honor +imageClass as the class to load new images again.
	Hopefully this will get the windows and gnome
	themes working again (though I dn't use either).

2011-01-14  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m: Clean up and simplify theme switching based on
	defaults system values.

2012-01-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSStandardWindowDecorationView.m (-mouseDown:): Pass the
	event on to the super implementation if we don't handle it.

2012-01-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (+_clearFileTypeCaches): Use DESTROY instead
	of RELEASE.
	Patch by Philippe Roussel <p.o.roussel@free.fr>.

2012-01-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Remove duplicate #import
	* Source/NSImage.m: Correct _clearFileTypeCaches notification
	method to take a NSNotification* parameter.
	* Soure/NSImage.m (themeDidActivate:): Move to a class method,
	and move the GSThemeDidActivateNotification subscription
	to +[NSImage initialize]. Now the +_themeDidActivate: updates
	all images by looking at all the values in nameDict. This should
	function exactly the same as before, but seems to be quite a bit
	faster due to fewer notifications being sent (?)
	* Source/NSImage.m (+imageNamed:): Remove redundant fetch from
	nameDict pointed out by Fred

2012-01-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (+pathForImageNamed:): Add underscore and
	move to private category. Also remove use of lock as it is
	unnecessary
	* Source/NSImage.m: (-themeDidActivate:): Extract method
	_resetAndUseFromFile:. Don't reset _size if
	flags.sizeWasExplicitlySet was true.

2012-01-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOpenPanel.m: Rewrite/simplify selection handling,
	fix bug reported by Riccardo where OK button is disabled when
	selecting directories after selecting a file.

2012-01-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Add missing ASSIGN

2012-01-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSTheme.m: Remove code which sets and unsets images
	on theme activation/deactivation.
	* Source/NSImage.m (+imageNamed:): Factor out code for finding
	the path for a name to a separate method, +pathForImageNamed.
	The code is unchanged otherwise, except for fixing the retrieval
	of images from the theme bundle, which was broken.
	* Source/NSImage.m (-setName:): Remove code for creating theme
	proxy. Subscribe/unscribe to theme change notification when
	the receiver is added/removed from the name dictionary.
	* Source/NSImage.m (-themeDidActivate:): Method called in
	response to a GSThemeDidActivateNotification on images with
	a name set. It does a path lookup in the same way that
	+imageNamed: would, and checks if the path has changed due
	to the theme change. If it has, all reps are discarded and
	the image at the new path is loaded. This avoids the need for
	the theme proxy objects.

2012-01-09 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (+imageUnfilteredFileTypes, +imageFileTypes,
	+imageUnfilteredPasteboardTypes, +imagePasteboardTypes,
	+initialize, +_clearFileTypeCaches): Cache the file type results
	for the image reps and clear the cache when these change.

2012-01-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrinter.m (-loadPPDAtPath:...inclusionSet:): Raise an
	exception if PPD file cannot be read.

2012-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSLayoutManager.m (-characterIndexMoving:...): Fix two
	incorrect comparisons which were causing range exceptions when
	moving the cursor up in the first line and down in the last line
	of a NSTextView, respectively.

2011-12-31  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintOperation.m (_print): Fix read of uninitialized
	variable, which was breaking printing of wrap-to-page mode in
	TextEdit. TODO: Run the printing code through valgrind, there is
	a lot of suspicious code.

2011-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m(-initWithFrame:textContainer:,
	-setFieldEditor:): Change the default text container inset to
	(0,0) to reduce blank space around text.

2011-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSLayoutManager.m (-_insertionPointRectFor...,
	-insertionPintRect...): Get the insertion point rectangle right
	for character index 0.

2011-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-resizeSubviewsWithOldSize:): Adjust
	minimum and maximum sizes to ensure that the minimum size is not
	greater than the current size and the maximum size is not smaller
	than the current size.

2011-12-27 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: Update.

2011-12-22 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-setFieldEditor:): Use different values for
	both cases.

2011-12-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSavePanel.m (-browser:createRowsForColumn:inMatrix:):
	Set icon size based on cell's cellSize

2011-12-22 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrintOperation.m (-_print): Remove unused variable.
	* Source/GSLayoutManager.m (-_generateRunsToCharacter:): Remove
	unused variable.
	* Source/NSToolbar.m (-initWithCoder:): Don't call non-exisiting
	super method.
	* Source/GSNibLoading.m (-nibInstantiate): Add type cast for toolbar.
	* TextConverters/RTF/RTFProducer.m (-_addAttributesString:): Use
	destString instead of dest when writing the NSLinkAttributeName.

2011-12-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBrowserCell.m (-drawInteriorWithFrame:inView:):
	Restore code to draw the background when the cell is highligted

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSavePanel.m (-browser:createRowsForColumn:inMatrix:):
	Set file icons on browser cells in the open/save panels.

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBrowserCell.m (-drawInteriorWithFrame:inView:):
	When highlighted, use -image if -alternateImage is nil.

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableView.m (-_isCellEditableColumn:row:): Tweak
	criteria for determining cell editability::
	- the delegate (if present) must say YES
	- and the cell itself must return YES for isEditable
	- and the table column must return YES for isEditable
	Previously you could edit cells that returned NO for
	isEditable if the column they were in was editable.

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableHeaderView.m (-initWithCoder:): Remove unneeded
	"_tableView = nil" which was causing a problem with my xib file.

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBrowserCell.m (-image, -setImage:): Override NSCell
	implementation so these methods work without requiring the
	cell to be an image cell.
	* Source/NSBrowserCell.m (-drawInteriorWithFrame:inView:): Don't
	draw background. Remove -(void) isOpaque { return YES; }. Also
	pixel-align images and use modern -drawInRect: method.

2011-12-18 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOutlineView.m (-_openItem:): Changed i fron NSUInteger
	to NSInteger.

2011-12-17 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSSliderCell.h
	* Headers/AppKit/NSLevelIndicator.h
	* Headers/AppKit/NSButtonCell.h
	* Headers/AppKit/NSButton.h
	* Headers/AppKit/NSMenuItem.h
	* Headers/AppKit/NSLevelIndicatorCell.h
	* Headers/AppKit/NSSlider.h
	* Headers/AppKit/NSTabView.h
	* Headers/AppKit/NSCell.h
	* Headers/AppKit/NSDrawer.h
	* Source/NSSliderCell.m
	* Source/NSLevelIndicator.m
	* Source/NSButtonCell.m
	* Source/NSButton.m
	* Source/NSMenu.m
	* Source/NSMenuItem.m
	* Source/NSLevelIndicatorCell.m
	* Source/NSComboBoxCell.m
	* Source/NSToolbarItem.m
	* Source/NSSlider.m
	* Source/NSTabView.m
	* Source/NSCell.m
	* Source/NSWindow.m
	* Source/NSDocumentController.m
	* Source/NSTableView.m
	* Source/NSOutlineView.m
	* Source/NSParagraphStyle.m
	* Source/NSPopUpButtonCell.m
	* Source/NSView.m
	* Source/NSDrawer.m
	* Source/GSNibLoading.m
	* Source/GSXibLoader.m
	* Source/GSToolbarView.m
	* Source/GSTheme.m
	* Source/GSThemeDrawing.m
	* ColorPickers/GSNamedColorPicker.m:
	Replace some occurences of int with NSInteger
	and unsigned with NSUInteger. This allows to recompile gui on 64
	bit systems after the change to NSNotFound in base.

2011-12-16 Riccardo Mottola <rm@gnu.org>

	* Panels/English.lproj/GSPrintPanel.gorm
	Tweaked positions and removed fractionary ones.

2011-12-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSTextView.h: Change _dragTargetLocation to NSUInteger
	because NSNotFound no longer fits in unsigned int on 64-bit

2011-12-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintPanel.m:
	Move _finalWritePrintInfo: call to the end of _pickedButton:. This
	fixes the save and preview buttons for me.

2011-12-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrinter.m:
	* Source/NSPrintOperation.m:
	* Source/NSPageLayout.m:
	* Source/NSPrintInfo.m:
	* Headers/AppKit/NSPrintInfo.h: Migrate printing code to CGFloat
	or double.
	* Source/NSTextView.m: Rewrite -adjustPageHeightNew:top:bottom:limit:

2011-12-14  Eric Wasylishen  <ewasylishen@gmail.com>

       * Source/NSImageCell.m: if drawing on a view use -centerScanRect:
	to pixel align the drawing rect.

2011-12-02 German Arias <german@xelalug.org>

	* Source/NSAlert.m (-_setupPanel): Verify if there is error
	information to be displayed.

2011-12-02  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-buildUpTextNetwork:):
	* Source/NSTextContainer.m (-initWithContainerSize):
	* Source/NSStringDrawing.m (init_string_drawing):
	Reinstate Fred's change with the additional correction to the
	string drawing code he proposed on the mailing list.

2011-12-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m
	(-_scheduleTextCheckingInVisibleRectIfNeeded): Check for
	nil before sending -rectValue to avoid crash

2011-11-28 Gregory Casamento <greg.casamento@gmail.com>

	* Source/NSTextView.m (-buildUpTextNetwork:):
	* Source/NSTextContainer.m (-initWithContainerSize:):
	revert previous change by Fred since it was causing labels
	and textfields to also be shifted which is not correct.

2011-11-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButtonCell.m (-initWithCoder:): If no selection
	index is given select the first item. This should fix bug #34923.

2011-11-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-buildUpTextNetwork:): Move setting the
	default line framgent padding from here ...
	* Source/NSTextContainer.m (-initWithContainerSize:): ... to here.

2011-11-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOpenGLView.m (-_frameChanged:): Don't send -reshape
	before -prepareOpenGL.
	Patch by Julian Mayer <julian@corecode.at>.

2011-11-28 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/AppKit.h: Add NSColorSpace.h. This fixes bug #34913.

2011-11-28 Gregory Casamento <greg.casamento@gmail.com>

	* Source/NSTextView.m: Add code to set the default
	of 5.0 in the -buildUpTextNetwork method.
	* Source/NSTextContainer.m: In -lineFragmentForProposedRect:...
	add _lineFragmentPadding to min and subtract from max to
	shift the line fragment rectangle.
	* Source/NSLayoutManager.m: In -insertionPointRectForCharacterIndex:..
	add the padding to the initial position of the insertion point
	so that before there is anything in the text container, the cursor
	is sitting at the correct position.

2011-11-25 20:27  theraven

	* libs/gui/trunk/Headers/AppKit/NSApplication.h: NSAutoreleasePool*
	  -> id in NSApplication.h, so the header can be used in ARC code
	  (which prohibits explicit references to NSAutoreleasePool).

2011-11-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/nsmapping.strings: Add a few more mappings, including
	toolbar images

2011-11-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSNibLoading.m:
	* Source/NSToolbar.m:
	* Source/GSToolbarCustomizationPalette.m:
	* Source/GSToolbarView.m:
	* Source/NSToolbarItem.m:
	* Source/NSToolbarFrameworkPrivate.h:
	* Headers/AppKit/NSToolbar.h: Implement -initWithCoder: for
	NSToolbar. This required a bit more work that usual because
	toolbars created with -initWithCoder can operate without a delegate.

2011-11-17 Riccardo Mottola <rm@gnu.org>

	* Source/NSButtonCell.m:
	Minor compiler compatibility.

2011-11-16  Quentin Mathe <quentin.mathe@gmail.com>

	Improved the menu theming to support some common menu look variations.
	Fixed bug #34792 too.
	* Headers/Additions/GNUstepGUI/GSTheme.h
	* Source/GSThemeDrawing.m
	(-menuBackgroundColor, -menuItemBackgroundColor, -menuBorderColor
	-menuBorderColorForEdge:isHorizontal:,
	-drawsBorderForMenuItemCell:state:isHorizontal:,
	-drawTitleForMenuItemCell:withFrame:inView:state:isHorizontal:,
	-menuSeparatorInset): Added.
	(-menuBarBackgroundColor, -menuBarBorderColor): Added but not yet used.
	(-menuSeparatorColor): Renamed -menuSeparatorItemColor.
	* Source/NSMenuItemCell.m
	(-backgroundColor:): Changed to get the background color from
	-menuItemBackgroundColor.
	(-themeControlState): Added.
	(-drawTitleWithFrame:inView:): Moved drawing code to GSTheme.
	Made separator menu item themable, by moving the drawing code from
	NSMenuItemCell to a new method in GSThemeDrawing.

2011-11-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-bestRepresentationForDevice:): Fix last
	change for the case where there are no representations for the image.

2011-11-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSUserDefaultsController.m
	([GSUserDefaultsHelper-valueForKey:]) Use a marker for values
	being nil. This should fix bug #34790.

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-bestRepresentationForDevice:): When
	all other matching criteria fail, use the first image instead
	of the last (arbitrary, but seems to match cocoa.)

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSAlert.m: Use NSImageScaleProportionallyUpOrDown on
	app icon button cell.

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-setScalesWhenResized:): Disable this method
	as it is currently broken on the cairo backend.
	* Source/NSApplication.m (-setApplicationIconImage:): Don't
	use call -setScalesWhenResized:, because if it worked as it is
	supposed to, it would scale all icon reps down to 48x48,
	making large icon sizes useless.

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSInfoPanel.m: Fix app icon button size at 48x48 and use
	NSImageScaleProportionallyUpOrDown.
	This prevents icons with large sizes (e.g. 512x512 pixel) from
	making the info panel really big.

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSImageCell.h:
	* Headers/AppKit/NSCell.h: Move NSImageScaling constants to NSCell
	* Source/NSImageCell.m:
	* Source/NSCell.m: Refactor the image scaling logic to a private
	method in NSCell, -_scaleImageWithSize:toFitInSize:scalingType:
	which can be share by NSImageCell, NSButtonCell, and any other
	cell classes that need it.
	* Source/NSButtonCell.m:
	* Headers/AppKit/NSButtonCell.h: Implement -imageScaling and
	-setImageScaling methods.
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Remove the
	-drawImage:inButtonCell:withFrame:position: API intended
	to let themes substitute images right before drawing,
	as IMHO it's the wrong place to hook in new images (by
	the time this method was caleld, sizing/positionging
	was already done).

2011-11-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Better handling for flattened properties
	to set the tool tips of an object.

2011-11-07 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSKeyValueBinding.m
	([GSKeyValueBinding-transformValue:withOptions:]): Don't use @""
	when no null placeholder is defined.

2011-11-07 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColorWell.m (-objectValue, -setObjectValue:,
	-takeObjectValueFrom:): Add these missing methods.

2011-11-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBitmapImageRep+PNG.m:
	HACK: PNG can not represent 72DPI exactly. If the pixels-per-meter value is
	near 72DPI, assume it is exactly 72 DPI. Note that the same problem occurrs
	at 144DPI, or 288DPI... so don't use PNG for resolution independent graphics.

2011-11-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButtonCell.m (-insertItemWithTitle:atIndex:): Set
	the action on the menu item to -_popUpItemAction:.

2011-11-05 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSXibLoading.h,
	* Source/GSXibLoader.m: Add decoding of class IBInitialTabViewItemAttribute.

2011-11-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSInfoPanel.m: Tolerate 'Authors' being a string containing
	a single author as well as an array.

2011-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTabView.m: Add some bindings for NSTabView.

2011-11-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColorPanel.m: Always send action and colorChanged: when
	the color changes. NSColorPanel is always "continuous" for now...
	to support -isContinuous == NO, we need to augment the API between
	the color panel and the pickers so they can send a message when
	the mouse is released.
	* Source/NSTextView.m: Change typing attributes in response to
	colorChanged:

2011-11-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m: centerScanRect patch from Sebastian Reitenbach.
	Note that this makes the NSView autoresizing and rounding test pass,
	but the new centerScanRect test I just added fail.

2011-11-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m: Add
	centerScanRect test

2011-10-31 Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSSavePanel/setDelegate_reload.m: Switch the save panel to
	not show hidden files and remove ".svn" from the expected
	results. This file was never present in an exported directory and
	will no longer exist with SVN 1.7.

2011-10-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButtonCell.m (-_popUpItemAction:): Inform bindings
	of the control view that the value has changed.

2011-10-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSNibLoading.m ([NSNibConnector-nibInstantiate]): Add
	this method.
	* Source/GSXibLoader.m ([IBBindingConnection-nibInstantiate):
	Instantiate the connector.

2011-10-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButton.m,
	* Source/NSMatrix.m,
	* Source/NSControl.m: Remove useless KVB code.

2011-10-31 Gregory Casamento <greg.casamento@gmail.com>

	* Source/NSTableColumn.m: (+initialize, -initWithCoder:,
	-encodeWithCoder:): Updated version to 3.  Added encoding for
	sort descriptor in encodeWithCoder:, added decoding for version 3
	to initWithCoder:

2011-10-28  Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m (-menuSeparatorItemColor,
	-drawSeparatorItemForMenuItemCell:withFrame:inView:isHorizontal:):
	* Source/NSMenuItemCell.m (-drawSeparatorItemWithFrame:inView:):
	Made separator menu item themable, by moving the drawing code from
	NSMenuItemCell to a new method in GSThemeDrawing.

2011-10-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m (+imageRepWithData:): Add missing AUTORELEASE.

2011-10-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSCell.m: Read/write NSLineBreakMode from the bits masked off
	by 0xE00 in NSCellFlags2. The previous location they were being
	read/written from was giving bogus values such as 7.

2011-10-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Draw a question mark centered in the bezel
	for NSHelpButtonBezelStyle

2011-10-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBitmapImageRep.m:
	* Source/NSColor.m:
	* Source/GSThemeTools.m:
	* Source/NSGraphicsContext.m:
	* Headers/AppKit/NSColor.h:
	* Headers/AppKit/NSGraphicsContext.h:
	* ColorPickers/GSGrayColorPicker.m:
	* ColorPickers/GSCMYKColorPicker.m:
	* ColorPickers/GSWheelColorPicker.m:
	* ColorPickers/GSRGBColorPicker.m:
	* ColorPickers/GSHSBColorPicker.m: Migrate float to CGFloat in
	NSColor

2011-10-25 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSXibLoading.h,
	* Source/GSXibLoader.m: Integrate method used in Gorm.

2011-10-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBox.m (-initWithCoder:): Rearrange order of keyed
	decoding.
	* Source/GSNibLoading.m: Warn about missing custom resources.
	* Headers/Additions/GNUstepGUI/GSXibLoading.h: Add class IBToolTipAttribute.
	* Source/GSXibLoader.m: Add decoding of type "boolean". Fix
	decoding of "real", "integer" and "dictionary". Add handling of
	flattenedProperties to determine which windows should be visible.
	Store all top level obejcts in array.

2011-10-17 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m (-objectForXib:): Add type "real" and
	handle empty strings.

2011-10-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSScrollView.m (-encodeWithCoder:, -initWithCoder:):
	Correct keyed encoding and decoding of flags. NIB files created
	from GNUstep will need to be recreated.
	Should fix bug #34498.

2011-10-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m: Add alpha handling to keyed-coding/decoding.
	Should fix bug #34501.

2011-10-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m(currentVersion, -encodeWithCoder:,
	-initWithCoder:): Archive missing attributes in non-keyed
	mode. This required updating the NSTextView version to 4.
	Should fix bug #33884.

2011-10-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-lockFocusOnRepresentation:): Draw the
	representation into the new cache. Use NSRectFillUsingOperation
	instead of PScompositerect.
	* Source/NSImage.m (-drawRepresentation:inRect:): Use DPS
	operations instead of PS operations.

2011-10-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSProgressIndicator.m (-encodeWithCoder:, initWithCoder:)
	The flag isDisplayedWhenStopped is stored negated.

2011-10-04 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBezierPath.h,
	* Source/NSBezierPath.m: Rewrote NSBezierPath to allow subclasses.

2011-10-04 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSApplication.h,
	* Headers/AppKit/NSPasteboard.h,
	* Headers/AppKit/NSInterfaceStyle.h,
	* Headers/AppKit/NSGraphics.h: Bracket in 'extern "C"' for C++.
	Patch by Julian Mayer <julian@corecode.at>.

2011-10-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/AppKit/NSPanel.h: Bracket in 'extern "C"' for C++

2011-10-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-initWithCoder:): Don't decode super view.
	* Headers/Additions/GNUstepGUI/GSXibLoading.h: Add class IBBindingConnection.
	* Source/GSXibLoader.m: Implement IBBindingConnection.
	* Source/GSXibLoader.m (-objectForXib:): Return a previously
	decoded object instead of a new one if available.

2011-10-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m (-_trackWithEvent:startingMenuView:,
	-trackWithEvent:): Started rewrite that simplifies menu tracking code.

2011-10-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m,
	* Source/GSThemeMenu.m,
	* Source/GSWindowDecorationView.m: Rewrite of the in-window menu handling.

2011-09-12 German Arias <german@xelalug.org>

	* Source/GSThemeMenu.m (-setMenu:forWindow:): Improvements to
	menu in window.

2011-09-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSControl.m (+initialize, -valueForKey:,
	-setValue:forKey:): Add support for the bindings NSFontNameBinding
	and NSFontSizeBinding.

2011-09-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (_cacheForRep:): Don't assume rep is non-nil. This should fix
	locking focus on an image with no representations.

2011-09-08  Gregory Casamento <greg.casamento@gmail.com>

	* Source/NSImage.m: Correction for call to function NSEqualSizes.
	It was mistyped as "NSSizesEqual" which was producing a link-time
	error.

2011-09-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Throw an exception if you attempt to lock focus on an image with
	size (0, 0)
	* Source/NSCachedImageRep.m: Throw an exception if you attempt to create a cached
	image rep with a size of (0, 0).

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSFontPanel.m: Add a tooltip on the character panel button

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSpellChecker.m: Use NSLog rather than a popup alert when the spell
	server can't be contacted; otherwise the user may be spammed with a series
	of popups if automatic spellchecking (underlining) is turned on, but
	the current language isn't set.

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSCharacterPanel.m: Implement -[NSApplication orderFrontCharacterPalette:]
	* Source/NSFontPanel.m: Use NSApplication method to order front character palette

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:): Simplify a bit
	bit by using
	-[NSImage drawInRect:fromRect:operation:fraction:respectFlipped:hints:]
	* Source/NSCell.m (-drawInteriorWithFrame:inView:): Switch from
	-[NSImage compositeToPoint...] to
	-[NSImage drawInRect:fromRect:operation:fraction:respectFlipped:hints:]

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOpenPanel.m: Use the NSSavePanel _allowedFileTypes ivar
	in place of the _fileTypes ivar. Replace calls to _setupForTypes: with
	-setAllowedFileTypes:.
	* Headers/AppKit/NSOpenPanel.h: Remove now unused _fileTypes ivar
	* Source/NSSavePanel.m: Treat directories whose names have extensions
	in the _allowedFileTypes array as file packages.
	Previously, we only relied on -[NSWorkspace isFilePackageAtPath:],
	to determine if a director is a file package, which only considers the
	info.plists of installed applications.

2011-09-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (_setNeedsDisplayInRect_real:): Enlarge
	(if necessary) _invalidRect so it lies on integral device pixels.

2011-08-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-setApplicationIconImage): Ignore this
	call when the image is nil.

2011-08-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSCachedImageRep.m: Restore the implementation of -draw
	because libart/xlib need it.

2011-08-28 Christopher Armstrong <carmstrong@fastmail.com.au>
	* Source/GSHorizontalTypesetter.m: Split declaration of struct
	GSHorizontalTypesetter_glyph_cache_s and struct
	GSHorizontalTypesetter_line_frag_s from their typedefs to compile
	under clang.

2011-08-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m ( _loadFromFile): Correct last commit.
	* Source/NSImage.m ( _loadFromData): Use similar check here.

2011-08-25 Riccardo Mottola <rm@gnu.org>

	* Source/NSImage.m ( _loadFromFile):
	Check that the array of reps is populated, not just non-nil.

2011-08-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-setSize:): Don't invalidate the cache anymore,
	because we now cache the entire representation and not the rep scaled
	to the image's size.

2011-08-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Reinstate use of the cached image rep, but only
	on backends supporting GSdraw: (cairo).  This means we don't have to
	create a window for every call to draw an image, and gives me a 5-10x
	speedup for image drawing.
	* Source/NSCachedImageRep.m: Implement private method
	-nativeDrawInRect:.. which is called by NSImageRep's
	-drawInRect:fromRect:..., and efficiently draw the cached rep
	using GSdraw:. Also make some changes so cached image reps can have a
	DPI != 72.
	* Headers/AppKit/NSCachedImageRep.h: New private init method that lets
	you specify diferent pixel size and point size.

2011-08-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSImageRep.h: Add
	-drawInRect:fromRect:operation:fraction:respectFlipped:hints: method
	* Source/NSImage.m:
	* Source/NSImageRep.m: Refactor drawing code from NSImage to NSImageRep.
	This should cause no functionlity change, but it lets NSImageRep
	subclasses implement more efficient versions of -drawInRect:fromRect:...
	method that don't involve the wasteful drawing the image in a temporary
	offscreen window and then drawing from there on to the destination surface.

2011-08-17  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m (NSDrawNinePartImage): Pixel-align drawing rect using
	-[NSView centerScanRect]

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m (NSDrawNinePartImage): Bugfix when drawing with
	not enough space

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m (NSDrawNinePartImage): Bugfix in flipped drawing code

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m:
	* Headers/AppKit/NSGraphics.h: NSDrawNinePartImage implementation

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: New GSThemeMargins struct.
	Rename buttonBorderForCell:style:state: to buttonMarginsForCell:style:state:
	and return the top/bottom/left/right margins instead of just two values.
	(This is a theme API break.)
	* Source/GSThemeDrawing.m: Implement buttonMarginsForCell:style:state:.
	Also reduce the top and left margin of the default button by 1 pt, to
	better reflect the button's appearance.
	* Source/GSGuiPrivate.h: Add a GSRoundTowardsNegativeInfinity function
	* Source/NSButtonCell.m (-drawImage:withFrame:inView:): Round the image
	position down and to the right, as this seems to look the best.
	* Source/NSButtonCell.m (-cellSize): Call new buttonMarginsForCell: method
	* Source/NSButtonCell.m (-drawingRectForBounds:): Call new
	buttonMarginsForCell: method

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (GSResolutionOfImageRep): Specify behaviour when the
	rep has a size of zero, or is a vector rep. Prevent division by 0.

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Deal with a zero rep size
	* Source/NSCustomImageRep.m:
	- Don't retain the delegate (matching OS X)
	- Remove unnecessary flip checks from -drawAtPoint: and -drawInRect:
	  to match the code in NSImageRep
	- Fix a mistake when setting the ctm scale factor

2011-08-11 10:57  theraven

	* libs/gui/trunk/Tools/speech/GSSpeechEngine.h: Move the
	  +defaultSpeechServer method into a category interface, to silence
	  a clang warning.

2011-08-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-setBoundsSize:): Adjust the origin as well.

2011-08-04 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (+initialize): Don't create the default menu
	zone as we never use it and a change in base made this an
	expensive operation.

2011-08-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/common_RadioOn.tiff:
	* Images/common_RadioOff.tiff: Add high-dpi versions

2011-08-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSLayoutManager.m:
	* Source/GSHorizontalTypesetter.m:
	* Headers/Additions/GNUstepGUI/GSLayoutManager_internal.h:
	* Headers/Additions/GNUstepGUI/GSLayoutManager.h: Store
	glyph advances in the runs in GSLayoutManager. Extend the
	NSGlyphStorage protocol to support a case where the glyph
	generator provides the glyph advances.

	I'm hoping to use this in the future to implement (optional)
	glyph generators which are wrappers around HarfBuzz or the ICU
	OpenType layout engine.

2011-08-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/common_SwitchOff.tiff:
	* Images/common_SwitchOn.tiff:
	* Images/common_2DCheckMark.tiff: Add a few more high-res images

2011-08-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Documentation/news.texi:
	* Documentation/ReleaseNotes.gsdoc: Add some documentation on
	new features in gui

2011-07-30 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSScreen.m (-userSpaceScaleFactor): Use the DPI
	from the display server instead of ignoring it and assuming 72.

	The X11 server was changed to always return 72 for now, so there
	is no change in behaviour on X.

	On Windows we do use the system DPI/scale factor now.

2011-07-25 Riccardo Mottola <rm@gnu.org>

	* configure.ac:
	* configure:
	Check for png with CHECK and not SEARCH lib to avoid position problems
	in the linker flags (windows is sesnitive)

2011-07-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAnimation.m (NSViewAnimation -dealloc): Use DESTROY
	instead of RELEASE as _viewAnimationDesc to prevent segmentation
	fault in super call.
	* Source/NSWindow.m (-setFrame:display:animate:): Use
	NSViewAnimation instead of local blocking code.
	* Source/NSWindow.m (-animationResizeTime:): Use abs() in all directions.

2011-07-23 Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSView/NSView_visibleRect.m: New test.
	* Tests/gui/NSView/scrollRectToVisible.m: Use an NSWindow.

2011-07-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (autoresize): Handle negative flexible space.
	Patch by Tim Schmielau <gnustep@chmielau.orangehome.co.uk>
	* Tests/gui/NSView/NSView_bounds_scale.m: More detailed testing.
	* Source/NSMenuItem.m,
	* Source/NSPageLayout.m,
	* Source/NSTextField.m,
	* Source/NSViewController.m: Add missing #import.
	* Source/NSSegmentedCell.m: Declare missing methods.

2011-07-21  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSToolTips.m (-_timedOut:): Guard against nil tooltip string

2011-07-21  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSButtonCell.m (-title): Return @"" instead of nil
	* Source/NSButtonCell.m (-alternateTitle): Return @"" instead of nil
	* Source/NSButtonCell.m (-attributedAlternateTitle): Use
	[self alternateTitle] instead of accessing _altContents directly to guard
	against _altContents being nil
	* Source/NSButtonCell.m (-attributedTitle): Don't return nil. Use
	[self title] instead of accessing _contents directly to guard against
	_contents being nil
	* Source/NSButtonCell.m (-keyEquivalent): Return @"" instead of nil
	* Source/NSButtonCell.m (-encodeWithCoder):
	For keyEquivelant and alternateTitle, now that the methods never return
	nil, instead of checking if they return nil to decide whether to encode them,
	check if the string length is > 0.
	* Source/NSToolbarItem.m (-label): Return @"" instead of nil.
	* Source/NSCell.m (-stringValue): Return @"" instead of nil
	* Source/NSCell.m (-attributedStringValue): Don't return nil. Use
	[self stringValue] instead of accessing _contents directly to guard against
	_contents being nil.

2011-07-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-view:stringForToolTip:point:userData:):
	Ensure this returns an NSString, even if NSToolTipAttributeName
	is set to something else (it calls -description on the value).

2011-07-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Search for gs by enumerating directories
	in PATH rather than calling 'which'. Also search for gswin32c.exe for
	Windows.

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Implement
	-[NSImage drawInRect:fromRect:operation:fraction:respectFlipped:hints:]

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Fix two bugs
	demonstrated in GSTest:
	- drawing an image in a flipped view with -drawInRect:... wasn't
	  working, and
	- drawing a vector rep in a dest rect larger than the point
	  size of the rep was resulting in blurry output.

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* configure.ac:
	* configure: Fix the ICU test so the library search path and
	flags are added to GRAPHIC_LFLAGS; this fixes the build on
	Windows

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColorPanel.m: Remove code for generating a dynamic
	magnifying glass cursor; it flickers on X11.

2011-07-15  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSGuiPrivate.h: remove reference to obsolete preface.h

2011-07-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOutlineView.m: Allow collapsing or expanding multiple
	rows at a time using the arrow keys

2011-07-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSound.m
	* Source/GSWindowDecorationView.m
	* Source/NSMatrix.m
	* Source/NSBitmapImageRep.m
	* Source/NSForm.m
	* Source/GSHorizontalTypesetter.m
	* Source/NSMovie.m
	* Source/NSFontDescriptor.m
	* Source/NSImage.m
	* Source/NSScrollView.m
	* Source/NSCell.m
	* Source/NSBrowserCell.m
	* Source/GSDragView.m
	* Source/NSDocument.m: Replace direct use of the isa pointer with
	a call to object_getClass().

2011-07-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColorPanel.m: Make a magnifying glass cursor when using
	the magnifying glass color picker. back/x11 isn't displaying
	the cursor at the moment.

2011-07-13 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: More strings.
	* Source/GSCharacterPanel.m: Added missign internationalization.

2011-07-12  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSImageMagickImageRep.m: Don't call DestroyImage on a
	NULL image

2011-07-12  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSImageMagickImageRep.m: Log warnings from ImageMagick
	instead of giving up.

2011-07-12  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGuiPrivate.h: New rounding rounding function
	GSRoundTowardsInfinity which is simply floor(x+0.5)
	* Source/NSBrowser.m:
	* Source/NSSliderCell.m:
	* Source/NSButtonCell.m:
	* Source/NSClipView.m:
	* Source/NSOutlineView.m:
	* Source/NSRulerView.m:
	Switch rint[f] to GSRoundTowardsInfinity

2011-07-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Only invoke 'which' once.

2011-07-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Change to NSLog, only log
	a warning the first time invoking ghostscript throws an exception,
	and log a message if it returns a nonzero exit status.

2011-07-11  Eric Wasylishen  <ericw@new-host-2.home>

	* Source/GSGhostscriptImageRep.m: Add NSWarnLog to execption
	handlers to print a message when finding or invoking Ghostscript
	fails.

2011-07-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-nativeDrawInRect:...): Compute the rep size
	after the nil test.

2011-07-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocumentController.m (-dealloc),
	* Source/NSWindow.m (-dealloc),
	* Source/NSLayoutManager.m (-dealloc): Unbind key bindings.

2011-07-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColorPanel.m (-_magnify:): Preliminary implementation

2011-07-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuView.m (-_trackWithEvent:): Fix for the bug where
	the highlighted menu item can be offset from the mouse pointer
	location when menu windows are moved by the window manager. See
	detailed comment in the code for more info.

2011-07-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Remove hardcoded path to gs
	executable. First try GSGhostscriptExecutablePath default, then
	try running "$SHELL -c which gs" to get the path.

2011-07-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-resizeWithOldSuperviewSize:): Factor out
	autoresizing logic into a function. Add an extra code path to handle
	when the flexible space is 0, which behaves like the old version
	of the code (it divides the available space evenly).

2011-07-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m: Tweak the test
	so it doesn't try to set the window size to {0,0}

2011-07-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m: Add some more
	test cases for when the view's width is 0

2011-07-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSView.h:
	* Source/NSView.m (-resizeWithOldSuperviewSize): Pixel-align
	view frame when autoresizing.

2011-07-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-resizeWithOldSuperviewSize): Reimplement to
	resize proportionally as Cocoa does.

2011-07-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSCharacterPanel.m: Double click inserts character into
	main window

2011-07-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSCharacterPanel.m (-characterForRow:): Fix off-by-1 error

2011-07-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m:
	More autoresizing test cases

2011-07-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m:
	Add a test for NSView autoresizing and rounding

2011-07-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* configure:
	* Source/NSFontPanel.m:
	* Source/GNUmakefile:
	* Source/GSCharacterPanel.m:
	* configure.ac:
	* Headers/Additions/GNUstepGUI/GSCharacterPanel.h:
	* Headers/Additions/GNUstepGUI/config.h.in:
	* ChangeLog:
	* config:
	* config/icu.m4:
	Add a new character picker panel. It's accessible
	via a button in the font panel.

2011-07-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSDisplayServer.m:
	* Headers/Additions/GNUstepGUI/GSDisplayServer.h: Add a new API for taking
	screenshots: -contentsOfScreen:inRect:

2011-07-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Use respectFraction: YES when deciding whether
	to do a word selection upon a right click

2011-07-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* TextConverters/RTF/RTFProducer.m: Writing of NSLinkAttributeName; reading
	is still to be implemented.

2011-07-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuView.m: Allow any mouse up (left/right/other)
	to choose a menu item.

2011-07-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-_updateState:): Invalidate cursor rects
	so the cursor rects over links, for example, are updated when
	text is edited.

2011-07-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSLayoutManager.m (-drawGlyphsForGlyphRange:atPoint:,
	-drawUnderlineForGlyphRange:...:): Add support for for link attributes.

2011-07-03 Riccardo Mottola <rm@gnu.org>

	* Source/NSSliderCell.m:
	Circular sliders never return the maximum value, tested on Apple.

2011-07-02 15:33-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSTableView.m: Modifications to initWithCoder: and
	encodeWithCoder: to handle _sortDescriptors in .gorm files.

2011-07-02 Riccardo Mottola <rm@gnu.org>

	* Source/NSSliderCell.m:
	Fix tick marks with circular sliders.

2011-06-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOutlineView.m: Implement left arrow key moving selection
	to parent node when the current item is collapsed.

2011-06-29 15:41 David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Source/GSTextStorage.m,
	  libs/gui/trunk/Source/NSBitmapImageRep.m: Small GC fixups. Make
	  sure that we're actually using GC-tracked memory when we think
	  that we are.

2011-06-29 15:39 David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Headers/AppKit/NSEvent.h,
	  libs/gui/trunk/Headers/AppKit/NSMatrix.h: Fix AppKit headers to
	  allow inclusion in ARC mode. Since ARC requires the non-fragile
	  ABI, a better solution would be to simply not expose any of these
	  ivars with the non-fragile ABI.

2011-06-28  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSImageMagickImageRep.h:
	* Source/GNUmakefile:
	* Source/NSImageRep.m:
	* Source/GSImageMagickImageRep.m:
	* configure.ac: New ImageMagick-based NSBitmapImageRep subclass

2011-06-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSDragView.m (-init): Set the window background colour to clear.
	* Headers/AppKit/NSAffineTransform.h,
	* Headers/AppKit/NSView.h,
	* Source/NSAffineTransform.m,
	* Source/NSPrintOperation.m,
	* Source/NSView.m: Use CGFlaot instead of float.
	* Tests/gui/NSView/NSView_bounds_scale.m: New test file that
	currently fails.

2011-06-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m:
	* Headers/Additions/GNUstepGUI/GSGhostscriptImageRep.h:
	* Source/GNUmakefile:
	* Source/NSImageRep.m: New image rep which attempts to
	invoke Ghostscript to rasterize PS/EPS/PDF images. It needs
	some polishing but basically works.

2011-06-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView_actions.m (-deleteToEndOfParagraph:):
	Implement method, which was introduced in OS X 10.3.

2011-06-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView_actions.m (-deleteToEndOfLine:): Fix
	implementation to work in the same way as under Emacs and OS X.
	In particular, the action now deletes the newline character when
	the insertion point is at the end of a line.

2011-06-22 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSPrintPanel.h: Add missing APPKIT_EXPORT for new
	strings.
	Bug point out by Bluna Ratimonkey <object@gmail.com>.

2011-06-19 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSOpenPanel.h
	* Headers/AppKit/NSSavePanel.h
	* Source/NSSavePanel.m
	* Source/NSOpenPanel.m: Change all the runModal:... methods to
	return an NSInteger.

2011-06-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-scrollRangeToVisible:): Fix to support scrolling
	to the empty range at the end of a document (i.e. {[string length], 0}).
	This fixes the scrolling when you repeatedly hit RETURN in TextEdit to
	create new pages (in wrap to page mode).

2011-06-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButtonCell.m (-setTitle:, -setAttributedTitle:,
	-setAlternateImage:, -setImagePosition:): Update the control to
	reflect the changes.

2011-06-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocumentController.m (-_openRecentDocument:): Use most
	current method to display document.

2011-06-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-setBounds:, -setBoundsSize:): Rewrite of this
	methods plus a few helpers. We pass now all the frame/bounds test cases.
	* Source/NSView.m (-_viewWillMoveToWindow:): Move the invalidation of the
	coordinate transformations and the cursor rects before the window
	test. Remove calls to coordinate invalidation from other places.

2011-06-16  Eric Wasylishen  <ewasylishen@gmail.com>

	* common_ArrowDown.tiff:
	* common_ArrowRight.tiff:
	* common_ArrowUp.tiff:
	* common_3DArrowDown.tiff:
	* common_ArrowDownH.tiff:
	* common_ArrowLeft.tiff:
	* common_ArrowLeftH.tiff:
	* common_3DArrowLeft.tiff:
	* common_ArrowUpH.tiff:
	* common_3DArrowUp.tiff:
	* common_ArrowRightH.tiff:
	* common_3DArrowRight.tiff: Ensure both sub-images have the same
	colorspace

2011-06-16  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/common_3DArrowRightH.tiff: Add high-res version

2011-06-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSImageCell.h:
	* Source/NSImageCell.m: Add support for NSImageScaleProportionallyUpOrDown

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Use -bestRepresentationForRect:context:hints: in
	-guiDrawInRect:... as well.

2011-06-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSegmentedCell.m (-initWithCoder:): Protect against
	selected segment being -1.

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Implement -bestRepresentationForRect:context:hints:,
	which chooses the smallest rep larger than or equal to the provided size.

	Modify -nativeDrawInRect:... to use the above method for choosing a rep.

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-guiDrawInRect:...): Handle dstRect with a zero size

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Remove unnecessary DPSgsave/DPSgrestore I added
	earlier in -nativeDrawInRect:... and replace them with saving/restoring
	the transformation matrix. The DPSgsave/DPSgrestore were causing problems
	when drawing images with a non-rectangular clipping area.

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Tidy the -composite*/-dissolve* methods

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-scrollRangeToVisible:): Work with ranges
	outside the receiver (in a situation with multiple NSTextView's
	connected to a layout manager)

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-scrollRectToVisible:): Work when the receiver
	isn't partially visible in the clip view.

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Completely overhaul the best rep selection.
	It should now be very close to the algorithm described in the cocoa
	drawing guide, and fixes numerous bugs with the old code.

2011-06-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSFileWrapper.m: Add keyed coding.

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBitmapImageRep.m: Reduce floating-point error in the
	expression which computes image point size using DPI and pixel size
	(for TIFF images.)

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImageRep.m (-description): Implement -description to
	aid debugging.

2011-06-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrintInfo.m: Add keyed coding.

2011-06-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m: Add methods -_becomeRulerClient and
	-_resignRulerClient to set self as the ruler client and to resign
	from that. These get called when self becomes first responder or
	resigns from first responder.

2011-06-11 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSPrintInfo.h,
	* Source/externs.m: Add new MacOSX strings for NSPrintInfo.

2011-06-11 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSWorkspace.h,
	* Source/NSWorkspace.m: Add a few MacOSX methods with dummy implementations.
	* Source/externs.m: Add new notification strings for NSWorkspace.

2011-06-11 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSKeyValueBinding.h
	* Source/NSPopUpButton.m
	* Source/NSMatrix.m
	* Source/NSLayoutManager.m
	* Source/NSTextView.m
	* Source/NSDocumentController.m
	* Source/externs.m: Add a few key value bindings.

2011-06-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+ICNS.m: Remove comment about libicns
	being GPL, it is now LGPL 2.1.

2011-06-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView_actions.m (-moveLeftAndModifySelection:,
	-moveRightAndModifySelection:, -moveWordLeft:,
	-moveWordLeftAndModifySelection:, -moveWordRight:,
	-moveWordRightAndModifySelection:, -setBaseWritingDirection:range:):
	Add basic implementation for these methods.

2011-06-09 13:49-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSTheme.m: Move notifications handling code to
	setTheme: instead and add code which deactivates the notifications
	and then starts listening again after activate is called.

2011-06-09 13:43-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSTheme.m: Move call to listen to default changes to
	activate instead of +initialize.

2011-06-07 07:40-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSMenuItem.m: Remove temporary fix.

2011-06-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/externs.m: Correct the strings for NSPrintPanel.
	* Source/NSAttributedString.m (-setBaseWritingDirection:range:):
	Add proper implementation for this method.
	* Source/NSTextView_actions.m (-insertContainerBreak:)
	(-insertLineBreak): Add this methods.

2011-06-05 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSPrintPanel.h,
	* Source/NSPrintPanel.m: Add newer methods and ivars for these.
	* Source/NSPrintOperation.m: User newer NSPrintPanel interfaces.
	* Source/externs.m: Define a few strings for NSPrintPanel.

2011-06-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-_init, -finishLaunching): Create the
	app icon in NSApplication -_init as suggested by Fred.

2011-06-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/Functions.m (NSApplicationMain):
	* Source/NSApplication.m (-finishLaunching): Revert to creating
	the app icon in finishLaunching, since existing applications that
	do not use NSApplicationMain otherwise won't get an app icon.

2011-06-03 00:55-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Revert last change, since it will,
	per discussion with Fred, cause issues.
	* Source/NSMenuItem.m: Temporary fix for crash.

2011-06-02 16:17-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Use NSArchiver to copy menu instead of
	copy.  Add comment to explain why this is done.  The
	copy method causes all of the NSMenu instances to share
	NSMenuItems.  This appears to be causing a crash when the
	menu updates.

2011-06-02  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-finishLaunching): Move creation of the
	app icon from here ...
	* Source/NSApplication.m (-_appIconInit):
	* Source/Functions.m (NSApplicationMain): ... to here so that
	applications get a proper app icon under WindowMaker even when
	their main nib contains visible at launch time windows.

2011-05-31 Riccardo Mottola <rm@gnu.org>

	* Images/common_Miniaturize.tiff
	Revert image but with correct dpi of 72.

2011-05-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-orderWindow:relativeTo:): Take care of hide
	on deactivate windows.
	* Source/NSWindow.m (-setHidesOnDeactivate:): Hide/unhide receiver
	when the flag is changed and the application is not active.

	* Source/NSWindow.m (-_isWindowInactive:, _setWindow:inactivate:):
	New private NSApplication category to support management of hide
	on deactivate windows.

	* Source/NSApplication.m (-deactivate): Fix order of actions when
	hiding inactive windows.

2011-05-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSImage.m (-bestRepresentationForDevice): Prefer
	returning an image representation whose size matches the image
	size exactly.

	* Source/NSImage.m (-_bestRep:withBpsMatch:): Fix test confusing
	bits per sample and bits per pixel.

2011-05-29 20:34-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GNUmakefile: Remove NSManagedObjectContext.[hm] from compile
	* Source/NSManagedObjectContext.h
	* Source/NSManagedObjectContext.m: Delete
	* Source/NSObjectController.m: Remove #import and add @class
	declaration.

2011-05-29 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButtonCell.m (-drawImage:withFrame:inView:): Use rint
	instead of round.

2011-05-27 14:08  David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Source/NSMenu.m:
	Don't create a zone in GC mode (detected at run time). This avoids a
	warning when starting GUI apps in GC mode, but should have no real effect
	on functionality.

2011-05-27 12:42  David Chisnall <theraven@gna.org>

	* Source/Functions.m,
	* Source/NSAnimation.m,
	* Source/NSApplication.m,
	* Source/NSAttributedString.m,
	* Source/NSBitmapImageRep.m,
	* Source/NSComboBoxCell.m,
	* Source/NSFileWrapper.m,
	* Source/NSInputManager.m,
	* Source/NSPrinter.m,
	* Source/NSProgressIndicator.m,
	* Source/NSWindow.m,
	* TextConverters/RTF/RTFProducer.m,
	* Tools/GSspell.m,
	* Tools/make_services.m,
	* Tools/set_show_service.m:
	Turn release messages sent to autorelease pools into drain messages. No
	functionality change in non-GC mode, in GC mode it invokes a quick GC pass
	to try to delete the short-lived objects.

	Also deleted some [pool release] lines just before exit() or
	return-from-main statements. These cause objects to be swapped in and
	destructors to be run to no benefit (the OS will reclaim this memory
	without requiring stuff to be swapped in when the process exits).

2011-05-27 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSSplitView.h
	* Source/NSSplitView.m: Declare a few MacOSX 10.5 methods and make
	the background transparent by default.

2011-05-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Fix drawing images
	with a source rect smaller than the entire image. This was a mistake
	left by my last commit to this method.

2011-05-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m:
	* Source/NSGraphicsContext.m:
	* Headers/AppKit/DPSOperators.h:
	* Headers/AppKit/NSGraphicsContext.h:
	* Headers/Additions/GNUstepGUI/GSMethodTable.h:
	New GSShowGlyphsWithAdvances, which replaces
	GSShowGlyphs as the primitive text drawing method.
	(used by -[NSLayoutManager drawGlyphsForGlyphRange:atPoint:])

	Requires r33121 in -back.

	Note that the advances aren't actually used by -back yet so
	text output should be unchanged.

2011-05-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSComboBoxCell.m: Correct positioning of popup window when
	a scale factor is in use.

2011-05-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m: Add a FIXME note

2011-05-25 11:19 David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Source/NSBezierPath.m,
	  libs/gui/trunk/Source/NSFont.m,
	  libs/gui/trunk/Source/NSParagraphStyle.m:
	 Change direct references to the isa pointer to calls to
	 object_getClass(). In discussion with Steve Naroff (before he left Apple)
	 it was decided that the isa pointer should be regarded as an
	 implementation detail and not part of the language, so direct references
	 to it are deprecated (on OS X).  This gives the runtime a bit more
	 freedom to do secret isa-swizzling tricks.

2011-05-23 Fred Kiefer <FredKiefer@gmx.de>

	* Tools/say/GNUmakefile
	* Tools/say/say.m: Clean these up a bit to correctly compile wiht
	gcc 4.6.

2011-05-22 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSControl.h:
	* Source/NSControl.m (-takeIntegerValueFrom:, -setIntegerValue:)
	(-integerValue): Add OSX 10.5 methods.

2011-05-19 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSView.h,
	* Source/NSView.m (-setSubviews:): New method.
	Code by Banlu Kemiyatorn <object@gmail.com>.

2011-05-18 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+ICNS.h
	* Source/NSBitmapImageRep+ICNS.m: New method to load all the
	images from file. Plus a few additional changes.
	* Source/NSBitmapImageRep.m (+imageRepsWithData:): Use new ICNS
	method to get all images from file.
	* Source/NSBitmapImageRep.m (+imageRepWithData:): Use
	-initWithData: instead of +imageRepsWithData:.

2011-05-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-removeFromSuperview): Use
	removeFromSuperviewWithoutNeedingDisplay.
	* Source/GSWindowDecorationView.m: Add method [NSWindow
	-_clearContentView] to avoid recursion when removing the content view.
	* Source/GSWindowDecorationView.m: Replace the method
	-removeSubview: with -willRemoveSubview:.
	* Source/NSScrollView.m: Dito.
	* Source/NSClipView.m (-initWithCoder:): Use -removeFromSuperview
	instead of -removeSubview:.
	* Source/NSMenu.m (-setMenuRepresentation:): Dito.
	* Source/NSColorPanel.m (-setAccessoryView:): Dito.

2011-05-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Use pointing hand cursor for links

2011-05-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableHeaderView.m: Use resize cursors

2011-05-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Use IBeam cursor if selectable

2011-05-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSplitView.m: Use resize cursors

2011-05-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrintOperation.m: Add an extra context save and restore
	at the sheet level. This is a partial fix for bug #32845.

2011-05-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Add support for the "array" and
	"dictionary" elements found in newer XIB files (Version >= 8).

2011-05-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m: For functions which set the fill or stroke
	color as part of their implementation, save/restore the graphics
	state so that the user's fill/stroke color isn't overwritten.
	See the PixelExactDrawing test in GSTest for an example.

2011-05-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSButtonCell.m (-drawImage:withFrame:inView:): Align
	the point at which the image is drawn to the nearest pixel.

	r32895 which reimplemented -[NSImage composite..] methods
	on top of -[NSImage draw...] methods means that drawing
	images with -compositeToPoint: no longer pixel-aligns
	the image automatically. The new behaviour matches
	Cocoa, however.

011-05-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-convertPoint:toView:): Correct this
	method; it was applying the transforms backwards :-(

2011-05-05  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_frame_bounds.m: Add some more tests
	of setBoundsSize:. They are currently failing (but pass on
	OS X).

2011-05-04  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images: Add a few more high-res images (arrows)

2011-05-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSScreen.m: Use -userSpaceScaleFactor to calculate
	NSDeviceResolution
	* Source/NSImage.m: Implement -_bestRep:withResolutionMatch:
	* Images/common_Dimple.tiff:
	* Images/common_3DArrowRight.tiff: Add to these images
	a second 'page' at 4x the original resolution which I drew.

	If you use GSScaleFactor > 1 then the high resolution version
	of these images should be used.

2011-05-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images: Ensure all images have their DPI metadata set to 72.

2011-05-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m
	(-characterIndexMoving:fromCharacterIndex:originalCharacterIndex:distance:):
	Rework this method to suport moving the insertion point between text
	containers, for both left/right and up/down movements. However, it will
	only have this behaviour when distance == 0.

	This is part of what is needed to support moving the insertion point
	between text views in, e.g., TextEdit when using the multi-page view.

2011-04-30  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-updateBoundsMatrix):
	Fix a bug where updateBoundsMatrix would refuse to restore a
	view's scale to its original value, after a modified bounds rect
	had been set.
	* Source/NSView.m (-setBounds:, -setBoundsOrigin:, -setBoundsSize:):
	Call [self setNeedsDisplay: YES]; at the ends of these methods.
	While the Cocoa docs explicitly say that calling these methods
	won't mark the view as needing redisplay, this doesn't seem to
	be true in practice.

2011-04-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOutlineView.m: Implement -keyDown: to expand/contract
	items.

2011-04-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-mouseDown:):
	Add support for making selections with the mouse which span multiple
	text views
	* Source/NSTextView.m (-setSelectedRange:affinity:stillSelecting:):
	Replace the complex display invalidation code with two calls to
	-[NSLayoutManager invalidateDisplayForCharacterRange:], which will
	take care to invalidate all necessary text views.

2011-04-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-setTypingAttributes:) Guard against
	nil layout manager

2011-04-28  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPopUpButtonCell.m: Override -representedObject and
	-setRepresentedObject: with implementations that delegate the
	call to [self selectedItem] (the NSMenuItem).

2011-04-27  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-selectionRangeForProposedRange:granularity:):
	Remove a special case which caused this method to refuse to
	expand a range {[string length], 0}.
	This was why the align left/center/right menu items didn't work
	in Ink when the insertion point was at the end of a document.
	The behaviour should match OS X now.

2011-04-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSSavePanel.h:
	* Source/NSSavePanel.m: Implement -setNameFieldStringValue:,
	-nameFieldStringValue, -setNameFieldLabel:, -nameFieldLabel.

2011-04-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-setRulersVisible:): Create a horizontal ruler on
	the scroll view if needed - this seems to be the OS X behaviour.

2011-04-21  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Fix a bug in my recent change
	here which mis-positioned images.

2011-04-21  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/tiff.m:
	* Source/nsimage-tiff.h:
	* Source/NSBitmapImageRep.m: Read DPI metadata in TIFF files and use this
	to set the point size of the image rep

2011-04-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Make the cache window
	large enough so that detail is preserved when drawing using a scale factor
	larger than 1. This change should only improve output quality but not
	affect image drawing otherwise.

2011-04-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBitmapImageRep+PNG.m: Read DPI metadata in PNG files
	and use this to set the point size of the image rep

2011-04-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* ColorPickers/GSWheelColorPicker.m: Choose the color wheel bitmap size
	by converting the bounds rect to window base coordinates

2011-04-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSScreen.m: Read -userSpaceScaleFactor from the GSScaleFactor
	user default.
	* Source/GSWindowDecorationView.m: Apply -[NSScreen userSpaceScaleFactor]
	in +frameRectForContentRect and +contentRectForFrameRect, as well as
	setting a scaled bounds size in -layout.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSWindow.m: Remove unnecessary FIXMEs related to
	user space scale factor
	* Source/NSAppliation.m: Correct app icon sizing which was
	mixing up window frame coordinates and user space coordinates
	* Source/NSCachedImageRep.m: Add NSUnscaledWindowMask to the
	window used internally

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSScreen.m (-userSpaceScaleFactor):
	Temporarily fix the scale factor at 1.0 until the remaining parts
	of the high DPI patch are committed.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-compositeToPoint:fromRect:operation:fraction:):
	New simple implementation which calls
	-drawAtPoint:fromRect:operation:fraction:.
	Also respects the user space scale factor.
	* Source/NSImage.m (-guiDrawInRect:fromRect:operation:fraction):
	Remove a special case which called -compositeToPoint:..., which would
	cause an infinite loop when combined with the above change.

	Also avoid using -drawRepresentation:inRect: because -drawInRect:...
	is supposed to fill the destination rect regardless of the setting
	of -scalesWhenResized. This is a change borrowed from
	-nativeDrawInRect:...

2011-04-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-_organizeMenu): Move some code around to avoid
	a compiler warning.

2011-04-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSViewController.m (-loadView): Retain the topLevelObjects.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuView.m (-setWindowFrameForAttachingToRect:...):
	This method mixed user space and window base coordinates in some
	places, which I fixed.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-_rebuildCoordinates): Remove assumption that
	the window content view's superview's transformation matrix is
	the identity matrix.
	* Source/NSView.m (-convertPoint..., convertRect..., convertSize...):
	Rewrite these methods to remove the same assumption as above, and
	also call -_matrixToWindow/-_matrixFromWindow rather than accessing
	ivars directly.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSStandardWindowDecorationView.m: Use bounds rect instead
	of frame rect when laying out the window parts (title bar, etc).

2011-04-18 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Rewrote the handling of the data
	element. This no longer gets treated as the "root" element of the
	XIB file. Correct reference handling. A reference may now be
	decoded before the actual object.

2011-04-17  Eric Wasylishen  <ewasylishen@gmail.com>

	* configure.ac: Copy the -Wdeclaration-after-statement test from
	base. Also adds -Wall.

2011-04-14  Adam Fedor  <fedor@gnu.org>

	* Version: Bump version.

2011-04-14  Adam Fedor  <fedor@gnu.org>

	* Version 0.20.0

2011-04-10 04:45-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: added method - (BOOL) menuShouldShowIcon
	* Source/NSMenu.m: Call menuShouldShowIcon so that the theme
	can determine if it should show the app icon.
	* Headers/Additions/GNUstepGUI/GSTheme.m: add declaration for
	menuShouldShowIcon.

2011-04-09 Fred Kiefer <FredKiefer@gmx.de>

	* Source/tiff.m,
	* Source/NSLayoutManager.m: Replace objc_free and objc_realloc
	with free and realloc.
	* Source/NSToolbar.m [-_build]: Correct type cast.
	* Source/GSTextFinder.m [-performFindPanelAction:withTextView:]:
	Use correct format for NSInteger.
	Fixes warnings reported by clang.

2011-04-08  Nicola Pero  <nicola.pero@meta-innovation.com>

	* GNUmakefile (SUBPROJECTS): Added Tests, so that 'make check'
	top-level does run the tests.
	* Tests/GNUmakefile: Use rules.make instead of test-tool.make.
	(TEST_TOOL_NAMES): Variable removed.

2011-03-31 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	Redefine statfs only for netbsd >= 3

2011-03-30 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSTableView.h,
	* Headers/AppKit/NSOutlineView.h,
	* Source/NSOutlineView.m
	(-namesOfPromisedFilesDroppedAtDestination:): Correct declaration
	of data source methods and the implementation in NSOutlineView.

2011-03-29 Riccardo Mottola <rm@gnu.org>

	* Source/NSParagraphStyle.m
	* Source/NSMatrix.m
	Added missing import.

2011-03-29 German Arias <german@xelalug.org>

	* Source/NSApplication.m (-hide:): Minimize all windows if
	the AppIcon is suppressed.

2011-03-29  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTextStorage.m:
	Use pointer sized integers in union for 64bit safety.

2011-03-28 Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSSavePanel/setDelegate_reload.m: Switch the save
	panel to show hidden files as this is no longer the default.
	* Tests/gui/NSCell/basic.m: Basic create, coding and copy tests
	copied from base.

2011-03-28 Riccardo Mottola <rm@gnu.org>

	* Source/NSSearchFieldCell.m,
	* Source/NSTextView.m:
	Remove c99-ism

	* Source/NSSpeechSynthesizer.m:
	Add missing import

2011-03-25 German Arias <german@xelalug.org>

	* Panels/Spanish.lproj/GSDataLinkPanel.gorm:
	* Panels/Spanish.lproj/GSPageLayout.gorm:
	* Panels/Spanish.lproj/GSToolbarCustomizationPalette.gorm:
	* Panels/Spanish.lproj/GSPrintPanel.gorm:
	* Panels/Spanish.lproj/GSFindPanel.gorm: Tweak size of some
	elements for improve the presentation.

2011-03-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintPanel.m:
	* Panels/Spanish.lproj/GSPrintPanel.gorm:
	* Panels/English.lproj/GSPrintPanel.gorm: Tweak the print panel to
	allow the user to choose the printer

2011-03-18  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Documentation/GNUmakefile (DOCUMENT_TEXT_NAME, TOP_DOC_FILES):
	Fixed names of files to generate; for example, INSTALL instead of
	install.

2011-03-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m (-_trackWithEvent:): Use _trackWithEvent:
	instead of trackWithEvent: to have just one mouse capture call.

2011-03-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOutlineView.m (-namesOfPromisedFilesDroppedAtDestination:),
	* Source/NSTableView.m
	(-namesOfPromisedFilesDroppedAtDestination:): Implement this drag
	and drop support method.

2011-03-16  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSComboBoxCell.m: Correct imports.

2011-03-16  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOutlineView.m (-_didChangeSortDescriptors:),
	* Source/NSTableView.m (-_didChangeSortDescriptors:): Send the
	message to the data source not the delegate.

2011-03-16 06:30-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Use copy in setMenu:forWindow: instead of
	NSArchiver.

2011-03-14  Fred Kiefer <FredKiefer@gmx.de>

	* ColorPickers/GSNamedColorPicker.m
	* Source/NSBrowser.m
	* Source/NSPanel.m
	* Source/NSOpenPanel.m
	* Source/GSDisplayServer.m
	* Source/NSFormCell.m
	* Source/NSBitmapImageRep.m
	* Source/NSForm.m
	* Source/GSVbox.m
	* Source/NSSavePanel.m
	* Source/GSMemoryPanel.m
	* Source/NSScroller.m
	* Source/NSMenuView.m
	* Source/NSSecureTextField.m
	* Source/NSHelpPanel.m
	* Source/NSSegmentedCell.m
	* Source/NSStepperCell.m
	* Source/NSColorPanel.m
	* Source/NSDataLinkPanel.m
	* Source/GSTable.m
	* Source/NSBrowserCell.m
	* Source/GSHbox.m: Correct issues with missing or incorrect self
	tests in initXXX methods pointed out by static analyser.

2011-03-14  Fred Kiefer <FredKiefer@gmx.de>

	* Printing/GSCUPS/GSCUPSPrinter.m (+printerWithName:) Autorelease
	the dummy printer.
	* Source/NSWorkspace.m (-iconForFile:): Remove unused code.
	* Source/NSComboBoxCell.m: Remove the old browser based
	implementation after testing the new one for seven years.

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuItemCell.m: Add missing -retain for key
	equivalent modifier strings

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSSavePanel.h: Add OS 10.6 #ifdef around
	new showsHiddenFiles methods

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Add a message in the context menu
	if there are no spelling suggestions

2011-03-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuItemCell.m: Make key equivalent modifier string
	user adjustable by getting them from the defaults.
	* Documentation/GuiUser/DefaultsSummary.gsdoc: Document the new
	equivalent modifier strings and remove the now obsolete
	documentation for GSFileBrowserHideDotFiles.

2011-03-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSavePanel.m (-_initWithoutGModel): Use an image view
	instead of a button to display the application icon. That way
	icons get scaled correctly.
	Patch by Philippe Roussel <p.o.roussel@free.fr>.

2011-03-14  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Resources/GNUmakefile
	(gui-resources_RESOURCE_FILES_INSTALL_DIR): Removed.
	* Source/GNUmakefile
	(libgui-resources_RESOURCE_FILES_INSTALL_DIR): Removed.

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m: Don't draw spelling underlines
	when printing

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Attempt to add pagination support
	so lines aren't cut in half when printing

2011-03-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Tweaks to last commit

2011-03-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m: Clear temporary attributes
	on the modified range when informed of a change in the text
	storage
	* Source/NSTextView.m: Add a context menu with spelling
	suggestions and cut/copy/paste

2011-03-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSavePanel.m:
	* Headers/AppKit/NSSavePanel.h: Implement -showsHiddenFiles
	and -setShowsHiddenFiles:. Add a context menu to the browser
	to allow toggling this setting.

	NOTE: It defaults to not showing hidden files, and no longer
	uses the GSFileBrowserHideDotFiles user default.

2011-03-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintPanel.m:
	* Printing/GSCUPS/GSCUPSPrintOperation.m:
	* Printing/GSLPR/GSLPRPrintOperation.m: Allow saving a print
	job as a PDF.

2011-03-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSSpellChecker.m (-_findNext:, -_learn:, -_forget:,
	-_ignore:, -_guess:, -_correct:, -_switchDictionary:,
	-_highlightGuess:): Change action methods to return no result.

2011-03-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSSpellChecker.m (-init, -dealloc): Fix nasty
	retain/release error, which could crash applications after
	changing the spell checker language in the spelling panel.

2011-03-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWorkspace.m (-iconForFile:): Remove unused local variable.
	* Source/GSGormLoading.m (gmodel_class): Remove useless assignment.
	* Source/NSTextBlock.m
	(-drawBackgroundWithFrame:...layoutManager:): Use the correct variables.
	* Source/NSRulerMarker.m (-trackMouse:adding:): Remove unused variable.
	* ColorPickers/GSNamedColorPicker.m (-setColor:): Add missing
	implementation.
	* ColorPickers/GSStandardColorPicker.m (-_showNewPicker:),
	* Source/GSToolbarCustomizationPalette.m (-layout),
	* Source/NSTableView.m (-sizeToFit),
	* Source/NSApplication.m (-finishLaunching),
	* Source/GSGormLoading.m (GSNibContainer-awakeWithContext:),
	* Source/NSMenu.m (-sizeToFit),
	* Source/NSSplitView.m (-mouseDown:),
	* Source/NSBrowser.m (-setLastColumn:),
	* Source/NSPrintOperation.m (-deliverResult):
	Removed dead assignments found by static code analyser.

2011-03-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMatrix.m (_shiftModifier:): Use correct column index
	for old cell.
	* Headers/AppKit/NSCursor.h
	* gui/Source/NSCursor.m: Add Mac 10.6 methods and implement keyed
	coding/decoding properly.
	* Images/nsmapping.strings: Add mappings for some new cursors.

2011-03-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m:
	* Source/externs.m:
	* Source/NSTextView.m:
	* Headers/AppKit/NSAttributedString.h:
	* Headers/AppKit/NSTextView.h: Implement continuous spell checking

2011-03-11 Fred Kiefer <FredKiefer@gmx.de>

	* ColorPickers/GSStandardColorPicker.m
	* Source/GSToolbarCustomizationPalette.m
	* Source/GSServicesManager.m
	* Source/NSSpellChecker.m: Fix dead initialisation found by static
	analyser.

2011-03-10 Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFConsumer.m
	* Source/GSNibLoading.m
	* Source/NSInputManager.m
	* Source/NSEPSImageRep.m
	* Model/GMArchiver.m
	* Tools/set_show_service.m
	* Tools/GSspell.m: Fix memory leaks found by static analyser.

2011-03-10 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSTitleView.h,
	* Headers/AppKit/NSProgressIndicator.h: Remove unused ivars found
	by static analyser.

2011-03-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSPopUpButtonCell.m (-dealloc): Stop observing
	notifications from the button's menu to prevent obscure crashes
	later.

2011-03-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMatrix.m (_altModifier:): Fix swapped macro arguments,
	which could lead to a wrong selection and potentially a crash when
	extending the selection with the alt modifier key.

2011-03-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTableHeaderCell.m (-initTextCell:): Don't wrap text in
	table view headers by default. This partially fixes #30020.

2011-03-08  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m: Implement temporary attributes
	* Header/AppKit/NSLayoutManager.h: Add a _temporaryAttributes ivar

2011-03-07 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSGraphicsContext.m (+saveGraphicsState): Release the
	stack, as it is retained in the thread dictionary.
	Leak found by static code analyser.

2011-03-07 Fred Kiefer <FredKiefer@gmx.de>

	* gui/Headers/Additions/GNUstepGUI/GSDisplayServer.h
	* gui/Source/GSDisplayServer.m
	* gui/Source/NSCursor.m: Change the way the image for the cursor
	gets passed on to the backend. The old way could only work for 8
	bit data.

2011-03-07 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSKeyValueBinding.h
	* Source/externs.m: Add a few more binding names.
	* Source/NSPopUpButton.m: Implement NSSelectedTagBinding.

2011-03-07 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m
	* Source/NSObjectController.m
	* Source/NSControl.m
	* Source/NSMenuItem.m
	* Source/NSKeyValueBinding.m
	* Source/NSTextField.m
	* Source/NSView.m: Release the key value binding as it will be
	retained in the binding table.
	Leak found by static code analyser.

2011-03-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMatrix.m (-_privateFrame:...numberOfColumns): Change
	the init helper method to conform with the Objective-C conventions,
	* Source/GSGormLoading.m (GSNibItem-initWithCoder:): Retain the
	shared application before returning it.
	* Source/NSDataLink.m: Correct the init methods to return a
	retained object.
	* Source/NSAnimation.m: Implement the copy and coding methods.
	* Source/NSImageView.m (-cut:): Use the correct copy method.
	Fixed issues spotted by the static code analysis.

2011-03-05  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSHelpManager.m:
	* Source/GSServicesManager.m:
	* Source/NSBundleAdditions.m:
	* Source/NSSpellChecker.m:
	Avoid calls to non-standard method.

2011-03-05 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSNibLoading.m (NSCustomView): Correct implementation of
	-initWithCoder: and remove -awakeAfterUsingCoder:.
	* Source/NSSound.m: Remove method -awakeAfterUsingCoder:.
	* Source/NSWindow.m (-_captureMouse:, -_releaseMouse:) Add some
	debug log code here to simplify debugging these methods.

2011-03-04 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/PSOperators.h
	* Source/NSFontPanel.m
	* Source/NSSound.m
	* Source/NSTextAttachment.m
	* Source/NSOpenGLPixelFormat.m
	* Source/GSThemeOpenSavePanels.m
	* Source/NSTableHeaderCell.m
	* Source/GSTypesetter.m
	* Source/NSAlert.m
	* Source/NSOpenPanel.m
	* Source/NSImageCell.m
	* Source/NSManagedObjectContext.h
	* Source/GSGormLoader.m
	* Source/NSText.m
	* Source/NSTokenField.m
	* Source/NSParagraphStyle.m
	* Source/NSManagedObjectContext.m
	* Source/GNUmakefile
	* Source/NSTableHeaderView.m
	* Source/NSTextTable.m
	* Source/NSTextBlock.m
	* Source/NSFontManager.m
	* Source/NSFormCell.m
	* Source/NSLevelIndicator.m
	* Source/NSMatrix.m
	* Source/NSTextTableBlock.m
	* Source/NSObjectController.m
	* Source/NSOpenGLView.m
	* Source/NSDataLinkManager.m
	* Source/GSThemeInspector.m
	* Source/GSStandardWindowDecorationView.m
	* Source/NSInputServer.m
	* Source/NSSplitView.m
	* Source/NSImageRep.m
	* Source/NSBezierPath.m
	* Source/GSTextStorage.h
	* Source/GSNibLoading.m
	* Source/NSResponder.m
	* Source/NSColorWell.m
	* Source/GSTextStorage.m
	* Source/NSForm.m
	* Source/NSApplication.m
	* Source/GSGuiPrivate.h
	* Source/NSComboBox.m
	* Source/NSMovieView.m
	* Source/NSSavePanel.m
	* Source/NSMovie.m
	* Source/GSThemeMenu.m
	* Source/NSMenuItemCell.m
	* Source/NSPrinter.m
	* Source/NSPasteboard.m
	* Source/NSTextContainer.m
	* Source/NSButtonImageSource.h
	* Source/GSToolbarCustomizationPalette.h
	* Source/NSFontDescriptor.m
	* Source/GSTrackingRect.m
	* Source/NSCursor.m
	* Source/NSPrintOperation.m
	* Source/GSSlideView.h
	* Source/NSControl.m
	* Source/NSInterfaceStyle.m
	* Source/NSDocumentFrameworkPrivate.h
	* Source/NSTokenFieldCell.m
	* Source/GSSlideView.m
	* Source/NSOpenGLContext.m
	* Source/NSInputManager.m
	* Source/NSRulerMarker.m
	* Source/NSToolbarItemGroup.m
	* Source/NSProgressIndicator.m
	* Source/NSLevelIndicatorCell.m
	* Source/NSTextStorage.m
	* Source/NSFileWrapper.m
	* Source/NSDocumentController.m
	* Source/NSDrawer.m
	* Source/NSCustomImageRep.m
	* Source/NSMenuView.m
	* Source/NSHelpPanel.m
	* Source/NSComboBoxCell.m
	* Source/NSSegmentedCell.m
	* Source/NSStepperCell.m
	* Source/NSDataLink.m
	* Source/tiff.m
	* Source/NSScrollView.m
	* Source/NSEPSImageRep.m
	* Source/NSUserDefaultsController.m
	* Source/NSSegmentedControl.m
	* Source/GSTable.m
	* Source/NSKeyValueBinding.m
	* Source/NSTextList.m
	* Source/NSEvent.m
	* Source/NSController.m
	* Source/NSSelection.m
	* Source/NSTextField.m
	* Source/GSToolTips.h
	* Source/NSToolbarFrameworkPrivate.h
	* Source/NSAnimation.m
	* Source/NSSpeechSynthesizer.m: Replace #include -> #import
	* Source/NSParagraphStyle.m: Use GSClassSwizzle.

2011-03-02 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m: Remove the -awakeAfterUsingCoder: method as
	this method was incorrectly implemented and
	* Source/NSTextAttachment.m (NSTextAttachmentCell-setAttachment:):
	Release the created icon after setting it as image.

2011-02-28  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSBitmapImageRep.m:
	* Source/NSBitmapImageRep+GIF.m:
	* Source/NSBitmapImageRep+JPEG.m:
	* Source/tiff.m:
	Avoid obsolete OBJC_... macros

2011-02-28 Riccardo Mottola <rm@gnu.org>

	* Source/GSLayoutManager.m
	* Source/GSKeyBindingTable.m
	Replace objc_malloc with malloc for structures.

2011-02-24 13:15  David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Source/NSDocumentController.m: Comment out unused
	  function.
	* libs/gui/trunk/Source/NSFontManager.m: Change unsigned int ->
	  int, so that loops terminate with termination condition, rather
	  than SegV
	* libs/gui/trunk/Source/NSLayoutManager.m: Remove some tests that
	  are always true (NSRange.length > 0 - NSUIntegers are always >
	  0).
	* libs/gui/trunk/Source/NSTextBlock.m: Remove some more comparisons
	  testing unsigned values are < 0.
	* libs/gui/trunk/Source/GSServicesManager.m: get_imp() ->
	  class_getMethodImplementation() (GCC runtime function -> standard
	  runtime function)
	* libs/gui/trunk/Source/GSTheme.m: More unsigned < 0 tests.
	* libs/gui/trunk/Source/NSTextView.m: Rename HUGE -> GSHUGE to
	  remove conflict with standard library #define.
	* libs/gui/trunk/Model/IMLoading.m: Add __attribute__((unused)) on
	  __dummyFunctionForLinking().

2011-02-22  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSMenuView.m (-_trackWithEvent:): Quick fix for recent
	menu tracking changes: release the mouse before invoking
	the menu's action.

2011-02-22  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/externs.m:
	* Headers/AppKit/NSAttributedString.h: Add
	NSStrikethroughStyleAttributeName
	* TextConverters/RTF: Add support for reading and writing
	underline and strikethrough.

2011-02-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m:
	* Headers/AppKit/NSLayoutManager.h: Preliminary implementation of
	underlining

2011-02-21 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m (-trackWithEvent:): Rewrite that uses mouse
	capture to ensure we get mouse events outside our windows.
	Patch by Christopher Armstrong <carmstrong@fastmail.com.au>

2011-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m,
	* Source/NSControl.m,
	* ColorPickers/GSStandardColorPicker.m,
	* ColorPickers/GSWheelColorPicker.m,
	* Source/GSXibLoader.m: Fix memory leaks found by analyser.

2011-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSFusedSilica.h,
	* Source/GSFusedSilicaContext.h,
	* Source/GSFusedSilicaContext.m,
	* Source/GSFusedSilica.m: Remove these files as they are obsolete
	now. The Opal library is a more complete replacement for CoreGraphics.
	* Source/GNUmakefile,
	* Source/DocMakefile,
	* Source/NSFont.m: Remove references to GSFusedSilica.

2011-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSScreen.m,
	* Source/NSWindow.m,
	* Source/NSToolbar.m,
	* Source/NSScroller.m,
	* Source/NSTextView.m: Remove direct usage of isa.
	* Source/GSBindingHelpers.h: Replace #include with #import.

2011-02-19  Richard Frith-Macdonald <rfm@gnu.org>

	* Tests/GNUmakefile: Run/clean tests
	* Tests/gui: Imported from testsuite

2011-02-15 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h,
	* Source/GSDisplayServer.m (-recolorcursor:::, -recolorcursor:::)
	(-setcursor:, -freecursor:): New backend methods replacing
	-setcursorcolor:::.
	* Source/NSCursor.m,
	* Source/GSDragView.m: Use new cursor methods.

2011-02-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-setContentView:): Revert Wolfgangs change
	and add a different solution as explained in his mail.

2011-02-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-_initDefaults):
	* Source/NSWindow.m (-_initDefaults):
	Add user default to allow placing app icons and mini windows at
	normal window level. This is particularly convenient with some
	window managers (*cough*, kwin) where application and pop up menus
	are obscured by dock level windows.

2011-02-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-setContentView:): Fix bug where a stray view
	could leak when changing the content view of a window. This view
	then could make the title bar buttons inaccessible when -gui
	handles window decorations.

2011-02-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTabViewItem.m (-init, -initWithItemIdentifier:):
	Create a default content view for new tab view items. Compatible
	with Apple.

2011-02-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOutlineView.m (-editColumn:...select:): Bring closer to
	the new code in [-drawRow:clipRect:].
	* Source/GSInfoPanel.m (-initWithDictionary:): Protect against
	icon being nil.

2011-02-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCursor.m,
	* Source/GSDragView.m,
	* Source/GSMemoryPanel.m: Fix Use-after-release found by static analyser.

2011-02-10 German Arias <german@xelalug.org>

	* Source/GSGormLoader.m (+initialize): Load the app icon here, at launch
	time, since GSGormLoader is initialized before call -finishLaunching
	in NSApp (In non document-based apps that load a gorm file at launch).
	So the windows and panels at initial gorm file don't show the app
	icon (bug #31039).

2011-02-10 German Arias <german@xelalug.org>

	* Source/GSGormLoading.m (-awakeWithContext:): Call directly the method
	-orderFront: on visible windows, since this works fine here, instead
	put these windows into _inactive list. This solve the problem of menu
	in window in non document-based apps and the problem with the outlet
	"initialFirstResponder" on gorm files.

2011-02-09 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSInfoPanel.m,
	* Source/GSTextStorage.m,
	* Source/GSThemeInspector.m,
	* Source/NSBrowser.m,
	* Source/NSImage.m,
	* Source/NSMenuView.m,
	* Source/NSPageLayout.m,
	* Source/NSSpellChecker.m,
	* Source/NSStringDrawing.m,
	* Source/NSTableHeaderView.m,
	* Source/NSTableView.m,
	* Source/NSWindow.m,
	* Tools/gclose.m,
	* Tools/make_services.m: Remove dead assignments found by static code analysis.

2011-02-09  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSEvent.m: Avoid unneccessary creation/destruction of NSDate
	instances during periodic events.

2011-02-08 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+PNG.m:
	Tweak png.h header order to avoid problems on some systems.

2011-02-08 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+PNG.m:
	Cleaned up includes so that compilation without PNG works again.

	* configure.ac:
	Use libpng-config to determine the correct includes and libraries.

	* configure: regenerated.

2011-02-07 Fred Kiefer <FredKiefer@gmx.de>

	* Printing/*: Clean up all the header includes.

2011-01-31 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBrowser.h,
	* Source/NSBrowser.m: Add method -scrollRowToVisible:inColumn:

2011-01-29 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+PNG.m (_initBitmapFromPNG:): Use
	function to check whether gamma is valid.
	Patch by Thomas Klausner.

2011-01-27  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-terminate:): Send message to the
	document controller to let the user review any unsaved changes in
	its managed documents before asking the application delegate
	whether its okay to terminate the application. This matches
	Cocoa's documented and implemented behavior.

	* Source/NSApplication.m (-terminate): Move call to GSRemoveIcon
	from here ...
	* Source/NSApplication.m (-replyToApplicationShouldTerminate:):
	... to here to ensure that the app icon is removed from the icon
	manager even when the delegate delays application termination.

2011-01-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSWindow.h: Add missing declaration of the
	-isZoomed method.

2011-01-24  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindowController.m (-_windowDidLoad): Move code to set
	the autosave name of the window's frame from here ...

	* Source/NSWindowController.m (-setWindow:): ... to here to match
	Cocoa behavior (cf. Apple's AppKit release notes for OS X 10.5).

2011-01-24  Doug Simons  <doug.simons@testplant.com>

	* Source/NSSearchFieldCell.m (-trackMouse:inRect:ofView:untilMouseUp:):
	Pass mouseDown event to the field editor when click is in the field, to
	select at the correct point in the text.

2011-01-24  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-setFrameFromString:, -stringWithSavedFrame):
	Do not include an in-window menu in a window's saved frame either.

2011-01-24 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSViewController.h,
	* Source/NSViewController.m: Add loading of NIB.
	* Headers/AppKit/NSObjectController.h: Use version constant names.

2011-01-24  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-setFrameFromString:, -stringWithSavedFrame):
	Merge change from the testplant_1 branch:
	Do not include the toolbar in a window's saved frame. Makes saving
	and restoring window frame sizes independent of whether the
	toolbar is present at the time when the frame is saved or restored.
	Patch by Doug Simons <doug.simons@@testplant.com>

2011-01-24 German Arias <german@xelalug.org>

	* Source/NSMenuView.m (-trackWithEvent:): Fixed problems with
	transient menus and PopUp (pulls-down) with Windows95 interface
	style.

2011-01-20  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSColorList.m (+availableColorLists): Make sure the
	system colors are set up properly before computing the available
	color lists. Fixes an issue where the returned list would either
	be empty or contain two instances of the system color list.

2011-01-20  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWorkspace.m: check on-disk cache at regular intervals ...
	somehow that got lost at some point.  Also tidy up a few coding
	standards violations which crept in.

2011-01-19  Doug Simons  <doug.simons@testplant.com>

	* Source/NSSearchFieldCell.m
	(-_openPopup:): Switch to use an actual NSPopUpButtonCell when
	popping up the menu. Handle selected item in search menu properly.
	(-_searchForRecent:): Display and select search text after user
	selects a recent search term.
	(-drawWithFrame:inView:, -textDidChange:, -clearSearch:): Only show
	cancel button when field is not empty.

2011-01-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-sendEvent:):
	* Source/NSMenu.m (-performKeyEquivalent:):
	Look up key equivalents in the Services menu only after traversing
	the rest of the main menu to avoid accidentally shadowing key
	equivalents in the application's own menus.

2011-01-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* ColorPickers/GSWheelColorPicker.m (-regenerateImage):
	Fix to correctly display color wheel image on big endian
	machines.

2011-01-16 00:32-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSApplication.m: Added overide for orderWindow:relativeTo:
	in NSIconWindow.  Check for GSSuppressAppIcon and order the window
	ONLY if the app icon window is supposed to be displayed, otherwise
	do not do anything with it.   I observed issues with this
	functionality while testing the GNOME theme the app icon would
	periodically show even when the default mentioned above was set to
	YES.

2011-01-15 23:50-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSMenuView.m: Fix to previous change to
	[NSMenuView trackWithEvent:].
	Assign attachedMenu to local variable and test for nil
	prior to entering the code to close the menu when tracking
	the mouse for normal menus.  Previous version of this code
	was causing menu items owned by pull downs (NSPopUpButton) to
	close prior to mouse up event.

2011-01-15 German Arias <german@xelalug.org>

	* Source/NSWindow.m:
	* Source/NSSavePanel.m:	Reverted latest changes.
	* Source/NSMenuView.m: Added the appropriate code to close
	the menu after select an option, but before do the
	instructions of the selected option.
	* Headers/AppKit/NSApplication.h:
	* Source/NSApplication.m: Save the main window when the
	app is hidden or when is deactivated.

2011-01-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSColorWell.m (-activate:): Deactivate an active color
	well when the user closes the color panel.

2011-01-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSColorList.h:
	* Headers/AppKit/NSColorPanel.h:
	* Source/NSColorList.m (-insertColor:key:atIndex:,
	-removeColorWithKey:, -setColorForKey:):
	* Source/NSColorPanel.m (-setColor:):
	* Source/NSColorWell.m (-activate:):
	* Source/NSWindow.m (-initWithContentRect:styleMask:backing:defer:):
	* Source/externs.m(NSColorListDidChangeNotification,
	NSColorPanelColorDidChangeNotification):
	Rename notifications to match Cocoa (and OpenStep).

2011-01-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-rightMouseDown:):
	* Source/NSApplication.m (-_dockMenu):
	Provide a default context menu for application icons when using
	Macintosh or Windows 95 style menus. Inspired by OS X, the menu
	contains items to hide or show the application, to terminate the
	application, an item for each window present in the application's
	window menu, and the items of the dock menu returned by the
	application delegate.

	* Headers/AppKit/NSApplication.h:
	Update documentation to note that the -applicationDockMenu:
	delegate method now may be called on GNUstep.

	* Resources/English.lproj/Localizable.strings:
	* Resources/German.lproj/Localizable.strings:
	Update. Also add a few more German translations.

2011-01-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-changeWindowsItem:title:filename):
	Insert window menu items strictly at the bottom of the menu,
	keeping only items with actions -performMiniaturize: and
	-performClose: beneath them. This allows having additional items
	at the top of the menu and works better for window menus that
	follow the Mac OS X UI guidelines and have miniaturize and zoom
	commands at the top and arrange in front below them.

2011-01-09 21:58-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSSavePanel.m: (-_initWithoutGModel): added
	code near the and to close the current menu when in Win95
	mode.  If this doesn't happen the menu remains open
	and allows the user to drag the window around while the
	menu remains in it's old position.

2011-01-09 German Arias <german@xelalug.org>

	* Source/NSApplication.m (-activateIgnoringOtherApps:):
	If we have menu in window, set a main window when unhide.
	* Source/NSWindow.m (-resignMainWindow): Close the menu
	in window if resign main window.

2011-01-08 German Arias <german@xelalug.org>

	* Source/NSMenuView.m (-trackWithEvent:):
	Close the menu in window if user press a modifier key.
	And improvements for don't lose the mouse tracking
	in a menu in window.

2011-01-06 German Arias <german@xelalug.org>

	* Source/NSMenuView.m (-locationForSubmenu:, -trackWithEvent:):
	Fixed the tracking of mouse at horizontal menu.

2011-01-04  Doug Simons  <doug.simons@testplant.com>

	* Source/NSSearchFieldCell.m:
	Fix cancel button to correctly clear the field and send action.
	Fix -textDidChange: to correctly send action rather than popping up
	the menu on each keystroke (when sendsWholeSearchString is false).


2011-01-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/tiff.m (NSTiffWrite):
	Fix long standing bug where incorrect data was written out for RGB
	images if bits per sample != 8.

2011-01-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GNUmakefile:
	* Headers/Additions/GNUstepGUI/GSHelpAttachment.h:
	* Source/GSHelpAttachment.m:
	Introduce new classes GSHelpLinkAttachment and
	GSHelpMarkerAttachment to implement help links and markers in RTF
	documents.

	* TextConverters/RTF/rtfGrammar.y:
	* TextConverters/RTF/RTFConsumerFunctions.h:
	* TextConverters/RTF/RTFConsumer.m (-addHelpLink:marker:,
	-addHelpMarker:, GSRTFNeXTHelpLink, GSRTFNeXTHelpMarker):
	Create attachments for help links and markers in RTF documents.

	* TextConverters/RTF/RTFProducer.m (-_addAttributesString:):
	Properly write out help links and markers to RTF documents.

	* TextConverters/RTF/rtfGrammar.tab.h:
	* TextConverters/RTF/rtfGrammar.tab.c: Regenerated.

	* Images/GNUmakefile:
	* Images/common_HelpLink.tiff:
	New icon for help link attachments.

	* Source/NSFileWrapper.m (-icon): Bug fix: Don't return a default
	icon for a wrapper without a file name.

2011-01-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* TextConverters/RTF/rtfGrammar.y:
	* TextConverters/RTF/rtfScanner.c (RTFCommands):
	Extend and modify grammar to handle \NeXTHelpLink and
	\NeXTHelpMarker commands possibly used in old RTF documents
	generated on NeXTstep/OpenStep.

2011-01-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* TextConverters/RTF/rtfGrammar.y:
	* TextConverters/RTF/RTFConsumerFunctions.h:
	* TextConverters/RTF/RTFConsumer.m (GSRTFerror):
	Upgrade to compile with more recent bison versions.

	* TextConverters/RTF/GNUmakefile:
	* TextConverters/RTF/GNUmakefile.postamble:
	* TextConverters/RTF/rtfGrammar.y:
	* TextConverters/RTF/rtfScanner.c:
	Correct spelling (rtfGrammer->rtfGrammar).

	* TextConverters/RTF/GNUmakefile.postamble:
	Update rationale why bison rule is (still) not enabled.

	* TextConverters/RTF/rtfGrammar.tab.h:
	* TextConverters/RTF/rtfGrammar.tab.c:
	Regenerated.

2011-01-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMatrix.m (-setEnabled:): Implement method. It enables
	or disables all cells as in Cocoa.

2011-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextAttachment.m (-trackMouse:inRect:ofView:...): Call
	the deprecated OpenStep delegate methods if the delegate does not
	implement the new Mac OS X methods.

2011-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-mouseDown:): Add missing conversion from
	character indexes to glyph indexes when computing an attachment
	cell's frame.

2011-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSLayoutManager.m (attachmentSize): Prevent potential
	null pointer dereference.

2011-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextStorage.m (-removeLayoutManager:): Avoid potential
	crash when text network is owned by a text view.

2010-12-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSToolbarView.m (initSystemExtensionsColors): Remove this
	function and the NSColor extensions as these no longer get
	used. The colours for NSToolbar are handled by GSTheme.

2010-12-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-locationForSubmenu:):
	Fix submenu placement for WindowMaker interface style (it was off
	by 1 pixel).

2010-12-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-trackWithEvent:):
	Make pop up menus in Macintosh menu style behave more similar to
	OS X. In particular, when the user clicks the button, the menu
	stays open until the next click.

2010-12-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-update):
	Don't use a title bar for menus in Macintosh interface style.

	* Source/NSMenuView.m (_executeItemAtIndex:removeSubmenu:):
	End menu tracking in Macintosh and Windows95 interface styles when
	the user clicks on a submenu item.

	* Source/NSMenu.m (-displayTransient):
	Place the top left edge of a menu at the mouse position when
	displaying a context menu in Macintosh and Windows95 interface
	styles to prevent a user from accidentally selecting the first
	menu item.

	* Source/NSMenu.m (-shiftOnScreen):
	Don't move the main menu bar in Macintosh interface style.

2010-12-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSToolbar.m (-runCustomizationPalette:):
	* Source/NSWindow.m (-validateUserInterfaceItem:):
	Don't show the customization palette if user customization is
	disabled.

2010-12-30 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSLayoutManager.m: Add code to handle temporary
	attributes. This code is taken from NSAttributedString and the two
	core methods are still missing.

2010-12-29 12:31-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSMenuItemCell.m: Implement drawing a line in the menu
	separator item for the Windows95 and Mac modes.

2010-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-_updateDragTargetLocation:operation:,
	-draggingEntered:, -draggingUpdated:, -draggingExited:,
	-prepareForDragOperation:):
	Rewrite implementation so that the target view is scrolled even
	when it does not accept the drag operation. This is useful, e.g.,
	when a subclass considers parts of the text read only and does not
	accept a drop in those regions.

2010-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* configure.ac:
	* Headers/Additions/GNUstepGUI/config.h.in:
	Add test for getmntinfo(3).

	* Source/NSWorkspace.m (-mountedLocalVolumePaths):
	Provide more portable implementation based on getmntinfo(3), which
	is available on many systems. Also a Solaris compatibility fix.

	* Source/NSWorkspace.m (-getFileSystemInfoForPath:...):
	Tentative implementation for system with a statfs system call.

	* configure: Regenerated.

2010-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWorkspace.m(GSWorkspacePreferencesChanged, -init,
	-findApplications, -setBestApp:inRole:forExtension:,
	-setBestIcon:forExtension:, -setBestApp:inRole:forScheme:,
	_workspacePreferencesChanged:):
	Introduce (private) workspace notification to propagate changes of
	the application or icon associated with a file type and URL
	scheme, respectively.

2010-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocument.m (-runModalSavePanel:withAccessoryView:):
	Make sure the file name displayed in the panel has a valid
	extension.

2010-12-27 16:51-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Changes for compiling with older compilers.
	* Source/GSWindowDecorationView.m: Move the view up a little.
	* Source/NSMenuItemCell.m: Experimental changes for drawing
	separator items.

2010-12-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSearchField.m,
	* Source/NSSearchFieldCell.m: Some coding standard changes.

2010-12-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSDragView.m: Check whether the drag source supports
	methods before calling them.

2010-12-27  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Source/NSGraphicsContext.m ([-subclassResponsibility:]): Use
	sel_getName instead of sel_get_name.

2010-12-27  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Source/NSBezierPath.m ([-encodeWithCoder:], [-initWithCoder:]):
	Explicitly encode/decode NSBezierPathElement as 'int' to work
	across compiler versions.
	* Source/NSBox.m ([-encodeWithCoder:], [-initWithCoder:]): Same
	for NSBorderType and NSTitlePosition.
	* Source/NSEvent.m ([-encodeWithCoder:], [-initWithCoder:]): Same
	for NSEventType.
	* Source/NSFileWrapper.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for GSFileWrapperType.
	* Source/NSImageCell.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSImageAlignment, NSImageFrameStyle, NSImageScaling,
	* Source/NSParagraphStyle.m ([-initWithCoder:],
	[-encodeWithCoder:]): Same for NSTextAlignment, NSLineBreakMode
	and NSTextTabType.
	* Source/NSResponder.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSInterfaceStyle.
	* Source/NSScrollView.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSBorderType.
	* Source/NSTabView.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSTabViewType.
	* Source/NSTabViewItem.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSTabState.
	* Source/NSWindow.m ([-encodeWithCoder:], [-initWithCoder:]): Same
	for NSBackingStoreType.

2010-12-27 02:12-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Added implementation for
	updateAllWindowsWithMenu:, updateMenu:forWindow:, altered
	implementation for setMenu:forWindow:, added private method
	_setMenu: to set the current menu on the window.
	* Source/GSWindowDecorationView.m: Changes to layout
	* Source/NSMenu.m: Only call the method updateAllWindowsWithMenu:
	when NSMenuInterfaceStyle = NSWindows95InterfaceStyle.
	* Source/NSMenuView.m: Change to -update so that it does not
	render the top bar of the menu if NSMenuInterfaceStyle =
	NSWindows95InterfaceStyle.

2010-12-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSEvent.m (-deltaX, -deltaY, -deltaZ): Don't raise an
	exception when called on the wrong type of event.

2010-12-22 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSView.h,
	* Source/NSView.m: Add the 10.5 coordinate transformation methods.

2010-12-22 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSDragging.h,
	* Headers/AppKit/NSTableView.h,
	* Headers/Additions/GNUstepGUI/GSDragView.h,
	* Source/NSImageView.m,
	* Source/NSColorWell.m,
	* Source/NSSavePanel.m,
	* Source/NSTextView.m,
	* Source/NSToolbarItem.m,
	* Source/NSTableView.m,
	* Source/GSDragView.m: Correct the definition of NSDragOperation
	and all its usages.

2010-12-17 Doug Simons <doug.simons@testplant.com>

	* Source/NSSearchFieldCell.m:
	Set search menu 'ownedByPopup' to make it work on Windows.

2010-12-14 Riccardo Mottola

	* Source/NSWorkspace.m
	* Images/GNUmakefile
	* Images/common_MusicFolder.tiff
	Added icon for the Music folder.

2010-12-13 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSLayoutManager_internal.h,
	* Headers/Additions/GNUstepGUI/GSLayoutManager.h,
	* Source/GSLayoutManager.m (-intAttribute:forGlyphAtIndex:)
	(-setIntAttribute:value:forGlyphAtIndex:): Implement glyph
	attribute handling.

2010-12-13 Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source/NSMenuView.m:
	Prevent trying to retrieve a menuCell that is out of range.

2010-12-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMatrix.m (-setState:atRow:column:): Fix bug where the
	old selected cell wasn't properly deselected when the matrix's
	mode is NSRadioMatrixMode.

2010-12-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSLayoutManager.m (-rectArrayForGlyphRange:...): Clip the
	rectangle computed for the last line to the line fragment's used
	rectangle if the line doesn't end with a newline (or other
	invisible character). This better matches Apple's implementation.

2010-12-07  Riccardo Mottola

	* Images/common_SwitchOff.tiff
	* Images/common_SwitchOn.tiff
	Match NeXT 15x15 dimension and tweak the check alpha.

2010-12-07  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-finishLaunching): Don't make an
	invisible window main window when the application has no main
	window.

2010-12-07  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-sendEvent:): Allow any window that responds
	YES to -worksWhenModal to become key in a modal session.

2010-12-06  Riccardo Mottola

	* Source/NSWorkspace.m
	* Images/common_Desktop.tiff
	* Images/GNUmakefile
	Added handling of a Desktop icon (and added the icon itself).

2010-11-27  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added methods to draw NSTableView
	header and view.
	* Source/NSTableView.m: Added call in to drawing methods in
	GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-27  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added methods to draw NSTableHeaderView
	drawTableHeaderRect:inView:.
	* Source/NSTableHeaderView.m: Added call in to drawing methods in
	GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-27 Riccardo Mottola

       * Source/GSThemeDrawing.m:
       Revert color well thickness. If desired, this should go in a theme.

2010-11-27  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocument.m (-setPrintInfo:): Record old print info with
	the document's undo manager (if there is one) as in Cocoa.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added methods to draw NSTableHeaderCell view.
	* Source/NSTableHeaderCell.m: Added call in
	tableHeaderCellDrawingRectForBounds: to drawing methods in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added methods to draw NSSliderCell view.
	* Source/NSSliderCell.m: Added call in drawKnobInCell:... and
	drawBarInside:.. to drawing methods in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw NSScrollView view.
	* Source/NSScrollView.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw NSBrowser view.
	* Source/NSMenuView.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw NSBrowser view.
	* Source/NSBrowser.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw NSScroller view.
	* Source/NSScroller.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw tab view.
	* Source/NSTabView.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-performClose:): Do not discard close
	requests for a window in a modal session when the window has
	-worksWhenModal==YES.

2010-11-22  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView_actions.m (-deleteBackward:): Add missing
	assignment to update the typing attributes.

2010-11-16 Doug Simons <doug.simons@testplant.com>

	* Source/GSThemeDrawing.m:
	Make border of NSColorWell smaller to more closely match Cocoa
	metrics. This makes a big difference in small color wells.

2010-11-16 Doug Simons <doug.simons@testplant.com>

	* Source/NSDrawer.m:
	Ensure drawer is visible if parent window became visible since the
	drawer was opened.

2010-11-13 Riccardo Mottola

	* Images/common_DownloadFolder.tiff
	* Images/GNUmakefile
	Added new icon

	* Source/NSWorkspace.m
	Cache folders and their assdociation with icon names in dictionaries.

2010-11-11 Riccardo Mottola

	* Images/common_ImageFolder.tif
	* Images/common_DocsFolder.tif
	* Images/GNUmakefile
	Added new icons

	* Source/NSWorkspace.m
	Handling of icons for folders of type document, image, system and
	library.

2010-11-11 Riccardo Mottola

	* Images/common_LibraryFolder.tif
	* Images/common_GSFolder.tif
	* Images/GNUmakefile
	Added new icons

2010-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add method
	doesProcessEventsForPopUpMenu to avoid compiler warnings.
	* Headers/AppKit/NSLayoutManager.h,
	* Source/NSLayoutManager.m: Change a few "unsigned int" into
	NSUInteger to avoid compiler warnings.
	* Source/NSTextView.m (firstRectForCharacterRange:): Adopt to
	these changes.

2010-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-validRequestorForSendType:returnType:):
	Don't forward this method if the delegate is a NSResponder.
	Patch by Georg Fleischmann <G.Fleischmann@vhf.de>.

2010-11-03  Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSPopUpButtonCell.m (-initWithCoder:): Fixed broken selection
	with keyed unarchiver. -selectMenuItem: was given a nil item because
	the menu was not yet unarchived.
	Removed setAutoenableItems: and -setEnabled: use to match Cocoa doc
	and IB behavior. By default, -autoenableItems is YES and is archived
	by the menu. A popup can be disabled and archived as such.

2010-11-02  Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source/NSView.m: Added some basic santity checkts that the views
	are in windows when converting rectangles.

2010-10-31  Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSOpenPanel.m (-runModal): Added. NSOpenPanel overrides
	NSSavePanel version to take in account -allowedFileTypes as documented
	in Cocoa.

2010-10-30 German Arias <german@xelalug.org>

	* Documentation/GNUmakefile: Changes in some files names to
	correspond with the files provided in the Documentation directory.

2010-10-29 Doug Simons <doug.simons@testplant.com>

	* Source/GSThemeMenu.m
	* Source/NSPopUpButtonCell.m
	Added theme method to identify themes that handle event processing
	for PopUp (and PullDown) menus. Use that to prevent duplicate event
	handling in NSPopUpButtonCell. This fixes a problem with actions
	getting sent twice on Windows with the WinUXTheme.

2010-10-25 Doug Simons <doug.simons@testplant.com>

	* Source/GSToolbarCustomizationPalette.m:
	GSToolbarCustomizationView needs to retain its list of palette items.

2010-10-24 Riccardo Mottola

	* Source/NSTextView.m
	Fixed some c99-isms

2010-10-22 David Chisnall <theraven@gna.org>

	* Source/NSTextView.m
	* Source/GSToolTips.h
	* Source/GSToolTips.m

	Fixed the point argument to -view:stringForToolTip:point:userData: (should
	be relative to the tracking rectangle, was relative to the window).  Added
	support for displaying tooltips from NSToolTipAttributeName attributes in
	NSTextView.

2010-10-20 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: Added translation
	for string "Separator".

2010-10-19 Doug Simons <doug.simons@testplant.com>

	* Source/NSPasteboard.m:
	Changed lock to recursive to prevent deadlock issue (at least on
	Windows). Also added missing lock on one access to the dictionary.
	Improved +generalPasteboard to retain instance as long as possible
	(previously it would get released with each autorelease pool, which
	happened multiple times on each call to [NSMenu update] for just
	one example).

2010-10-18  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSWorkspace.h:
	* Source/NSWorkspace.m (urlPrefsPath, urlPreferences,
	+initialize, -openURL:, -findApplications, -infoForScheme:,
	-getBestAppInRole:forScheme:, -setBestApp:inRole:forScheme:,
	-_scheme:role:app:):
	Add methods to manage the user's preferred applications for URL
	schemes to NSWorkspace.

2010-10-17 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m: Revert the WinUX theme specific patch Doug
	put in some time ago.

2010-10-16  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWorkspace.m (-_iconForExtension:): Fix bug where the
	user's preferred applications were ignored because the code did
	attempt to look them up in the wrong place.

2010-10-13 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Cocoa/Cocoa.h: Add one more protection around definition
	of BOOL.

2010-10-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-finishLaunching): Open a new document
	in a document based application when the delegate responds YES to
	applicationShouldOpenUntitledFile: but does not implement
	applicationOpenUntitledFile:.

2010-10-08  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindowController.m (-window): Send
	windowControllerWillLoadNib: and windowControllerDidLoadNib: to
	the owner of the nib, since this is what Apple seems to do and
	since this behavior is more useful when a non-document class uses
	a window controller.

2010-09-27  Quentin Mathe <quentin.mathe@gmail.com>

	Fixed NSOutlineView to use incremental loading as Mac OS X does.
	You can now use an outline view to browse a big tree structure e.g. a
	filesystem. Previously in such a case, NSOutlineView was attempting to
	traverse the entire directory structure on -reloadData.
	* Source/NSOutlineView.m
	(-reloadData:): Removed a redundant _loadDictionaryStartingWith:atLevel:
	call, _openItem: now does it.
	(-_loadDictionaryStartingWith:atLevel:): Modified to load the children only
	if the item is expanded.
	(_openItem:): Modified to call _loadDictionaryStartingWith:atLevel: when
	the item children are not loaded.

2010-09-25  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSFontManager.m (-orderFrontFontPanel:): Add method to
	NSApplication in a new category to make the standard font panel
	toolbar item work.

2010-09-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButton.m (-keyDown:): Remove unused code found by
	static analyser.
	* Source/NSColor.m (-colorUsingColorSpace:): Add missing break
	statements.
	* Source/NSColor.m (initSystemColors): Remove unused variable.

2010-09-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-_viewWillMoveToWindow:): When calling
	[-releaseGState] make sure to keep the value of _allocate_gstate.

2010-09-16 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-resizeWithOldSuperviewSize): Remove unneeded
	local varibales.
	* Source/NSView.m (-bitmapImageRepForCachingDisplayInRect:):
	Create the image rep with [-initWithFocusedViewRect:], that way it
	will better map to the following -cacheDisplayInRect:... call.
	Also don't leak the image.
	* Source/NSView.m (-cacheDisplayInRect:...): Don't leak the image
	rep.
	* Source/NSView.m (-_subtreeDescriptionWithPrefix:): Don't leak
	the returned string.

2010-09-15 German Arias <german@xelalug.org>
	* Panels/Spanish.lproj/GSPrintPanel.gorm: Changed the width
	of a label.

2010-09-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSParagraphStyle.m:
	* Source/NSPopUpButton.m:
	* Source/NSMenuItemCell.m:
	* Source/NSFont.m: Fix more unsigned int / ints that should
	be NSUInteger/NSInteger

2010-09-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSTextStorage.m: Fix an unisgned->NSUInteger

2010-09-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-releaseGState): Check if the window and it's
	gstate exist before undefining the gstate.
	Patch by Georg Fleischmann <G.Fleischmann@vhf.de>.
	* Source/NSView.m (-_viewWillMoveToWindow:): Call [-releaseGState].

2010-09-13 Riccardo Mottola

	* Source/NSBitmapImageRep+JPEG.m: remove useless double statement
	* Source/tiff.m: remove unused variable and assignment

2010-09-12 German Arias <german@xelalug.org>
	* Panels/Spanish.lproj/GSFindPanel.gorm: Fixed a misspelling.
	* Source/NSFontPanel:  Changed the width of size's column to
	permit a correct internationalization (in other languages "size"
	is written with more than 4 characters).

2010-09-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (+detachDrawingThread:...): Correct the
	creation of the NSInvocation.
	* Source/NSTableView.m (-mouseDown:): Free the auto release pool
	and the create object when returning out of the method.
	* Source/NSButtonCell.m (-encodeWithCoder:): Free the temporary
	NSButtonImageSource.
	* Source/NSCachedImageRep.m (-draw): Free the temporary
	NSBitmapImageRep.
	* Source/NSComboBoxCell.m (-initWithContentRect:...): Free the
	NSScrollView, the NSTableColumn and the NSCell.
	* Source/NSComboBoxCell.m (-textDidChange:): Free the temporary string.
	* Source/NSDataLinkPanel.m (+sharedDataLinkPanel): Free the
	controller but keep the panel.
	* Source/NSImage.m (-initWithIconHandle:, -initWithBitmapHandle:):
	Restructure initialisation order.
	* Source/NSLayoutManager.m (-rulerMarkersForTextView:...): Don't
	leak the created marker.
	* Source/NSMenu.m (-copyWithZone:): Don't leak the copied menu
	items.
	* Source/GSThemeInspector.m (-update:): Release the views
	after adding them to the hierarchy.
	* Source/GSToolbarView.m (initSystemExtensionsColors): Don't leak
	the colors dictionary.
	* Source/GSToolbarCustomizationPalette.m
	(-paletteItemsWithToolbarItems:): Release the copied toolbar items.

2010-09-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/NSMenu.m:
	* Source/NSWindow.m:
	* Source/NSObjectController.m:
	* Source/NSImageView.m:
	* Source/NSResponder.m:
	* Source/NSApplication.m:
	* Source/NSComboBox.m:
	* Source/NSTextView.m:
	* Source/NSDocumentController.m:
	* Source/NSDocument.m:
	Replace sel_eq with sel_isEqual

2010-09-06 German Arias <german@xelalug.org>
	* Panels/Spanish.lproj/GSFindPanel.gorm:
	Fixed a misspelling.

2010-09-06 German Arias <german@xelalug.org>
	* Panels/Spanish.lproj/GSFindPanel.gorm:
	* Resources/Spanish.lproj/Localizable.strings:
	Added find panel in spanish.

2010-09-03  Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/AppKit/NSView.h:
	* Source/NSView.m:
	* Source/NSClipView.m:
	* Source/NSScrollView.m:
	* Source/NSSplitView.m:
	Replaced _rFlags.flipped_view use with -isFlipped and deprecated
	_rFlagsType.flipped_view.
	Still needs some work to automatically invalidate coordinates when the
	flipping changes e.g. between two drawing sessions.

2010-09-02 Doug Simons <doug.simons@testplant.com>

	* Source/NSPopUpButtonCell.m:
	Fix problem with pull-down menu not allowing same item to be selected
	twice in a row. Also correct setAltersStateOfSelectedItem: to work as
	described in the Cocoa docs (states were reversed).

2010-08-30 Doug Simons <doug.simons@testplant.com>

	* Source/NSPopUpButtonCell.m:
	Fix problem of pulldown action not being called with correct cell
	selected (possibly only a problem for Mac nib files?).
	* Source/NSMenuView.m:
	Fix problem of pulldown action getting invoked twice on Windows.

2010-08-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTableView.m (computeNewSelection): Fix bug where the
	_selectedRow attribute could be updated incorrectly.

2010-08-29 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSLayoutManager.h,
	* Source/NSLayoutManager.m: Correction of the declarations for the methods
	to handle temporary attributes.

2010-08-29 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSGModelLoader.m: Add hack to get GModel loading working again.
	* Source/GSGormLoader.m: Remove an astray semicolon.

2010-08-27  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSOutlineView.m (-collapseItem:collapseChildren:,
	-expandItem:expandChildren:, -reloadItem:reloadChildren:,
	-_closeItem:, -_openItem:, -removeChildren:):
	Update the selected row indexes after collapsing or expanding
	an item. This fixes bug #29892.

	* Source/NSOutlineView.m (-_noteNumberOfRowsChangedBelowItem:by:):
	New helper method.

	* Source/NSOutlineView.m (-collapseItem:collapseChildren:):
	Collapse children before their parent item. Necessary to ensure
	that the selected row indexes are valid when a notification is
	posted.

2010-08-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* KeyBindings/DefaultKeyBindings.dict: Uncomment some key bindings which
	are now implemented. (e.g. Shift-Home, Shift-End)

2010-08-23  Eric Wasylishen  <ewasylishen@gmail.com>

	* ColorPickers/GSWheelColorPicker.m: Rewrite to draw the HSV
	wheel in a bitmap. This gives a pretty large performance improvement.
	* Source/NSColorPanel.m: Set a sensible min and max size for the
	color panel.

2010-08-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSOutlineView.m (-mouseDown): If the alt modifier is
	pressed when the user expands or collapses an item expand or
	collapse all children of the item as well.

2010-08-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocument.m (-svaveToFile:saveOperation:delegate:...,
	-saveToURLofType:forSaveOperation:...): Update the document
	controller's recent document list. This means that the user will
	find her fresh documents in that list after saving them.

2010-08-16  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSDocument.h:
	* Source/NSDocument.m: Change result type of method
	-saveToURL:ofType:forSaveOperation:delegate:didSaveSelector:contextInfo:
	from BOOL to void. This fixes an incompatibility with Cocoa where
	this method has no result (as any other method receiving a
	callback selector).

2010-08-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextField.m (-selectText:): Add special case to
	preserve the current X selection when editing is started with a
	mouse click.

	* Source/NSSpellChecker.m (-awakeFromNib): Make the spell panel a
	utility window like the font and color panels.

	* Source/NSPopUpButtonCell.m (-selectItem): Fix bug caused by the
	fix for #30025, which made it impossible to programmatically
	change the selected item of some pop up buttons.

	* Source/NSComboBoxCell.m (-runLoopWithComboBoxCell:): Dismiss
	the combo box's list without changing the selection when the user
	presses Escape.

2010-08-13 Riccardo Mottola

	* Source/NSMatrix.m
	cleaned up code

2010-08-11  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSComboBox.m (-textView:doCommandBySelector:): New
	override to pop up the combo box's list when the user presses
	the down arrow key.
	* Source/NSComboBoxCell.m (_performClickWithFrame:inView:):
	Remember the cell's control view.

2010-08-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButtonCell.m (-setPullsDown:): Call
	synchronizeTitleAndSelectedItem to display the correct item.
	* Source/NSPopUpButtonCell.m (-setMenu:): Listen to notifications
	from the menu to call synchronizeTitleAndSelectedItem, when the
	menu items change.

2010-08-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSTextStorage.m: Follow Richard's changes to
	GSAttributedString in base.

2010-08-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-arrangeInFront:): Only order
	non-miniaturized windows front.

2010-08-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-draggingEntered:, -draggingUpdated): Fix
	an incorrect range check which prevented the user from copying or
	moving the current selection immediately before itself with a DnD
	operation.

2010-08-03  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSColorPanel.m:
	* Source/NSFontPanel.m:
	Make the NSColorPanel and NSFontPanel use NSUtilityWindowMask.
	Also remove the NSMiniaturizableWindowMask from NSFontPanel.
